/*
 * JavaScript file
 */
var mediaSO;
var thumbSO;


var RESOLUTION_UNDEFINED = 0;
var RESOLUTION_QVGA_LANDSCAPE = 1; // 320x240
var RESOLUTION_QVGA_PORTRAIT = 2; // 240x320
var RESOLUTION_NHD_LANDSCAPE = 3; // 640x360
var RESOLUTION_NHD_PORTRAIT = 4; // 360x640
var RESOLUTION_HOME_SCREEN = 5; // less than 75 % of the resolutions above
var currentResolution = RESOLUTION_UNDEFINED;

var ajaxCallCount = 0;
var tmpHtmlContent = "";
var tmpCallBackParams = new Array();
var currMatch = null;
var debug_loadEvent = true;
var updateIntervalMiniView = 20*60*1000;//20 minutes
var timerMV = null;
var timerFM = null;
var tracker;


//window.onload = init;
//window.onresize = init;
//window.widget.onshow = init;
//window.widget.onexit = handleExit;
//window.widget.onhide = handleExit;
window.onload = init;
window.onresize = handleResize;
widget.onexit = function(){
	uid = "";
	sid = "";
}

window.onoffline = handleOffline;

window.ononline = handleOnline;

function initMiniView(){
	switch (window.navigator.onLine) {
		case window.navigator.NetworkNotAllowed:
			handleOffline();
			goToMiniViewLogin();
			break;
		default:
			timerMV = setInterval(updateMiniview, updateIntervalMiniView);
			if (uid != "") {
				goToMiniView();
			} else {
				if ((!widget.preferenceForKey("loginUsername") || widget.preferenceForKey("loginUsername") == "") && (!widget.preferenceForKey("loginPassword") || widget.preferenceForKey("loginPassword") == "")) {
					goToMiniViewLogin();
				}
				else {
					api_auth_login(widget.preferenceForKey("loginUsername"), widget.preferenceForKey("loginPassword"), true, goToMiniView, goToMiniViewLogin);
				}
			}
			break;
	}
}

function updateMiniview()
{
	switch(window.navigator.onLine){
		case window.navigator.NetworkNotAllowed:
			handleOffline();
			break;
		case window.navigator.NetworkAccessAllowed:
			handleOnline();
			break;
		case window.navigator.NetworkAccessible:
			api_user_profileStatus(setMiniProfileStatus);
			break;
		default:			
			handleOnline();
	}
}

function handleOffline()
{
	clearInterval(timerMV);
	timerMV = null;
	$("#mini_notOnline").hide();
}

function handleOnline()
{
	if(!timerMV) timerMV = setInterval(updateMiniview,updateIntervalMiniView);
	$("#mini_notOnline").show();
}

function goToMiniView()
{
	hideAllViews();
	$("#mini_view").show();
	window.menu.clear();
	api_user_profileStatus(setMiniProfileStatus);
}

function setMiniProfileStatus(r)
{
	var tmpHtml = "";
	var tmpDate = new Date();
	tmpHtml += "<div class='mini_counter_container'><img src='images/newMsgs_counter.png'/><div class='mini_counter'>" + r["newMsg"] + "</div></div>";
	tmpHtml += "<div class='mini_counter_container'><img src='images/liveMatch_counter.png'/><div class='mini_counter'>" + r["liveGame"] + "</div></div>";
	tmpHtml += "<div class='mini_counter_container'><img src='images/friendsOnline_counter.png'/><div class='mini_counter'>" + r["onlineFriends"] + "</div></div>";
	tmpHtml += "<div class='mini_counter_container'><img src='images/newRequests_counter.png'/><div class='mini_counter'>" + r["friendInvite"] + "</div></div><div style='float: none; height: 63px; line-height'>&nbsp;</div>";
	tmpHtml += "<div class='mini_update_date'>" + str_mini_lastUpd + ": " + api_timestamp (tmpDate.getTime(), true, false) + "</div>";
	$("#mini_content").html(tmpHtml);
}

function goToMiniViewLogin()
{
	var tmpHtml = "<div class='miniviewMessage'>" + str_error_miniNotLoggedin + "</div>";
	$("#mini_content").html(tmpHtml);
	$("#mini_view").show();
}

function init()
{
	//alert(window.innerHeight);
	//	Add your code stpes here
	hideAllViews();
	detectResolution();
	if (currentResolution == RESOLUTION_HOME_SCREEN) {
		initMiniView();
	} else {
		tracker = new GoogleAnalytics(setting_gaName, setting_gaId);
		clearInterval(timerMV);
		timerMV = null;
		if (uid != "") {
			if (setting_ads)
				api_ads_getBanners("dashboardFooterAd", true);
			api_update_checkUpdate("quickCheck");
			goToDashboard();
		} else {
			if ((!widget.preferenceForKey("loginUsername") || widget.preferenceForKey("loginUsername") == "") && (!widget.preferenceForKey("loginPassword") || widget.preferenceForKey("loginPassword") == "")) {
				goToLoginPage();
			}
			else {
				if (setting_ads)
					api_ads_getBanners("dashboardFooterAd", true);
				api_update_checkUpdate("quickCheck");
				api_auth_login(widget.preferenceForKey("loginUsername"), widget.preferenceForKey("loginPassword"), true, goToDashboard, goToLoginPage);
			}
		}
	}
}

function initHeader(p_className, p_text)
{
	var tmpEl = document.getElementById("contentHeader");
	$("#headerContainer2").html("");
	$("#headerContainer2").append(tmpEl);
	$("#filterHeader").removeClass();
	$("#filterHeader").addClass(p_className);
	$("#filterHeader").html(p_text);
	$("#filterHeader").click(
	function(){
		$("#filterMenu").toggle();
	});
	$("#filterMenu").html("");
	$("#filterMenu").hide();
}

function headerActions(p_rightType, p_rightFunc, p_leftType, p_leftFunc)
{
	if (p_rightType == "back"){
		var funcString = p_rightFunc.toString();
		funcString = funcString.substr(0,funcString.indexOf("("));
		funcString = funcString.replace("function ", "");
		$("#contentHeader_actionRight").html('<img src="images/header_back.png" onclick="' + funcString + '();" />');
	} else if (p_rightType == "exit") {
		var funcString = p_rightFunc.toString();
		funcString = funcString.substr(0,funcString.indexOf("("));
		funcString = funcString.replace("function ", "");
		$("#contentHeader_actionRight").html('<img src="images/header_close.png" onclick="' + funcString + '();" />');
	} else {
		$("#contentHeader_actionRight").html('');
	}
	$("#contentHeader_actionRight").css("background", "url(images/headerSeparator.png) no-repeat left");
	if (p_leftType == "comment") {
		$("#contentHeader_actionLeft").html('<img src="images/newMsg.png" onclick="' + p_leftFunc + ';" />');
	} else if (p_leftType == "teams") {
		$("#contentHeader_actionLeft").html('<img src="images/header_teams.png" onclick="' + p_leftFunc + ';" />');
	} else if (p_leftType == "readAll") {
		$("#contentHeader_actionLeft").html('<img src="images/header_readAll.png" onclick="' + p_leftFunc + ';" />');
	} else if (p_leftType == "add") {
		$("#contentHeader_actionLeft").html('<img src="images/header_add.png" onclick="' + p_leftFunc + ';" />');
	} else if (p_leftType == "live_nav") {
		document.getElementById('contentHeader_actionLeft').setAttribute('onclick', '');
		$("#contentHeader_actionLeft").html('<img src="images/header_prev.png" onclick="navigateLiveMatches(\'prev\');"/>');
		$("#contentHeader_actionLeft").append('<img src="images/header_next.png" onclick="navigateLiveMatches(\'next\');"/>');
	} else if (p_leftType == "news_nav") {
		document.getElementById('contentHeader_actionLeft').setAttribute('onclick', '');
		if (p_leftFunc[0] != "") 
			$("#contentHeader_actionLeft").html('<img src="images/header_prev.png" onclick="navigateNewsItems(' + p_leftFunc[0] + ');"/>');
		if (p_leftFunc[1] != "") 
			$("#contentHeader_actionLeft").append('<img src="images/header_next.png" onclick="navigateNewsItems(' + p_leftFunc[1] + ');"/>');
	} else if (p_leftType == "edit_profile") {
		$("#contentHeader_actionLeft").html('<img src="images/newMsg.png" onclick="' + p_leftFunc + ';" />');
	} else if (p_leftType == "save") {
		$("#contentHeader_actionLeft").html('<img src="images/header_save.png" onclick="' + p_leftFunc + ';" />');
	} else {
		$("#contentHeader_actionLeft").html('');
	}
	$("#contentHeader_actionLeft").css("background", "url(images/headerSeparator.png) no-repeat right");
}

function initFilterMenu(p_arrFilter, p_arrActionPar){
	for (var i=0; i<p_arrFilter.length; i++){
		$("#filterMenu").append("<div onclick='menuEventHandler(" + p_arrActionPar[i] + ");'>" + p_arrFilter[i] + "</div>");
	}
}

function initStatusChangeHeader()
{
	var tmpHtml = "";
	api_user_profile(uid, "statusUpdate");
	tmpHtml += "<div class='statusUpdate'>";
	tmpHtml += "<div class='statusUpdateImg'><img id='statusUpdateAvatar' src='" + api_user_avatar(userprofile["avatarid"], 40, 40, 0) + "'/></div>";
	tmpHtml += "<div class='statusUpdateImg'><img src='images/statusUpdate_photo.png' onclick='loadSelectImage_avatar();'/></div>";
	tmpHtml += "<input type='text' id='statusUpdateField' value='" + userprofile["status"] + "' style='float: left;' />";
	tmpHtml += "<div class='statusUpdateImg' onclick='javascript: submitStatusUpdate();'><img src='images/statusUpdate_save.png'/></div>";
	tmpHtml += "</div>";
	$("#headerContainer2").append(tmpHtml);
	$("#headerSpacer2").height($("#headerContainer2").height());
}

function initFooter(p_tab1, p_tab2, p_tab3, p_selected)
{
	$("#contentFooter").html("");
	$("#contentFooter").show();
	if (p_tab1 != "" || p_tab2 != "" || p_tab3 != ""){
		var tabContainer = document.createElement('div');
		tabContainer.setAttribute("class", "footerTabsContainer");
		var tabSeparator1 = document.createElement('div');
		tabSeparator1.setAttribute("class", "footerSeparator");
		tabSeparator1.innerHTML = "&nbsp;";
		var tabSeparator2 = document.createElement('div');
		tabSeparator2.setAttribute("class", "footerSeparator");
		tabSeparator2.innerHTML = "&nbsp;";
		if (p_tab1 && p_tab1 != "") {
			var tab1 = document.createElement('div');
			tab1.setAttribute("id", "footerTab1");
			if (p_tab1 == p_selected) {
				tab1.setAttribute("class", "footerTabs_s");
			}
			else {
				tab1.setAttribute("class", "footerTabs");
			}
			tab1.setAttribute("onclick", "footerTabClicked('" + p_tab1 + "')");
			tab1.innerHTML = getDynamicVar("str_footer_" + p_tab1);
			tabContainer.appendChild(tab1);
			tabContainer.appendChild(tabSeparator1);
		}
		if (p_tab2 && p_tab2 != "") {
			var tab2 = document.createElement('div');
			tab2.setAttribute("id", "footerTab2");
			if (p_tab2 == p_selected){
				tab2.setAttribute("class", "footerTabs_s");
			} else {
				tab2.setAttribute("class", "footerTabs");
			}
			tab2.setAttribute("onclick", "footerTabClicked('" + p_tab2 + "')");
			tab2.innerHTML = getDynamicVar("str_footer_" + p_tab2);
			tabContainer.appendChild(tab2);
			tabContainer.appendChild(tabSeparator2);
		}
		if (p_tab3 && p_tab3 != "") {
			var tab3 = document.createElement('div');
			tab3.setAttribute("id", "footerTab3");
			if (p_tab3 == p_selected) {
				tab3.setAttribute("class", "footerTabs_s");
			}
			else {
				tab3.setAttribute("class", "footerTabs");
			}
			tab3.setAttribute("onclick", "footerTabClicked('" + p_tab3 + "')");
			tab3.innerHTML = getDynamicVar("str_footer_" + p_tab3);
			tabContainer.appendChild(tab3);
		}
		$("#contentFooter").append(tabContainer);
	} else {
		//$("#contentFooter").hide();
	}
}

function initNewsItemFooter(p_id, p_feedid)
{
	api_feed_feedcomments(p_id, 0, 15, "all", fillNewsItemFooter);
}

function fillNewsItemFooter(r, p_id, p_itemCount, p_pageCount)
{
	var actionContainer = document.createElement('div');
	actionContainer.setAttribute("class", "footerTabsContainer");
	if (p_itemCount > 0){
		var tmpButtonText = "";
		if (p_itemCount > 1){
			tmpButtonText = str_footer_newsitem_comments1 + " " + p_itemCount + " " + str_footer_newsitem_comments2;
		} else {
			tmpButtonText = str_footer_newsitem_comments1 + " " + p_itemCount + " " + str_footer_newsitem_comment2;
		}
		actionContainer.innerHTML = "<input type='submit' class='footerButtonLeft' href='#' value='" + tmpButtonText + "' onclick='loadNewsItemCommentList(" + '"' + p_id + '", "all"' + ");' />";
	} else {
		actionContainer.innerHTML = "<input type='submit' class='footerButtonLeft' href='#' value='" + str_footer_newsitem_noComment + "' onclick='loadNewsItemCommentList(" + '"' + p_id + '", "all"' + ");' />";
	}
	actionContainer.innerHTML += "<input type='submit' class='footerButtonRight' href='#' value='" + str_footer_comment + "' onclick='loadNewsCommentForm(" + '"' + p_id + '"' + ");' />";
	$("#contentFooter").html(actionContainer);
	$("#contentFooter").show();
}

function initMessageFooter(p_id)
{
	api_message_messagecomments(p_id, 0, 15, "all", fillMessageFooter);
	tmpCallBackParams["p_id"] = p_id;
}

function fillMessageFooter(r, p_id, p_itemCount, p_pageCount)
{
	var actionContainer = document.createElement('div');
	actionContainer.setAttribute("class", "footerTabsContainer");
	if (p_itemCount > 0){
		var tmpButtonText = "";
		if (p_itemCount > 1){
			tmpButtonText = str_footer_newsitem_comments1 + " " + p_itemCount + " " + str_footer_newsitem_comments2;
		} else {
			tmpButtonText = str_footer_newsitem_comments1 + " " + p_itemCount + " " + str_footer_newsitem_comment2;
		}
		actionContainer.innerHTML = "<input type='submit' class='footerButtonLeft' href='#' value='" + tmpButtonText + "' onclick='loadMessageCommentList(" + p_id + ', "all"' + ");' />";
	} else {
		actionContainer.innerHTML = "<input type='submit' class='footerButtonLeft' href='#' value='" + str_footer_newsitem_noComment + "' onclick='loadMessageCommentList(" + p_id + ', "all"' + ");' />";
	}
	actionContainer.innerHTML += "<input type='submit' class='footerButtonRight' href='#' value='" + str_footer_comment + "' onclick='loadMsgCommentForm(" + p_id + ");'/>";
	$("#contentFooter").html(actionContainer);
	$("#contentFooter").show();
}

function initAlbumFileFooter(p_id)
{
	api_media_albumfilecomments(p_id, 0, 15, "all", fillAlbumFileFooter);
}

function fillAlbumFileFooter(r, p_id, p_itemCount, p_pageCount)
{
	var actionContainer = document.createElement('div');
	actionContainer.setAttribute("class", "footerTabsContainer");
	if (p_itemCount > 0){
		var tmpButtonText = "";
		if (p_itemCount > 1){
			tmpButtonText = str_footer_newsitem_comments1 + " " + p_itemCount + " " + str_footer_newsitem_comments2;
		} else {
			tmpButtonText = str_footer_newsitem_comments1 + " " + p_itemCount + " " + str_footer_newsitem_comment2;
		}
		actionContainer.innerHTML = "<input type='submit' class='footerButtonLeft' href='#' value='" + tmpButtonText + "' onclick='loadAlbumFileCommentList(" + p_id + ', "all"' + ");' />";
	} else {
		actionContainer.innerHTML = "<input type='submit' class='footerButtonLeft' href='#' value='" + str_footer_newsitem_noComment + "' onclick='loadAlbumFileCommentList(" + p_id + ', "all"' + ");' />";
	}
	actionContainer.innerHTML += "<img src='images/photo_info.png' style='margin-right: 20px; vertical-align: middle;' align='right' onclick='showHideFileDescription();' />";
	$("#contentFooter").html(actionContainer);
	$("#contentFooter").show();
}

function initLeagueddl(p_leagueId, p_subLeagueId, p_part)
{
	var selLeague = document.createElement('select');
	var selSubLeague = document.createElement('select');
	var optAll = document.createElement('option');
	var optRound = document.createElement('option');
	var divContainer = document.createElement('div');
	divContainer.setAttribute("class", "selectLeagueContainer");
	divContainer.setAttribute("id", "leagueDdlContainer");
	if (p_leagueId){
		selLeague.setAttribute("class", "selectLeague");
		selLeague.setAttribute("id", p_leagueId);
		selLeague.setAttribute("onchange", "leagueDdl_onchange('" + p_leagueId + "', '" + p_part + "');");
		if (p_part == "live"){
			optAll.text = str_live_ddlAll;
			optAll.value = "all";
			selLeague.add(optAll, null);
		}
		selLeague.disabled = true;
		divContainer.appendChild(selLeague);
	}
	if (p_subLeagueId){
		selSubLeague.setAttribute("class", "selectLeague");
		selSubLeague.setAttribute("id", p_subLeagueId);
		selSubLeague.setAttribute("onchange", "leagueDdl_onchange('" + p_subLeagueId + "', '" + p_part + "');");
		optRound.text = str_live_ddlRound;
		optRound.value = "none";
		selSubLeague.add(optRound, null);
		selSubLeague.disabled = true;
		divContainer.appendChild(selSubLeague);
	}
	return divContainer;
}

function initRegisterLeagueddl(p_leagueId)
{
	var selLeague = document.createElement('select');
	var optSelect = document.createElement('option');
	if (p_leagueId){
		selLeague.setAttribute("class", "text");
		selLeague.setAttribute("id", p_leagueId);
		selLeague.setAttribute("onchange", "registerLeagueDdl_onchange();");
		optSelect.text = str_selLeague;
		optSelect.value = "0";
		selLeague.add(optSelect, null);
		selLeague.disabled = true;
	}
	return selLeague;
}

function initRegisterTeamddl(p_teamId)
{
	var selTeam = document.createElement('select');
	var optSelect = document.createElement('option');
	if (p_teamId){
		selTeam.setAttribute("class", "text");
		selTeam.setAttribute("id", p_teamId);
		optSelect.text = str_selTeam;
		optSelect.value = "0";
		selTeam.add(optSelect, null);
		selTeam.disabled = true;
	}
	return selTeam;
}

function fillLeagueDdl(r, p_ddlid, p_part)
{
	var tmpSel = document.getElementById(p_ddlid);
	if (r.length > 0){
		for (i = 0; i < r.length; i++){
			var tmpOpt = document.createElement('option');
			tmpOpt.text = r[i]["name"];
			tmpOpt.value = r[i]["id"];
			if (p_ddlid == "selLeague"){
				if (tmpCallBackParams["p_league"] == "")
					tmpCallBackParams["p_league"] = r[i]["id"];
				if (r[i]["id"] == tmpCallBackParams["p_league"]) tmpOpt.selected = true;
			} else if (p_ddlid == "selSubLeague" && tmpCallBackParams["p_subLeague"] && tmpCallBackParams["p_subLeague"] != "") {
				if (r[i]["id"] == tmpCallBackParams["p_subLeague"]) tmpOpt.selected = true;
			}
			tmpSel.add(tmpOpt, null);
		}
		tmpSel.disabled = false;
	} else {
		tmpSel.disabled = true;
	}
}

function fillRegistrationTeamDdl(r, p_itemCount){
	var tmpSel = document.getElementById("register_team");
	if (r.length > 0){
		for (i = 0; i < r.length; i++){
			var tmpOpt = document.createElement('option');
			tmpOpt.text = r[i]["name"];
			tmpOpt.value = r[i]["id"];
			tmpSel.add(tmpOpt, null);
		}
		tmpSel.disabled = false;
	} else {
		tmpSel.disabled = true;
	}
}

function leagueDdl_onchange(p_el, p_part)
{
	if (p_el == "selLeague"){
		document.getElementById("selSubLeague").options.length = 0;
		var optRound = document.createElement('option');
		optRound.text = str_live_ddlRound;
		optRound.value = "none";
		document.getElementById("selSubLeague").add(optRound, null);
		document.getElementById("selSubLeague").disabled = true;
		if ($("#selLeague").val() != "all")
			api_result_leaguelist($("#selLeague").val(), "selSubLeague", p_part);
	}
	tmpCallBackParams["p_league"] = document.getElementById("selLeague").value;
	if (document.getElementById("selSubLeague").value == "none") {
		tmpCallBackParams["p_subLeague"] = "";
	} else {
		tmpCallBackParams["p_subLeague"] = document.getElementById("selSubLeague").value;
	}
	if (p_part == "live") {
		$("#pageContainer").html("");
		showLoader("pageContainer");
		$(document).unbind("scroll");
		if (!tmpCallBackParams["dailymatchdate"])
			tmpCallBackParams["dailymatchdate"] = new Date();
		tmpCallBackParams["contentPageNr"] = 0;
		var now = tmpCallBackParams["dailymatchdate"];
		tmpMonth = now.getMonth() + 1;
		if (document.getElementById("selSubLeague").value == "none") {
			tmpLeagueid = document.getElementById("selLeague").value == "all" ? false : document.getElementById("selLeague").value;
			api_result_dailymatchlist(now.getFullYear() + "-" + tmpMonth + "-" + now.getDate(), tmpLeagueid, 0, 15);
		} else {
			api_result_dailymatchlist(now.getFullYear() + "-" + tmpMonth + "-" + now.getDate(), document.getElementById("selLeague").value, 0, 15);
		}
	} else {
		switch(tmpCallBackParams["p_scoresPart"]){
			case "scores_table":
				if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
					tmpCallBackParams["callBackContent"] = "";
				if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
					tmpCallBackParams["contentPageNr"] = "";
				loadScoresTable();
				break;
			case "scores_round":
				if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
					tmpCallBackParams["callBackContent"] = "";
				if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
					tmpCallBackParams["contentPageNr"] = "";
				loadScoresRounds();
				break;
			case "scores_calendar":
				if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
					tmpCallBackParams["callBackContent"] = "";
				if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
					tmpCallBackParams["contentPageNr"] = "";
				tmpCallBackParams["calendarTeamid"] = "";
				loadScoresCalendar();
				break;
			default:
				if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
					tmpCallBackParams["callBackContent"] = "";
				if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
					tmpCallBackParams["contentPageNr"] = "";
				loadScoresTable();
				break;
		}
	}
}

function registerLeagueDdl_onchange() {
	document.getElementById("register_team").options.length = 0;
	var tmpSel = document.getElementById("register_team");
	var optSelect = document.createElement('option');
	optSelect.text = str_selTeam;
	optSelect.value = "0";
	tmpSel.add(optSelect, null);
	tmpSel.disabled = true;
	if ($("#register_league").val() != "0"){
		api_result_teamlist($("#register_league").val(), fillRegistrationTeamDdl);
	}
}

function footerTabClicked(p_par)
{
	switch(p_par){
		case "home_notifi":
			tmpCallBackParams = new Array();
			loadNotifications(false);
			break;
		case "home_news":
			tmpCallBackParams = new Array();
			loadHomeNews("team");
			break;
		case "home_live":
			tmpCallBackParams = new Array();
			loadLiveMatches();
			break;
		case "myTeam_myTeam":
			tmpCallBackParams = new Array();
			loadMyTeamMatchList();
			break;
		case "myTeam_standings":
			tmpCallBackParams = new Array();
			loadMyTeamTable();
			break;
		case "myTeam_news":
			tmpCallBackParams = new Array();
			if (teamNews == "true")
				loadMyTeamNews();
			else
				loadMyTeamTeamMsg();
			break;
		case "scores_table":
			if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
				tmpCallBackParams["callBackContent"] = "";
			if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
				tmpCallBackParams["contentPageNr"] = "";
			tmpCallBackParams["p_scoresPart"] = "scores_table";
			loadScoresTable();
			break;
		case "scores_round":
			if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
				tmpCallBackParams["callBackContent"] = "";
			if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
				tmpCallBackParams["contentPageNr"] = "";
			tmpCallBackParams["p_scoresPart"] = "scores_round";
			loadScoresRounds();
			break;
		case "scores_calendar":
			if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
				tmpCallBackParams["callBackContent"] = "";
			if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
				tmpCallBackParams["contentPageNr"] = "";
			tmpCallBackParams["p_scoresPart"] = "scores_calendar";
			tmpCallBackParams["contentPageNrMin"] = undefined;
			tmpCallBackParams["contentPageNrMax"] = undefined;
			tmpCallBackParams["firstInList"] = "";
			tmpCallBackParams["firstInList"] = "";
			loadScoresCalendar();
			break;
		case "match_liveFeed":
			if (tmpCallBackParams["callBackMatchComments"] && tmpCallBackParams["callBackMatchComments"] != "")
				tmpCallBackParams["callBackMatchComments"] = "";
			if (tmpCallBackParams["MatchComentPageNr"] && tmpCallBackParams["MatchComentPageNr"] != "")
				tmpCallBackParams["MatchComentPageNr"] = "";
			loadMatchLiveFeed();
			break;
		case "match_lineup":
			if (tmpCallBackParams["callBackMatchComments"] && tmpCallBackParams["callBackMatchComments"] != "")
				tmpCallBackParams["callBackMatchComments"] = "";
			if (tmpCallBackParams["MatchComentPageNr"] && tmpCallBackParams["MatchComentPageNr"] != "")
				tmpCallBackParams["MatchComentPageNr"] = "";
			loadMatchLineup();
			break;
		case "match_comments":
			if (tmpCallBackParams["callBackMatchComments"] && tmpCallBackParams["callBackMatchComments"] != "")
				tmpCallBackParams["callBackMatchComments"] = "";
			if (tmpCallBackParams["MatchComentPageNr"] && tmpCallBackParams["MatchComentPageNr"] != "")
				tmpCallBackParams["MatchComentPageNr"] = "";
			loadMatchComments();
			break;
		case "friends_friends":
			tmpCallBackParams = new Array();
			loadMyFriendList("ALL");
			break;
		case "friends_requests":
			tmpCallBackParams = new Array();
			loadRequestList("received");
			break;
		case "friends_search":
			tmpCallBackParams = new Array();
			displayUserSearchForm();
			break;
		case "inbox_in":
			tmpCallBackParams = new Array();
			loadMsgList("RECEIVED");
			break;
		case "inbox_out":
			tmpCallBackParams = new Array();
			loadMsgList("SENT");
			break;
		case "inbox_commented":
			tmpCallBackParams = new Array();
			loadMsgList("COMMENTED");
			break;
		case "media_general":
			tmpCallBackParams = new Array();
			loadMyMediaAlbumList("general");
			break;
		case "media_delete":
			tmpCallBackParams = new Array();
			loadMyMediaAlbumList("delete");
			break;
		case "profile_profile":
			loadUserProfile(tmpCallBackParams["userProfileId"], "full");
			break;
		case "profile_friends":
			if (tmpCallBackParams["callBackProfileFriends"] && tmpCallBackParams["callBackProfileFriends"] != "")
				tmpCallBackParams["callBackProfileFriends"] = "";
			if (tmpCallBackParams["profileFriendsPageNr"] && tmpCallBackParams["profileFriendsPageNr"] != "")
				tmpCallBackParams["profileFriendsPageNr"] = "";
			loadUserFriendList();
			break;
		case "profile_albums":
			if (tmpCallBackParams["callBackAlbumList"] && tmpCallBackParams["callBackAlbumList"] != "")
				tmpCallBackParams["callBackAlbumList"] = "";
			if (tmpCallBackParams["albumListPageNr"] && tmpCallBackParams["albumListPageNr"] != "")
				tmpCallBackParams["albumListPageNr"] = "";
			loadUserMediaAlbumList();
			break;
		case "myProfile_profile":
			loadEditMyProfileForm();
			break;
		case "myProfile_settings":
			DisplayEmailSettings();
			break;
		case "invite_email":
			tmpCallBackParams = new Array();
			DisplayInviteFriend("email");
			break;
		case "invite_sms":
			tmpCallBackParams = new Array();
			DisplayInviteFriend("sms");
			break;
	}
}

function hideAllViews()
{
	$("#loginPage").hide();
	$("#registerPage").hide();
	$("#dashboard").hide();
	$("#contentPage").hide();
	$("#mini_view").hide();
}

function goToLoginPage()
{
	if (setting_ads)
		api_ads_getBanners("dashboardFooterAd", true);
	guestLogin = false;
	hideAllViews();
	$("#loginPage").show();
	$("body").removeClass();
	$("body").addClass("appBackground1");
	$("#loginPage").height(window.innerHeight);
	$("#headerSpacerLogin").height($("#headerContainerLogin").height());
	$("#footerSpacerLogin").height($("#loginFooter").height());
	tmpCallBackParams["callBackFuncSupport"] = goToLoginPage;
	if (!setting_allowGuestLogin)
		$("#guestLogin_submit").hide();
	window.menu.clear();
	window.menu.showSoftkeys();
	var optionsMenu = window.menu;
	var menuItemSupport = new MenuItem(str_menu_support, 9);
	menuItemSupport.onSelect = menuEventHandler;
	optionsMenu.append(menuItemSupport);
	window.menu.setRightSoftkeyLabel("", null);
}

function goToInAppLoginPage()
{
	ajaxCallCount++;
	var tmpHtml = "";
	tmpHtml += '<div style="padding-left: 1.2em; padding-right: 1.2em;" ><div id="inAppLoginErrors" class="errors"></div>';
	tmpHtml += '<div style="display: block; text-align: center; margin-top: 10px; margin-bottom: 10px;"><a class="loginLink1">' + str_guest_restriction + '</a></div>';
	tmpHtml += '<input type="hidden" name="action" value="login" />';
	tmpHtml += '<p class="frmLabel1">' + str_login_email + '</p>';
	tmpHtml += '<input type="text" id="inAppLogin_email" class="text" value="" /><br />';
	tmpHtml += '<p class="frmLabel1">' + str_login_password + '</p>';
	tmpHtml += '<input type="password" id="inAppLogin_pw" class="text" value="" /><br /><br /><p>';
	tmpHtml += '<input type="submit" class="button" id="inAppLogin_submit" style="float: left;" onclick="submitLogin();" value="' + str_login_login + '" /></p>';
	tmpHtml += '<div style="clear:both;"></div><br/>';
	tmpHtml += '<input class="checkbx" type="checkbox" name="inAppLogin_saveInfo" id="inAppLogin_saveInfo" value="1" /><span class="frmLabel1">' + str_login_savePw + '</span><br />';
	tmpHtml += '<div style="display: block; text-align: center; margin-top: 30px;">';
	tmpHtml += '<a href="#" onclick="goToRegisterPage();" class="loginLink1">' + str_login_register + '</a><br />';
	tmpHtml += '<a href="#" onclick="goToForgotPwPage();" class="loginLink1">' + str_login_forgot + '</a></div></div>';
	initHeader("headerNoFilter", str_login_login);
	hideLoader("pageContainer");
	$("#pageContainer").html(tmpHtml);
}

function submitLogin()
{
	if (!guestLogin){
		var tmpErrors = "";
		if ($("#login_email").val() == "" || $("#login_pw").val() == ""){
			tmpErrors = str_login_error_emptyFields + "<br/>";
		}
		if (tmpErrors != ""){
			$("#loginErrors").html(tmpErrors);
		} else {
			tracker.trackEvent('Login', 'Login');
			api_auth_login($("#login_email").val(), $("#login_pw").val(), $("#saveInfo").attr("checked"), goToDashboard, false);
		}
	} else {
		var tmpErrors = "";
		if ($("#inAppLogin_email").val() == "" || $("#inAppLogin_pw").val() == ""){
			tmpErrors = str_login_error_emptyFields + "<br/>";
		}
		if (tmpErrors != ""){
			$("#inAppLoginErrors").html(tmpErrors);
		} else {
			tracker.trackEvent('Login', 'GuestLogin');
			api_auth_login($("#inAppLogin_email").val(), $("#inAppLogin_pw").val(), $("#inAppLogin_saveInfo").attr("checked"), goToDashboard, false);
		}
	}
}

function handleLoginErrors(r, p_email){
	var errorMsgs = "";
	for (var i = 0; i < r.length; i++) {
		var tmpErrId = "str_" + r[i];
		while (tmpErrId.indexOf(".") >= 0) {
			tmpErrId = tmpErrId.replace(".", "_");
		}
		if (r[i] == "login.password.unconfirmed") {
			errorMsgs += getDynamicVar(tmpErrId) + "<a href='javascript:resendActivationMail(\"" + p_email + "\");'>" + str_confirmationMail_resend + "</a><br/>";
		} else {
			errorMsgs += getDynamicVar(tmpErrId) + "<br/>";
		}
	}
	if (!guestLogin)
		$("#loginErrors").html(errorMsgs);
	else
		$("#inAppLoginErrors").html(errorMsgs);
}

function submitGuestLogin()
{
	guestLogin = true;
	goToDashboard();
}

function resendActivationMail(p_email){
	api_auth_resendregistermail(p_email);
	$("#loginErrors").html("");
}

function goToRegisterPage()
{
	guestLogin = false;
	hideAllViews();
	$("#registerPage").show();
	$("body").removeClass();
	$("body").addClass("appBackground2");
	$("#registerErrors").html("");
	$("#registerPage").height(window.innerHeight);
	$("#headerSpacerRegister").height($("#headerContainerRegister").height());
	$("#footerSpacerRegister").height($("#registerFooter").height());
	tmpCallBackParams["callBackFuncSupport"] = goToRegisterPage;
	// Dynamic for different apps
	if (!setting_mcNeeded){
		$("#register_mc_container").hide();
		$("#mcNrCheck_n").attr('checked', true);
	}
	if (setting_langSupport.length > 1) {
		$("#register_chooseLang_container").html("<p class='frmLabel1'>" + str_register_language + "</script></p>");
		var selLang = document.createElement('select');
		selLang.setAttribute("class", "text");
		selLang.setAttribute("id", "register_language");
		for (i = 0; i < setting_langSupport.length; i++) {
			var tmpOpt = document.createElement('option');
			tmpOpt.text = getDynamicVar("str_" + setting_langSupport[i]);
			tmpOpt.value = setting_langSupport[i];
			selLang.add(tmpOpt, null);
		}
		$("#register_chooseLang_container").append(selLang);
		$("#register_chooseLang_container").append("<br />");
	} else {
		$("#register_chooseLang_container").html("<input id='register_language' type='hidden' value='" + setting_langSupport[0] + "' />");
	}	
	if (setting_defaultTeam == "") {
		if (setting_defaultLeague == "") {
			$("#register_chooseTeam_container").html("<p class='frmLabel1'>" + str_register_league + "</script></p>");
			$("#register_chooseTeam_container").append(initRegisterLeagueddl("register_league"));
			$("#register_chooseTeam_container").append("<p class='frmLabel1'>" + str_register_team + "</script></p>");
			$("#register_chooseTeam_container").append(initRegisterTeamddl("register_team"));
			$("#register_chooseTeam_container").append("<br />");
			api_result_leaguelist(false, "register_league", "register");
		} else {
			$("#register_chooseTeam_container").html("<p class='frmLabel1'>" + str_register_team + "</script></p>");
			$("#register_chooseTeam_container").append(initRegisterTeamddl("register_team"));
			$("#register_chooseTeam_container").append("<br />");
			api_result_teamlist(setting_defaultLeague, fillRegistrationTeamDdl);
		}
	}
	window.menu.clear();
	window.menu.showSoftkeys();
	var optionsMenu = window.menu;
	var menuItemSupport = new MenuItem(str_menu_support, 9);
	menuItemSupport.onSelect = menuEventHandler;
	optionsMenu.append(menuItemSupport);
	optionsMenu.setRightSoftkeyLabel(str_menu_back, goToLoginPage);
}

function submitRegister()
{
	tmpErrors = "";
	var tmpTeam = setting_defaultTeam;
	if ($("#register_nickname").val().length < 2 || $("#register_nickname").val().length > 20){
		tmpErrors += str_register_nickname + ": " + str_register_error_betweenChars + "<br/>";
	}
	if ($("#register_pw").val().length < 6){
		tmpErrors += str_register_password + ": " + str_register_error_minsixchars + "<br/>";
	} else if ($("#register_pw").val() != $("#register_repeatPw").val()) {
		tmpErrors += str_register_password + ": " + str_register_error_equalPasswords + "<br/>";
	}
	if ($("#register_email").val() == "" || !checkEmail($("#register_email").val())){
		tmpErrors += str_register_email + ": " + str_register_error_invalidEmail + "<br/>";
	}
	if ($("#register_firstname").val().length < 2){
		tmpErrors += str_register_firstname + ": " + str_register_error_mintwochars + "<br/>";
	}
	if ($("#register_lastname").val().length < 2){
		tmpErrors += str_register_lastname + ": " + str_register_error_mintwochars + "<br/>";
	}
	if (setting_defaultTeam == "") {
		if ($("#register_team").val() == "0") {
			tmpErrors += str_register_team + ": " + str_register_error_selTeam + "<br/>";
		} else {
			tmpTeam = $("#register_team").val();
		}
	}
	if (!document.getElementsByName("mcNrCheck")[0].checked && !document.getElementsByName("mcNrCheck")[1].checked){
		tmpErrors += str_register_membercardnr + ": " + str_register_error_haveMC + "<br/>";
	} else if (document.getElementsByName("mcNrCheck")[1].checked){
		if ($("#register_mcNr1").val().length != 6 || !($("#register_mcNr2").val().length == 0 || $("#register_mcNr2").val().length == 2)){
			tmpErrors += str_register_membercardnr + ": " + str_register_error_invalidMC + "<br/>";
		}
	}
	if (tmpErrors != "") {
		$("#registerErrors").html(tmpErrors);
		$(document).scrollTop(0);
	}
	else if (!$("#register_terms").attr("checked")) {
		$("#registerErrors").html(str_register_error_acceptTerms + "<br/>");
		$(document).scrollTop(0);
	} else {
		tracker.trackEvent('Register', 'Register');
		if (document.getElementsByName("mcNrCheck")[1].checked) {
			var soc1 = $("#register_mcNr1").val();
			var soc2 = $("#register_mcNr2").val();
		} else {
			var soc1 = false;
			var soc2 = false;
		}
		api_auth_register($("#register_nickname").val(), $("#register_pw").val(), $("#register_email").val(), tmpTeam, $("#register_language").val(), $("#register_firstname").val(), $("#register_lastname").val(), soc1, soc2);
	}
}

function handleRegistrationSent()
{
	$("#register_nickname").val("");
	$("#register_pw").val("");
	$("#register_repeatPw").val("");
	$("#register_email").val("");
	$("#register_firstname").val("");
	if (setting_mcNeeded)
		document.getElementsByName("mcNrCheck")[0].checked = false;
	else
		document.getElementsByName("mcNrCheck")[0].checked = true;
	document.getElementsByName("mcNrCheck")[1].checked = false;
	$("#register_lastname").val("");
	$("#register_mcNr1").val("");
	$("#register_mcNr2").val("");
	$("#registerErrors").html(str_register_success);
	$(document).scrollTop(0);
}

function goToForgotPwPage()
{
	guestLogin = false;
	hideAllViews();
	$("#contentPage").show();
	$("body").removeClass();
	$("body").addClass("appBackground2");
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	var tmpHtml = "<div id='forgotPwErrors' class='errors'></div>";
	tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitForgotPw();' id='frm_forgotPw'>";
	tmpHtml += "<p class='frmLabel1'>" + str_forgot_pw + "</p>";
	tmpHtml += "<input type='text' id='forgotPw_email' class='textInvite' value='' /><br/>";
	tmpHtml += "<input type='submit' class='button' id='forgotPw_submit' value='" + str_send + "' />";
	tmpHtml += "</form></div>";
	$("#pageContainer").html(tmpHtml);
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_login_forgot);
	headerActions("back", goToLoginPage);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.showSoftkeys();
	var optionsMenu = window.menu;
	var menuItemSupport = new MenuItem(str_menu_support, 9);
	menuItemSupport.onSelect = menuEventHandler;
	optionsMenu.append(menuItemSupport);
	optionsMenu.setRightSoftkeyLabel(str_menu_back, goToLoginPage);
}

function submitForgotPw()
{
	var tmpErrors = "";
	if ($("#forgotPw_email").val() == "" || !checkEmail($("#forgotPw_email").val())){
		tmpErrors += str_forgot_emailInvalid + "<br/>";
	}
	if (tmpErrors != "") {
		$("#forgotPwErrors").html(tmpErrors);
		document.body.scrollTop = 0;
	} else {
		tracker.trackEvent('Forgot', 'Forgot');
		api_auth_forgotpw($("#forgotPw_email").val());
	}
}

function goToDashboard()
{
	ajaxCallCount = 0;
	$("#dashboardFooterAd").html("");
	if (setting_adsInneractive) {
		if (!setting_ads || arrAds.length <= 0 || fillRateAmount < 0) {
			getInnerActiveAd("dashboardFooterAd", "");
		} else {
			if (fillRateAmount == 0) {
				api_ads_getBanners("dashboardFooterAd", false);
			} else {
				if (fillRateCurrent >= 1) {
					getInnerActiveAd("dashboardFooterAd", "");
					fillRateCurrent--
				} else {
					api_ads_getBanners("dashboardFooterAd", false);
					fillRateCurrent += fillRateAmount;
				}
			}
		}
	} else {
		if (setting_ads)
			api_ads_getBanners("dashboardFooterAd", false);
	}
	$("#db_chatButton").hide();
	Popup.hideDashboardOptions();
	hideAllViews();
	tmpCallBackParams = new Array();
	if (!guestLogin)
		api_user_profile(uid, "own");
	api_user_profileStatus(setDbProfileStatus);
	tmpCallBackParams["callBackFuncSupport"] = goToDashboard;
	$("#dashboard").show();
	$("body").removeClass();
	$("body").addClass("appBackground1");
	var tmpEl = document.getElementById("dashboardHeader");
	$("#dashboardFooterMatch").hide();
	$("#dashboardFooterAd").hide();
	$("#dashboardFooterPowered").show();
	$("#headerContainer1").html("");
	$("#headerContainer1").append(tmpEl);
	$("#dashboard").height(window.innerHeight);
	$("#headerSpacer1").height($("#headerContainer1").height());
	$("#footerSpacer1").height($("#dashboardFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Main', 'Dashboard');
}

function fillAdContainer(p_adsContainer)
{
	if (maxAdIndex > 0) {
		var tmpViewAdId = arrAdIds[currAdIndex] + "_view";
		var tmpClickAdId = arrAdIds[currAdIndex] + "_click";
		$("#dashboardFooterAd").html("<a onclick='tracker.trackEvent(\"Ads\", \"" + tmpClickAdId + "\");openLink(\"" + arrAdLinks[currAdIndex] + "\");'><img src='" + arrAds[currAdIndex] + "'/></a>");
		tracker.trackEvent('Ads', tmpViewAdId);
		if (adsRandom) {
			currAdIndex = Math.floor(Math.random()*maxAdIndex)
		} else {
			var tmpMax = maxAdIndex - 1;
			if (currAdIndex >= tmpMax) 
				currAdIndex = 0;
			else 
				currAdIndex++;
		}
		
	}
}

function setDbProfileStatus(r)
{
	if (!timerFM) {
		timerFM = setInterval(switchFooterMatch, 3 * 1000);
	}
	if (setting_varLogo && !guestLogin)
		$("#img_db_myTeamButton").attr("src", api_user_avatar(userprofile["team_avatarid"], 50, 50, 0));
	if(!guestLogin)
		api_result_matchlist(userprofile["teamid"], false, "false", 1, loadFooterMatch);
	if (r["liveGame"] > 0){
		$("#bubble_db_live").show();
		if (r["liveGame"] > 99) {
			$("#bubble_db_live").html("99+");
		} else {
			$("#bubble_db_live").html(r["liveGame"]);
		}
	} else {
		$("#bubble_db_live").hide();
	}
	if (r["newNotifi"] > 0){
		$("#bubble_db_home").show();
		if (r["newNotifi"] > 99) {
			$("#bubble_db_home").html("99+");
		} else {
			$("#bubble_db_home").html(r["newNotifi"]);
		}
	} else {
		$("#bubble_db_home").hide();
	}
	if (r["onlineFriends"] > 0){
		$("#bubble_db_friends").show();
		$("#bubble_db_friends").html(r["onlineFriends"]);
	} else {
		$("#bubble_db_friends").hide();
	}
	if (r["newMsg"] > 0){
		$("#bubble_db_inbox").show();
		$("#bubble_db_inbox").html(r["newMsg"]);
	} else {
		$("#bubble_db_inbox").hide();
	}
	if (tmpVersionNrAvailable != tmpVersionNr){
		var tmpVerUpd = tmpVersionNrAvailable.split('.');
		var tmpVerOwn = tmpVersionNr.split('.');
		var updateNeeded = false;
		for (var i=0; i<3; i++){
			if (tmpVerOwn[i] > tmpVerUpd[i]) break;
			if (tmpVerOwn[i] < tmpVerUpd[i]){
				updateNeeded = true;
				break;
			}
		}
		
		if (updateNeeded){
			$("#bubble_db_update").show();
		} else {
			$("#bubble_db_update").hide();
		}
	} else {
		$("#bubble_db_update").hide();
	}
	Popup.show("");
}

function loadFooterMatch(r, p_currPage, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (r[0]["status"] == 1500 && p_currPage < p_pageCount - 2){
		var tmpNextPage = parseInt(p_currPage) + 1;
		currMatch = r[0];
		api_result_matchlist(userprofile["teamid"], false, tmpNextPage, 1, loadFooterMatch);
	} else {
		var tmpDate = new Date();
		if (currMatch) {
			var diffTwoMatches = Math.abs((currMatch["starttime"] / 1000) - (r[0]["starttime"] / 1000));
			if (((diffTwoMatches/86400) <= 6 && Math.abs(tmpDate.getTime() - (currMatch["starttime"] / 1000)) > Math.abs(tmpDate.getTime() - (r[0]["starttime"] / 1000))) || Math.abs(tmpDate.getTime() - (currMatch["starttime"] / 1000))/86400 > 3) {
				currMatch = r[0];
			}	
		} else {
			currMatch = r[0];
		}
		
		tmpScore = "";
		if (currMatch["starttime"] <= tmpDate.getTime())
		{
				tmpScore = currMatch["homegoal"] + " - " + currMatch["awaygoal"];
				if (currMatch["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
		} else {
				tmpScore = api_timestamp(currMatch["starttime"], "yyyy-mm-dd", "none");
		}
		tmpHtml += "<div class='footerMatch' onclick='footerMatchClick(" + currMatch["id"] + ");'>";
		tmpHtml += "<img src='" + api_user_avatar(currMatch["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
		tmpHtml += "<img src='" + api_user_avatar(currMatch["at_avatarid"], 40, 40, 0) + "' align='right'/>";
		tmpHtml += "<div class='matchListTeamNames'>" + currMatch["ht_name"] + " - " + currMatch["at_name"] + "</div>";
		tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
		tmpHtml += "</div>";
		$(function()
		{
			$("#dashboardFooterMatch").html(tmpHtml);
		});
		currMatch = null;
	}
}

function switchFooterMatch() 
{
	if ($("#dashboardFooterMatch").html() != ""){
		if ($("#dashboardFooterAd").html() != ""){
			if ($("#dashboardFooterAd:visible").html() == null){
				$("#dashboardFooterAd").show();
				$("#dashboardFooterMatch").hide();
				$("#dashboardFooterPowered").hide();
			} else {
				$("#dashboardFooterMatch").show();
				$("#dashboardFooterAd").hide();
				$("#dashboardFooterPowered").hide();
			}
		} else {
			if ($("#dashboardFooterMatch:visible").html() == null){
				$("#dashboardFooterMatch").show();
				$("#dashboardFooterPowered").hide();
				$("#dashboardFooterAd").hide();
			} else {
				$("#dashboardFooterPowered").show();
				$("#dashboardFooterMatch").hide();
				$("#dashboardFooterAd").hide();
			}
		}
	} else if($("#dashboardFooterAd").html() != ""){
		if ($("#dashboardFooterAd:visible").html() == null){
			$("#dashboardFooterAd").show();
			$("#dashboardFooterPowered").hide();
		} else {
			$("#dashboardFooterPowered").show();
			$("#dashboardFooterAd").hide();
		}
	}
}

function dashboardOptionMenuClick(){
	var tmpHtml = "";
	tmpHtml += "<div class='dashboardMenuItem' style='line-height: 30px;'><img src='images/header_menu.png' style='position: fixed; top: 0; left: 7px;' />&nbsp;</div>";
	tmpHtml += "<div class='dashboardMenuItem' onclick='loadSupportScreen();'>" + str_menu_support + "</div>";
	tmpHtml += "<div class='dashboardMenuItem' onclick='handleLogout();'>" + str_menu_logout + "</div>";
	Popup.showDashboardOptions(tmpHtml);
}

function footerMatchClick(p_id)
{
	hideAllViews();
	$("#contentPage").show();
	$("body").removeClass();
	$("body").addClass("appBackground2");
	clearInterval(timerFM);
	timerFM = null;
	tmpCallBackParams["callBackFunc"] = goToDashboard;
	loadMatchComments(p_id, "all");
}

function db_buttonClick(p_cat)
{
	//$("#db_" + p_cat + "Button").removeClass("db_button").addClass("db_button_s");
	hideAllViews();
	$("#contentPage").show();
	$("body").removeClass();
	$("body").addClass("appBackground2");
	clearInterval(timerFM);
	timerFM = null;
	switch(p_cat){
		case 'home':
			if(!guestLogin)
				loadNotifications(false);
			else
				loadHomeNews();
			break;
		case 'myTeam':
			loadMyTeamMatchList();
			break;
		case 'scores':
			loadScoreCenter();
			break;
		case 'friends':
			if(!guestLogin)
				loadMyFriendList("ALL");
			else
				displayUserSearchForm();
			break;
		case 'inbox':
			loadMsgList("RECEIVED");
			break;
		case 'media':
			loadMyMediaAlbumList("general");
			break;
		case 'chat':
			break;
		case 'profile':
			DisplayMyProfile(goToDashboard);
			break;
		case 'invite':
			DisplayInviteFriend("sms");
			break;
		case 'live':
			tmpCallBackParams = new Array();
			loadLiveMatches();
			break;
		case 'update':
			DisplayUpdatePage();
			break;
	}
	//$("#db_" + p_cat + "Button").removeClass("db_button_s").addClass("db_button");
}

function loadNotifications(p_filter)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_filter) p_filter = tmpCallBackParams["notificationFilter"];
	tmpCallBackParams["notificationFilter"] = p_filter;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	tmpCallBackParams["profileCallBackFunc"] = loadNotifications;
	tmpCallBackParams["callBackFunc"] = loadNotifications;
	if(!guestLogin){
		initHeader("headerFilter", str_filter_notifi_all);
		headerActions("back", goToDashboard, "readAll", "setAllNotificationsToRead()");
		initStatusChangeHeader();
		initFilterMenu(new Array(str_filter_notifi_all, str_filter_notifi_comments, str_filter_notifi_statusupd), new Array("2001", "2002", "2003"));
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
			api_user_notification(false, p_filter, true, 0, 15);
			if (leagueNews == "true" || teamNews == "true") {
				initFooter("home_notifi", "home_news", "home_live", "home_notifi");
				tmpCallBackParams["liveFooterContainer"] = "footerTab3";
			} else {
				initFooter("home_notifi", "home_live", "", "home_notifi");
				tmpCallBackParams["liveFooterContainer"] = "footerTab2";
			}
		} else {
			if (tmpCallBackParams["callBackMatchComments"] && tmpCallBackParams["callBackMatchComments"] != "")
				tmpCallBackParams["callBackMatchComments"] = "";
			if (tmpCallBackParams["MatchComentPageNr"] && tmpCallBackParams["MatchComentPageNr"] != "")
				tmpCallBackParams["MatchComentPageNr"] = "";
			if (tmpCallBackParams["callBackMessageComments"] && tmpCallBackParams["callBackMessageComments"] != "")
				tmpCallBackParams["callBackMessageComments"] = "";
			if (tmpCallBackParams["MessageComentPageNr"] && tmpCallBackParams["MessageComentPageNr"] != "")
				tmpCallBackParams["MessageComentPageNr"] = "";
			if (tmpCallBackParams["callBackNewsComents"] && tmpCallBackParams["callBackNewsComents"] != "")
				tmpCallBackParams["callBackNewsComents"] = "";
			if (tmpCallBackParams["NewsComentPageNr"] && tmpCallBackParams["NewsComentPageNr"] != "")
				tmpCallBackParams["NewsComentPageNr"] = "";
			if (tmpCallBackParams["callBackAlbumContent"] && tmpCallBackParams["callBackAlbumContent"] != "")
				tmpCallBackParams["callBackAlbumContent"] = "";
			if (tmpCallBackParams["albumCallBackFunc"] && tmpCallBackParams["albumCallBackFunc"] != "")
				tmpCallBackParams["albumCallBackFunc"] = "";
			if (leagueNews == "true" || teamNews == "true") {
				initFooter("home_notifi", "home_news", "home_live", "home_notifi");
				tmpCallBackParams["liveFooterContainer"] = "footerTab3";
			} else {
				initFooter("home_notifi", "home_live", "", "home_notifi");
				tmpCallBackParams["liveFooterContainer"] = "footerTab2";
			}
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$("#contentPage").height(window.innerHeight);
			$("#headerSpacer2").height($("#headerContainer2").height());
			$("#footerSpacer2").height($("#contentFooter").height());
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_user_notification(false, tmpCallBackParams["notificationFilter"], true, tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
	} else {
		goToInAppLoginPage();
		headerActions("back", goToDashboard);
		initFooter("home_notifi", "home_news", "home_live", "home_notifi");
		tmpCallBackParams["liveFooterContainer"] = "footerTab3";
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
		$("#contentPage").height(window.innerHeight);
		$("#headerSpacer2").height($("#headerContainer2").height());
		$("#footerSpacer2").height($("#contentFooter").height());
	}
	api_user_profileStatus(setHomeFooterStatus);
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Home', 'viewNotifications');
}

function fillNotificationLst(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		var tmpTypeText = "";
		var tmpOnclick = "";
		var tmpContent = "";
		switch(parseInt(r[i]["type"])){
			case 1:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadMessageContent(' + r[i]["targetid"] + ', "team", "")';
				tmpTypeText = str_notification_teamMsg;
				break;
			case 2:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadMessageContent(' + r[i]["targetid"] + ', "private", ""); api_message_readmessage (' + r[i]["targetid"] + ')';
				tmpTypeText = str_notification_userMsg;
				break;
			case 3:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				if (r[i]["feed_type"] == "game"){
					tmpOnclick = 'loadMatchComments(' + r[i]["targetid"] + ', "all")';
				} else if (r[i]["feed_type"] == "team" || r[i]["feed_type"] == "league"){
					tmpOnclick = 'api_feed_feeditem(' + '"' + escape(r[i]["targetid"]) + '"' + ', ' + '"' + r[i]["feedid"] + '"' + ', "redirect")';
				}
				tmpTypeText = str_notification_feedComment;
				break;
			case 4:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadUserProfile(' + r[i]["senderid"] + ', ' + '"full")';
				tmpTypeText = str_notification_friendReq;
				break;
			case 5:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadUserProfile(' + r[i]["senderid"] + ', ' + '"full")';
				tmpTypeText = str_notification_fileUpload;
				break;
			case 6:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadUserProfile(' + r[i]["senderid"] + ', ' + '"full")';
				tmpTypeText = str_notification_reqAccepted;
				break;
			case 7:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadUserProfile(' + r[i]["senderid"] + ', ' + '"full")';
				tmpTypeText = str_notification_statusChange;
				break;
			case 8:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadMessageContent(' + r[i]["targetid"] + ', "private", "redirect")';
				tmpTypeText = str_notification_friendMsgComment;
				break;
			case 9:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadMessageContent(' + r[i]["targetid"] + ', "team", "redirect")';
				tmpTypeText = str_notification_teamMsgComment;
				break;
			case 10:
				tmpContent = "";
				tmpOnclick = 'loadUserProfile(' + r[i]["senderid"] + ', ' + '"full")';
				tmpTypeText = str_notification_avatarChange;
				break;
			case 11:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadAlbumFileList(' + r[i]["targetid"] + ')';
				tmpTypeText = str_notification_friendAlbumUpload;
				break;
			case 12:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadAlbumFileList(' + r[i]["targetid"] + ')';
				tmpTypeText = str_notification_albumItemComment;
				break;
			case 13:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadUserProfile(' + r[i]["senderid"] + ', ' + '"full")';
				tmpTypeText = str_notification_hasNewFriend;
				break;
			case 14:
				tmpContent = (r[i]["content"].length > 30) ? r[i]["content"].substr(0, 30) + "..." : r[i]["content"];
				tmpOnclick = 'loadAlbumFileList(' + r[i]["targetid"] + ')';
				tmpTypeText = str_notification_friendAlbumUpload;
				break;
		}
		tmpTypeText = r[i]["nick"] + tmpTypeText;
		tmpTypeText = tmpTypeText.length > 37 ? tmpTypeText.substr(0, 37) + "..." : tmpTypeText;
		if (r[i]["read"] == "true")
			tmpHtml += "<div class='listItem' id='notification_" + r[i]["id"] + "'>";
		else
			tmpHtml += "<div class='listItemNew' id='notification_" + r[i]["id"] + "'>";
		tmpHtml += "<div class='list_img' onclick='loadUserProfile(" + r[i]["senderid"] + ", " + '"full"' + ");'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
		if (r[i]["read"] == "true")
			tmpHtml += "<div style='width: 100%; height: 100%;' onclick='" + tmpOnclick + ";'>";
		else
			tmpHtml += "<div style='width: 100%; height: 100%;' onclick='setNotificationToRead(" + r[i]["id"] + ");" + tmpOnclick + ";'>";
		tmpHtml += "<div class='list_top1'>" + tmpTypeText + "</div>";
		tmpHtml += "<div class='list_bottom3'>" + tmpContent + "</div>";
		tmpHtml += "</div>";
		tmpHtml += "<div class='list_notifiTime'>" + r[i]["created"] + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		$("#contentPage").height(window.innerHeight);
		$("#headerSpacer2").height($("#headerContainer2").height());
		$("#footerSpacer2").height($("#contentFooter").height());
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_user_notification(false, tmpCallBackParams["notificationFilter"], true, tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function setNotificationToRead(p_notificationId){
	$("#notification_" + p_notificationId).removeClass();
	$("#notification_" + p_notificationId).addClass("listItem");
	tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	api_user_closenotification(p_notificationId);
}

function setAllNotificationsToRead(){
	api_user_closeallnotification();
	$(".listItemNew").removeClass().addClass("listItem");
	tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
}

function loadSelectImage_avatar()
{
	var tmpHtml = "";
	ajaxCallCount++;
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["localFilesCallBackFunc"] = loadSelectImage_avatar;
	tmpHtml += "<div class='listItem'>";
	tmpHtml += "<div class='list_middle' style='margin-right: 80px; margin-left: 15px;' onclick='loadLocalImageList(" + '"selectImage_avatar_handle"' + ");'>" + str_localFiles_local + "</div>";
	tmpHtml += "</div>";
	tmpHtml += "<div class='listItem'>";
	tmpHtml += "<div class='list_middle' style='margin-right: 80px; margin-left: 15px;' onclick='loadTakeNewImage(" + '"avatar"' + ");'>" + str_localFiles_takeNew + "</div>";
	tmpHtml += "</div>";
	hideLoader("pageContainer");
	$("#pageContainer").append(tmpHtml);
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_localFiles_choose);
	headerActions("back", loadNotifications);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}	

function selectImage_avatar_handle(p_index)
{
	if (p_index == null){
		loadNotifications();
	} else {
		var tmpArr = tmpCallBackParams["arrFiles"];
		if (p_index >= 0){
			api_user_updateavatar(tmpArr[p_index]["path"]);
			tracker.trackEvent('Home', 'changeAvatar');
		} else {
			loadSelectImage_avatar();
		}
	}
}

function takeNewImage_avatar_handle(p_src)
{
	if (p_src && p_src.length){
		api_user_updateavatar(p_src);
		tracker.trackEvent('Home', 'changeAvatar');
	} else {
		loadSelectImage_avatar();
	}
}

function submitStatusUpdate()
{
	if ($("#statusUpdateField").val() != userprofile["status"]){
		if (!tmpCallBackParams["p_newsFilter"] || tmpCallBackParams["p_newsFilter"] == "")
			tmpCallBackParams["p_newsFilter"] = "team";
		api_user_setstatus ($("#statusUpdateField").val());
		tracker.trackEvent('Home', 'changeStatus');
	}
}

function handleStatusUpdate_response()
{
	$("#statusUpdateField").val(userprofile["status"]);
	$("#statusUpdateAvatar").attr("src", api_user_avatar(userprofile["avatarid"], 40, 40, 0));
}	

function loadHomeNews(p_filter){
	var sysinfo = document.embeds[0];
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_filter){
		p_filter = tmpCallBackParams["p_newsFilter"];
	}
	tmpCallBackParams["p_newsFilter"] = p_filter;
	if (teamNews == "false") {
		tmpCallBackParams["p_newsFilter"] = "league";
		p_filter = "league";
	}
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	var tmpFilterText = "";
	tmpCallBackParams["callBackFunc"] = loadHomeNews;
	if (!guestLogin){
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == ""){
			switch(p_filter){
				case "team":
					tmpFilterText = str_filter_news_team;
					api_feed_teamnews(false, false, 0, 15, userprofile["language"], fillHomeNewsLst);
					break;
				case "league":
					tmpFilterText = str_filter_news_league;
					api_feed_leaguenews(false, false, 0, 15, userprofile["language"]);
					break;
				default:
					tmpFilterText = str_filter_news_team;
					api_feed_teamnews(false, false, 0, 15, userprofile["language"], fillHomeNewsLst);
					break;
			}
		} else {
			switch(p_filter){
				case "team":
					tmpFilterText = str_filter_news_team;
					break;
				case "league":
					tmpFilterText = str_filter_news_league;
					break;
				default:
					tmpFilterText = str_filter_news_team;
					break;
			}
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					switch(tmpCallBackParams["p_newsFilter"]){
						case "team":
							tmpFilterText = str_filter_news_team;
							api_feed_teamnews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"], fillHomeNewsLst);
							break;
						case "league":
							tmpFilterText = str_filter_news_league;
							api_feed_leaguenews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"]);
							break;
						default:
							tmpFilterText = str_filter_news_team;
							api_feed_teamnews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"], fillHomeNewsLst);
							break;
					}
					$(document).unbind("scroll");
				}
			});
		}
		if (leagueNews == "true" || teamNews == "true") {
			initFooter("home_notifi", "home_news", "home_live", "home_news");
			tmpCallBackParams["liveFooterContainer"] = "footerTab3";
		} else {
			initFooter("home_notifi", "home_live", "", "home_news");
			tmpCallBackParams["liveFooterContainer"] = "footerTab2";
		}
		api_user_profileStatus(setHomeFooterStatus);
		if (leagueNews == "true" && teamNews == "true") {
			initHeader("headerFilter", tmpFilterText);
			initFilterMenu(new Array(str_filter_news_team, str_filter_news_league), new Array("2004", "2005"));
		} else {
			initHeader("headerNoFilter", tmpFilterText);
		}
	} else {
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
			api_feed_leaguenews(false, false, 0, 15, sysinfo.language);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_feed_leaguenews(false, false, tmpCallBackParams["contentPageNr"], 15, sysinfo.language);
				}
			});
		}
		initFooter("home_notifi", "home_news", "home_live", "home_news");
		tmpCallBackParams["liveFooterContainer"] = "footerTab3";
		initHeader("headerNoFilter", str_filter_news_league);
	}
	headerActions("back", goToDashboard);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Home', 'viewNews');
}

function fillHomeNewsLst(r, p_feedid, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		tmpImage = "";
		if (r[i]["image"] != ""){
			tmpImage = api_media_thumb(r[i]["image"], 50, 50, 0);
		} else {
			tmpImage = "images/icon_news.png";
		}
		tmpHtml += "<div class='listItem' onclick='loadNewsItem(" + '"' + p_feedid + '"' + ", " + '"' + escape(r[i]["id"]) + '"' + ");'>";
		tmpHtml += "<div class='list_img' style='background: url(" + tmpImage + ") no-repeat center;'>&nbsp;</div>";
		tmpHtml += "<div class='list_top1'>" + r[i]["title"] + "</div>";
		tmpHtml += "<div class='list_bottom1'>" + r[i]["time"] + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					switch (tmpCallBackParams["p_newsFilter"]) {
						case "team":
							tmpFilterText = str_filter_news_team;
							api_feed_teamnews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"], fillHomeNewsLst);
							break;
						case "league":
							tmpFilterText = str_filter_news_league;
							api_feed_leaguenews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"]);
							break;
						default:
							tmpFilterText = str_filter_news_team;
							api_feed_teamnews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"], fillHomeNewsLst);
							break;
					}
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function loadNewsItem(p_feedid, p_id)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id){
		p_feedid = tmpCallBackParams["p_feedid"];
		p_id = tmpCallBackParams["p_id"];
	}
	if (tmpCallBackParams["callBackNewsComents"] && tmpCallBackParams["callBackNewsComents"] != "")
		tmpCallBackParams["callBackNewsComents"] = "";
	if (tmpCallBackParams["NewsComentPageNr"] && tmpCallBackParams["NewsComentPageNr"] != "")
		tmpCallBackParams["NewsComentPageNr"] = "";
	tmpCallBackParams["p_feedid"] = p_feedid;
	tmpCallBackParams["p_id"] = p_id;
	tmpCallBackParams["newsCommentCallBackFunc"] = loadNewsItem;
	initNewsItemFooter(escape(p_id), p_feedid);
	api_feed_feeditem(escape(p_id), p_feedid, "");
	initHeader("headerNoFilter", str_footer_home_news);
	headerActions("back", tmpCallBackParams["callBackFunc"]);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tmpCallBackParams.splice("callBackFunc", 1);
	tracker.trackEvent('News', 'viewNewsItem');
}

function fillNewsItem(r, p_feedid, p_redirect, p_tmpAjaxCount)
{
	var tmpHtml = "";
	var tmpImage = "";
	tmpHtmlContent = "";
	if (r["image"] != ""){
		tmpImage = api_media_thumb(r["image"], 40, 40, 0);
	} else {
		tmpImage = "images/icon_news.png";
	}
	tmpHtmlContent += "<div class='subHeader'>";
	tmpHtmlContent += "<div class='subHeader_img' style='background: url(" + tmpImage + ") no-repeat center;'>&nbsp;</div>";
	tmpHtmlContent += "<div class='subHeader_text1'>" + r["title"] + "</div>";
	tmpHtmlContent += "</div>";
	if (p_redirect == "redirect"){
		hideLoader("pageContainer");
		tmpCallBackParams["p_feedid"] = p_feedid;
		tmpCallBackParams["p_id"] = r["id"];
		loadNewsItemCommentList(r["id"], "all");
	} else {
		headerActions("back", tmpCallBackParams["callBackFunc"], "news_nav", new Array(r["prev"], r["next"]));
		if (r["image"] != ""){
			tmpImage = api_media_thumb(r["image"], window.innerWidth - 40, window.innerHeight, 0);
		} else {
			tmpImage = "";
		}
		tmpHtml += "<div class='articleContainer'>";
		tmpHtml += "<div class='articleTitle'>" + r["title"] + "</div>";
		if (tmpImage != "") tmpHtml += "<img src='" + tmpImage + "'/>";
		tmpHtml += "<div class='articleText'>" + r["content"];
		if (r["copyright"] != "")
			tmpHtml += "<br/><br/>" + r["copyright"];
		if (r["link"] != "")
			tmpHtml += "<br/><br/><a class='newsItemLink' href='#' onclick='javascript: openLink(" + '"' + r["link"] + '"' + ");' target='_blank'>" + str_news_more + "</a>";
		tmpHtml += "</div>";
		tmpHtml += "</div>";
		if (ajaxCallCount == p_tmpAjaxCount) {
			hideLoader("pageContainer");
			$("#pageContainer").append(tmpHtml);
		}
	}
}

function openLink(p_link)
{
	widget.openURL(unescape(p_link));
}

function navigateNewsItems(p_feeditemid){
	loadNewsItem(tmpCallBackParams["p_feedid"], p_feeditemid)
}

function loadNewsItemCommentList(p_id, p_filter)
{
	$("#pageContainer").html(tmpHtmlContent);
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id) p_id = tmpCallBackParams["newsItemId"];
	if (!p_filter) p_filter = tmpCallBackParams["commentFilter"];
	tmpCallBackParams["newsItemId"] = p_id;
	tmpCallBackParams["commentFilter"] = p_filter;
	tmpCallBackParams["profileCallBackFunc"] = loadNewsItemCommentList;
	tmpCallBackParams["newsCommentCallBackFunc"] = loadNewsItemCommentList;
	if (!tmpCallBackParams["NewsComentPageNr"] || tmpCallBackParams["NewsComentPageNr"] == "")
		tmpCallBackParams["NewsComentPageNr"] = 0;
	var tmpFilterText = "";
	if (!tmpCallBackParams["callBackNewsComents"] || tmpCallBackParams["callBackNewsComents"] == "") {
		api_feed_feedcomments(p_id, 0, 15, p_filter, fillNewsItemCommentLst);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackNewsComents"]);
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["NewsComentPageNr"] += 1;
				api_feed_feedcomments(p_id, tmpCallBackParams["NewsComentPageNr"], 15, p_filter, fillNewsItemCommentLst);
				$(document).unbind("scroll");
			}
		});
	}
	initFooter("", "", "");
	initHeader("headerFilter", str_filter_comments_all);
	headerActions("back", loadNewsItem, "comment", "loadNewsCommentForm('" + tmpCallBackParams["newsItemId"] + "')");
	initFilterMenu(new Array(str_filter_comments_all, str_filter_comments_myFriends, str_filter_comments_myTeam, str_filter_comments_myLang), new Array("2017", "2018", "2019", "2020"));
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('News', 'viewNewsItemComments');
}

function fillNewsItemCommentLst(r, p_id, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0){
		for (i=0; i<r.length; i++){
			tmpHtml += "<div class='commentListItem' onclick='loadUserProfile(" + r[i]["userid"] + ", " + '"full"' + ");'>";
			tmpHtml += "<div class='commentList_img'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div style='display: table;'><div class='commentList_top'>" + r[i]["nick"] + "</div>";
			tmpHtml += "<div class='commentList_bottom'>" + formatStringLen(r[i]["content"], 40) + "</div>";
			tmpHtml += "<div class='commentList_time'>" + r[i]["time"] + "</div></div>";
			tmpHtml += "</div>";
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noComments + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["NewsComentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["NewsComentPageNr"] += 1;
					api_feed_feedcomments(p_id, tmpCallBackParams["NewsComentPageNr"], 15, tmpCallBackParams["commentFilter"], fillNewsItemCommentLst);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackNewsComents"] = $("#pageContainer").html();
	}
}

function loadNewsCommentForm(p_id)
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	ajaxCallCount++;
	if (!guestLogin){
		var tmpHtml = "<div id='commentErrors' class='errors'></div>";
		tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitNewsComment();' id='frm_NewsComment'>";
		tmpHtml += "<input type='hidden' id='newsItemId' value='" + p_id + "' />";
		tmpHtml += "<textarea id='news_commentTxt' class='textareaBox' rows='6'></textarea><br/><br/>";
		tmpHtml += "<input type='submit' class='button' id='comment_submit' value='" + str_send + "' />";
		tmpHtml += "</form></div>";
		$("#pageContainer").append(tmpHtml);
		initFooter("", "", "");
		initHeader("headerNoFilter", str_comment);
	} else {
		goToInAppLoginPage();
		initFooter("", "", "");
	}
	headerActions("back", tmpCallBackParams["newsCommentCallBackFunc"]);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitNewsComment()
{
	var tmpErrors = "";
	if ($("#news_commentTxt").val() == ""){
		tmpErrors = str_error_emptyField + "<br/>";
	}
	if (tmpErrors != ""){
		$("#commentErrors").html(tmpErrors);
	} else {
		if (!tmpCallBackParams["p_newsFilter"] || tmpCallBackParams["p_newsFilter"] == "")
			tmpCallBackParams["p_newsFilter"] = "team";
		api_feed_commentfeed($("#newsItemId").val(), tmpCallBackParams["p_newsFilter"], $("#news_commentTxt").val());
		tracker.trackEvent('News', 'commentNewsItem');
	}
}

function handleNewsComment_response(p_status, p_id)
{
	if (p_status == "OK"){
		if (tmpCallBackParams["callBackNewsComents"] && tmpCallBackParams["callBackNewsComents"] != "")
			tmpCallBackParams["callBackNewsComents"] = "";
		if (tmpCallBackParams["NewsComentPageNr"] && tmpCallBackParams["NewsComentPageNr"] != "")
			tmpCallBackParams["NewsComentPageNr"] = "";
		loadNewsItemCommentList(p_id);
	} else {
		$("#commentErrors").html(str_comment_error);
	}
}

function loadLiveMatches()
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["commentFilter"] = "";
	if (!tmpCallBackParams["p_league"]) tmpCallBackParams["p_league"] = "all";
	if (!tmpCallBackParams["p_subLeague"]) tmpCallBackParams["p_subLeague"] = "";
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if (!tmpCallBackParams["dailymatchdate"])
		tmpCallBackParams["dailymatchdate"] = new Date();
	tmpCallBackParams["callBackFunc"] = loadLiveMatches;
	initHeader("headerNoFilter", str_footer_home_live);
	headerActions("back", goToDashboard, "live_nav", "");
	$("#headerContainer2").append(initLeagueddl("selLeague", "selSubLeague", "live"));
	api_result_leaguelist(false, "selLeague", "live");
	if ($("#selLeague").val() != "all"){
		api_result_leaguelist($("#selLeague").val(), "selSubLeague", "live");
	}
	var now = tmpCallBackParams["dailymatchdate"];
	var tmpMonth = now.getMonth() + 1;
	if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
		api_result_dailymatchlist(now.getFullYear() + "-" + tmpMonth + "-" + now.getDate(), false, 0, 15);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpCallBackParams["callBackContent"]);
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["contentPageNr"] += 1;
				api_result_dailymatchlist(now.getFullYear() + "-" + tmpMonth + "-" + now.getDate(), false, tmpCallBackParams["contentPageNr"], 15);
				$(document).unbind("scroll");
			}
		});
	}
	if (!guestLogin){
		if (leagueNews == "true" || teamNews == "true") {
			initFooter("home_notifi", "home_news", "home_live", "home_live");
			tmpCallBackParams["liveFooterContainer"] = "footerTab3";
		} else {
			initFooter("home_notifi", "home_live", "", "home_live");
			tmpCallBackParams["liveFooterContainer"] = "footerTab2";
		}
	} else {
		initFooter("home_notifi", "home_news", "home_live", "home_live");
		tmpCallBackParams["liveFooterContainer"] = "footerTab3";
	}
	api_user_profileStatus(setHomeFooterStatus);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Home', 'viewLive');
}

function fillLiveMatchLst(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	var tmpLeagueId = "";
	if (p_itemCount > 0){
		for (i=0; i<r.length; i++){
			tmpScore = "";
			var tmpDate = new Date();
			if (r[i]["starttime"] <= tmpDate.getTime())
			{
				tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
				if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
			} else {
				tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
			}
			if (tmpLeagueId != r[i]["leagueid"]){
				tmpHtml += "<div class='playerLstPosTitle'>" + r[i]["leaguename"] + "</div>";
				tmpLeagueId = r[i]["leagueid"];
			}
			tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
			tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
			tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
			tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
			tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
			tmpHtml += "</div>";
		}
		if (ajaxCallCount == p_tmpAjaxCount) {
			hideLoader("pageContainer");
			$("#pageContainer").append(tmpHtml);
			if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
				$(document).bind("scroll", function(){
					if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
						showLoader("pageContainer");
						tmpCallBackParams["contentPageNr"] += 1;
						var now = new Date();
						var tmpMonth = now.getMonth() + 1;
						api_result_dailymatchlist(now.getFullYear() + "-" + tmpMonth + "-" + now.getDate(), false, tmpCallBackParams["contentPageNr"], 15);
						$(document).unbind("scroll");
					}
				});
			}
			tmpCallBackParams["callBackContent"] = tmpHtml;
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noMatch + "</div>";
		if (ajaxCallCount == p_tmpAjaxCount) {
			hideLoader("pageContainer");
			$("#pageContainer").append(tmpHtml);
			tmpCallBackParams["callBackContent"] = "";
		}
	}
}

function navigateLiveMatches(p_direction){
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!tmpCallBackParams["dailymatchdate"])
		tmpCallBackParams["dailymatchdate"] = new Date();
	tmpCallBackParams["contentPageNr"] = 0;
	if (p_direction == "next") {
		tmpCallBackParams["dailymatchdate"].setDate(tmpCallBackParams["dailymatchdate"].getDate() + 1);
	} else if (p_direction == "prev") {
		tmpCallBackParams["dailymatchdate"].setDate(tmpCallBackParams["dailymatchdate"].getDate() - 1);
	}
	var now = tmpCallBackParams["dailymatchdate"];
	tmpMonth = now.getMonth() + 1;
	if (document.getElementById("selSubLeague").value == "none") {
		tmpLeagueid = document.getElementById("selLeague").value == "all" ? false : document.getElementById("selLeague").value;
		api_result_dailymatchlist(now.getFullYear() + "-" + tmpMonth + "-" + now.getDate(), tmpLeagueid, 0, 15);
	} else {
		api_result_dailymatchlist(now.getFullYear() + "-" + tmpMonth + "-" + now.getDate(), document.getElementById("selLeague").value, 0, 15);
	}
}

function setHomeFooterStatus(r){
	if (r["newNotifi"] > 0){
		var bubble1 = document.createElement('div');
		bubble1.setAttribute("id", "footerTabBubble1");
		bubble1.setAttribute("class", "bubble_footer");
		if (r["newNotifi"] > 99) {
			bubble1.setAttribute("style", "font-size: 0.6em;");
			bubble1.innerHTML = "99+";
		} else {
			bubble1.innerHTML = r["newNotifi"];
		}
		$("#footerTab1").append(bubble1);
	}
	if (r["liveGame"] > 0){
		var bubble2 = document.createElement('div');
		bubble2.setAttribute("id", "footerTabBubble2");
		bubble2.setAttribute("class", "bubble_footer");
		if (r["liveGame"] > 99) {
			bubble2.setAttribute("style", "font-size: 0.6em;");
			bubble2.innerHTML = "99+";
		} else {
			bubble2.innerHTML = r["liveGame"];
		}
		$("#" + tmpCallBackParams["liveFooterContainer"]).append(bubble2);
	}
}

function loadMyTeamMatchList(){
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["posAddContent"] = "";
	tmpCallBackParams["commentFilter"] = "";
	tmpCallBackParams["callBackFunc"] = loadMyTeamMatchList;
	if(!guestLogin || setting_defaultTeam != ""){
		var tmpMyTeam = "";
		if (!guestLogin)
			tmpMyTeam = userprofile["teamid"];
		else
			tmpMyTeam = setting_defaultTeam;
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
			api_result_matchlist(tmpMyTeam, false, "false", 15, fillMyTeamMatchLst);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			var scrollPrev = 0;
			var scrollNext = 0;
			if (tmpCallBackParams["contentPageNrMin"] > 0 && debug_loadEvent) {
				scrollPrev = 1;
			}
			if (tmpCallBackParams["contentPageNrMax"] < tmpCallBackParams["contentPageCount"] && debug_loadEvent) {
				scrollNext = 1;
			}
			if (scrollPrev || scrollNext) {
				$(document).bind("scroll", function(){
					if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop && scrollNext) {
						showLoader("pageContainer");
						tmpCallBackParams["posAddContent"] = "";
						var tmpPage = tmpCallBackParams["contentPageNrMax"] + 1;
						api_result_matchlist(tmpMyTeam, false, tmpPage, 15, fillMyTeamMatchLst);
						$(document).unbind("scroll");
					}
					else if (document.getElementById("headerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentHeader").offsetTop && scrollPrev) {
						showLoader("pageContainer", "top");
						tmpCallBackParams["posAddContent"] = "top";
						var tmpPage = tmpCallBackParams["contentPageNrMin"] - 1;
						api_result_matchlist(tmpMyTeam, false, tmpPage, 15, fillMyTeamMatchLst);
						$(document).unbind("scroll");
					}
				});
			}
		}
		initHeader("headerFilter", str_filter_myTeam_matches);
		initFilterMenu(new Array(str_filter_myTeam_matches, str_filter_myTeam_players), new Array("2006", "2007"));
	} else {
		goToInAppLoginPage();
	}
	headerActions("back", goToDashboard);
	initFooter("myTeam_myTeam", "myTeam_standings", "myTeam_news", "myTeam_myTeam");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewMatches');
}

function fillMyTeamMatchLst(r, p_currPage, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		tmpScore = "";
		var tmpDate = new Date();
		if (r[i]["starttime"] <= tmpDate.getTime())
		{
				tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
				if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
		} else {
				tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
		}
		tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
		tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
		tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
		tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
		tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
		tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
		tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		if (tmpCallBackParams["posAddContent"] == "top") {
			$("#pageContainer").prepend(tmpHtml);
		} else {
			$("#pageContainer").append(tmpHtml);
		}
		if (tmpCallBackParams["contentPageNrMin"] == undefined || tmpCallBackParams["contentPageNrMin"] > p_currPage) {
			tmpCallBackParams["contentPageNrMin"] = parseInt(p_currPage);
		}
		if (tmpCallBackParams["contentPageNrMax"] == undefined || tmpCallBackParams["contentPageNrMax"] < p_currPage) {
			tmpCallBackParams["contentPageNrMax"] = parseInt(p_currPage);
		}
		tmpCallBackParams["contentPageCount"] = p_pageCount;
		var scrollPrev = 0;
		var scrollNext = 0;
		if (tmpCallBackParams["contentPageNrMin"] > 0 && debug_loadEvent) {
			scrollPrev = 1;
		}
		if (tmpCallBackParams["contentPageNrMax"] < p_pageCount && debug_loadEvent) {
			scrollNext = 1;
		}
		if (scrollPrev || scrollNext) {
			$(document).bind("scroll", function(){
				var tmpMyTeam = "";
				if (!guestLogin)
					tmpMyTeam = userprofile["teamid"];
				else
					tmpMyTeam = setting_defaultTeam;			
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop && scrollNext) {
					showLoader("pageContainer");
					tmpCallBackParams["posAddContent"] = "";
					var tmpPage = tmpCallBackParams["contentPageNrMax"] + 1;
					api_result_matchlist(tmpMyTeam, false, tmpPage, 15, fillMyTeamMatchLst);
					$(document).unbind("scroll");
				} else if (document.getElementById("headerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentHeader").offsetTop && scrollPrev) {
					showLoader("pageContainer", "top");
					tmpCallBackParams["posAddContent"] = "top";
					var tmpPage = tmpCallBackParams["contentPageNrMin"] - 1;
					api_result_matchlist(tmpMyTeam, false, tmpPage, 15, fillMyTeamMatchLst);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function loadMyTeamPlayerList(){
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	var tmpMyTeam = "";
	if (!guestLogin)
		tmpMyTeam = userprofile["teamid"];
	else
		tmpMyTeam = setting_defaultTeam;
	api_result_teamplayerlist(tmpMyTeam, false);
	initHeader("headerFilter", str_filter_myTeam_players);
	headerActions("back", goToDashboard);
	initFilterMenu(new Array(str_filter_myTeam_matches, str_filter_myTeam_players), new Array("2006", "2007"));
	initFooter("myTeam_myTeam", "myTeam_standings", "myTeam_news", "myTeam_myTeam");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewPlayerlist');
}

function fillMyTeamPlayerLst(r, p_tmpAjaxCount)
{
	var tmpHtml = "";
	var tmpPos = "";
	for (i=0; i<r.length; i++){
		if (tmpPos != r[i]["position"] && r[i]["number"] != ""){
			tmpHtml += "<div class='playerLstPosTitle'>" + r[i]["position"] + "</div>";
			tmpPos = r[i]["position"];
		}
		tmpHtml += "<div class='listItem' onclick='loadMyTeamPlayerDetails(" + r[i]["id"] + ")'>";
		var tmpThumb = "http://91.121.80.12/image_proxy.php?width=50&height=50&img=" + r[i]["picture"];
		tmpHtml += "<div class='list_img'><img src='" + tmpThumb + "'/></div>";
		tmpHtml += "<div class='playerLstNumber'>" + r[i]["number"] + "</div>";
		tmpHtml += "<br/><div class='playerLstName'>" + r[i]["name"] + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMyTeamPlayerDetails(p_playerid)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	var tmpMyTeam = "";
	if (!guestLogin)
		tmpMyTeam = userprofile["teamid"];
	else
		tmpMyTeam = setting_defaultTeam;
	api_result_teamplayerlist(tmpMyTeam, p_playerid);
	initHeader("headerNoFilter", str_filter_myTeam_players);
	headerActions("back", loadMyTeamPlayerList);
	initFooter("", "", "");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewPlayerDetails');
}

function fillMyTeamPlayerDetails(r, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (r["id"]){
		var tmpThumb = "http://91.121.80.12/image_proxy.php?width=150&height=150&img=" + r["picture"];
		tmpHtml += "<div class='playerDetailImg'><img src='" + tmpThumb + "'/></div>";
		tmpHtml += "<div class='playerDetailNumber'>" + r["number"] + "</div>";
		tmpHtml += "<div class='playerDetailName'>" + r["name"] + "</div>";
		tmpHtml += "<div class='playerDetailLine'>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_nickname + "</div><div class='playerDetailValue'>" + r["nickname"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_height + "</div><div class='playerDetailValue'>" + r["height"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_weight + "</div><div class='playerDetailValue'>" + r["weight"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_birthday + "</div><div class='playerDetailValue'>" + r["birthday"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_nationality + "</div><div class='playerDetailValue'>" + r["nationality"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_position + "</div><div class='playerDetailValue'>" + r["position"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_hometown + "</div><div class='playerDetailValue'>" + r["hometown"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_gamesplayed + "</div><div class='playerDetailValue'>" + r["gamesplayed"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_gamescompleted + "</div><div class='playerDetailValue'>" + r["gamescompleted"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_timeplayedaverage + "</div><div class='playerDetailValue'>" + r["timeplayedaverage"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_timeplayedtotal + "</div><div class='playerDetailValue'>" + r["timeplayedtotal"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_fullgames + "</div><div class='playerDetailValue'>" + r["fullgames"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_timessubstituted + "</div><div class='playerDetailValue'>" + r["timessubstituted"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_timesunsubstituted + "</div><div class='playerDetailValue'>" + r["timesunsubstituted"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_yellowcards + "</div><div class='playerDetailValue'>" + r["yellowcards"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_doubleyellowcards + "</div><div class='playerDetailValue'>" + r["doubleyellowcards"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_redcards + "</div><div class='playerDetailValue'>" + r["redcards"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_owngoals + "</div><div class='playerDetailValue'>" + r["owngoals"] + "</div>";
		tmpHtml += "<div class='playerDetailLabel'>" + str_playerDetails_goals + "</div><div class='playerDetailValue'>" + r["goals"] + "</div>";
		tmpHtml += "</div>";
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noDataToShow + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMyTeamTable()
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!guestLogin || setting_defaultLeague != ""){
		var tmpMyLeague = "";
		if (!guestLogin)
			tmpMyLeague = userprofile["leagueid"];
		else
			tmpMyLeague = setting_defaultLeague;	
		api_result_leaguetable(tmpMyLeague, fillMyTeamTable);
		initHeader("headerFilter", str_filter_myTeam_table);
		initFilterMenu(new Array(str_filter_myTeam_table, str_filter_myTeam_round, str_filter_myTeam_calendar), new Array("2008", "2009", "2010"));
	} else {
		goToInAppLoginPage();
	}
	headerActions("back", goToDashboard);
	initFooter("myTeam_myTeam", "myTeam_standings", "myTeam_news", "myTeam_standings");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewLeagueTable');
}

function fillMyTeamTable(r, p_tmpLeagueid, p_tmpLeaguename, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (r.length > 0){
		tmpHtml += '<table class="tableContainer" cellspacing="0" border="0" cellpadding="2px"><tr class="tableTitleContainer">';
		tmpHtml += '<td align="center">' + str_table_title_pos + '</td>';
		tmpHtml += '<td align="left">' + str_table_title_team + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_gamesPlayed + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_won + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_draw + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_lost + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_goalsfor + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_goalsagainst + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_points + '</td>';
		tmpHtml += '</tr>';
		for (i=0; i<r.length; i++){
			tmpHtml += '<tr>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["pos"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="left">' + r[i]["name"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["gamesplayed"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["win"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["draw"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["lost"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["gf"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["ga"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["points"] + '</td>';
			tmpHtml += '</tr>';
		}
		tmpHtml += "</table>";
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noTableAvail + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMyTeamRounds(p_roundid)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["commentFilter"] = "";
	tmpCallBackParams["callBackFunc"] = loadMyTeamRounds;
	var tmpMyLeague = "";
	if (!guestLogin)
		tmpMyLeague = userprofile["leagueid"];
	else
		tmpMyLeague = setting_defaultLeague;
	api_result_leagueround(tmpMyLeague, p_roundid, fillMyTeamRounds);
	initFooter("myTeam_myTeam", "myTeam_standings", "myTeam_news", "myTeam_standings");
	initHeader("headerFilter", str_filter_myTeam_round);
	headerActions("back", goToDashboard);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewLeagueRounds');
}

function fillMyTeamRounds(r, p_roundid, p_roundname, p_nextRound, p_prevRound, p_tmpAjaxCount)
{
	initHeader("headerFilter", p_roundname.replace("Round", str_round_replacement));
	initFilterMenu(new Array(str_filter_myTeam_table, str_filter_myTeam_round, str_filter_myTeam_calendar), new Array("2008", "2009", "2010"));
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		tmpScore = "";
		var tmpDate = new Date();
		if (r[i]["starttime"] <= tmpDate.getTime())
		{
				tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
				if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
		} else {
				tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
		}
		tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
		tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
		tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
		tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
		tmpHtml += "<br/><div class='matchListScore'>" + tmpScore + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMyTeamCalendar(){
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["posAddContent"] = "";
	tmpCallBackParams["commentFilter"] = "";
	if (tmpCallBackParams["firstInList"] == undefined || tmpCallBackParams["firstInList"] == "")
		tmpCallBackParams["firstInList"] = "";
	if (tmpCallBackParams["lastInList"] == undefined || tmpCallBackParams["lastInList"] == "")
		tmpCallBackParams["lastInList"] = "";
	tmpCallBackParams["callBackFunc"] = loadMyTeamCalendar;
	var tmpMyTeam = "";
	var tmpMyLeague = "";
	if (!guestLogin){
		tmpMyTeam = userprofile["teamid"];
		tmpMyLeague = userprofile["leagueid"];
	} else {
		tmpMyTeam = setting_defaultTeam;
		tmpMyLeague = setting_defaultLeague;
	}
	if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
		api_result_matchlist(tmpMyTeam, tmpMyLeague, "false", 15, fillMyTeamCalendar);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
		var scrollPrev = 0;
		var scrollNext = 0;
		if (tmpCallBackParams["contentPageNrMin"] > 0 && debug_loadEvent) {
			scrollPrev = 1;
		}
		if (tmpCallBackParams["contentPageNrMax"] < tmpCallBackParams["contentPageCount"] && debug_loadEvent) {
			scrollNext = 1;
		}
		if (scrollPrev || scrollNext) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop && scrollNext) {
					showLoader("pageContainer");
					tmpCallBackParams["posAddContent"] = "";
					var tmpPage = tmpCallBackParams["contentPageNrMax"] + 1;
					api_result_matchlist(tmpMyTeam, tmpMyLeague, tmpPage, 15, fillMyTeamCalendar);
					$(document).unbind("scroll");
				} else if (document.getElementById("headerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentHeader").offsetTop && scrollPrev) {
					showLoader("pageContainer", "top");
					tmpCallBackParams["posAddContent"] = "top";
					var tmpPage = tmpCallBackParams["contentPageNrMin"] - 1;
					api_result_matchlist(tmpMyTeam, tmpMyLeague, tmpPage, 15, fillMyTeamCalendar);
					$(document).unbind("scroll");
				}
			});
		}
	}
	initHeader("headerFilter", str_filter_myTeam_calendar);
	headerActions("back", goToDashboard);
	initFilterMenu(new Array(str_filter_myTeam_table, str_filter_myTeam_round, str_filter_myTeam_calendar), new Array("2008", "2009", "2010"));
	initFooter("myTeam_myTeam", "myTeam_standings", "myTeam_news", "myTeam_standings");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewLeagueCalendar');
}

function fillMyTeamCalendar(r, p_currPage, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	var tmpMonth = "";
	if (tmpCallBackParams["firstInList"] == "" && tmpCallBackParams["lastInList"] == ""){
		for (i=0; i<r.length; i++){
			tmpScore = "";
			var tmpNow = new Date();
			var tmpDate = new Date(parseInt(r[i]["starttime"]));
			tmpGameMonth = tmpDate.getMonth();
			if (i == 0)
				tmpCallBackParams["firstInList"] = tmpGameMonth;
			tmpCallBackParams["lastInList"] = tmpGameMonth;
			if (tmpMonth != tmpGameMonth){
				tmpHtml += "<div class='calendarMonth' id ='myTeamCalMonth_" + tmpGameMonth + "'>" + str_months[tmpGameMonth] + "</div>";
				tmpMonth = tmpGameMonth;
			}
			if (r[i]["starttime"] <= tmpNow.getTime())
			{
						tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
				if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
			} else {
					tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
			}
			tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
			tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
			tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
			tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
			tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
			tmpHtml += "</div>";
		}
	} else {
		if (tmpCallBackParams["posAddContent"] == "top") {
			var tmpFirstRow = tmpCallBackParams["firstInList"];
			for (i=0; i<r.length; i++){
				tmpScore = "";
				var tmpNow = new Date();
				var tmpDate = new Date(parseInt(r[i]["starttime"]));
				tmpGameMonth = tmpDate.getMonth();
				if (i == 0)
					tmpCallBackParams["firstInList"] = tmpGameMonth;
				if (tmpMonth != tmpGameMonth){
					tmpHtml += "<div class='calendarMonth' id ='myTeamCalMonth_" + tmpGameMonth + "'>" + str_months[tmpGameMonth] + "</div>";
					tmpMonth = tmpGameMonth;
				}
				if (r[i]["starttime"] <= tmpNow.getTime())
				{
						tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
						if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
				} else {
						tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
				}
				tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
				tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
				tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
				tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
				tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
				tmpHtml += "</div>";
			}
			if (tmpFirstRow == tmpMonth)
				$("#myTeamCalMonth_" + tmpFirstRow).remove();
		} else {
			tmpMonth = tmpCallBackParams["lastInList"];
			for (i=0; i<r.length; i++){
				tmpScore = "";
				var tmpNow = new Date();
				var tmpDate = new Date(parseInt(r[i]["starttime"]));
				tmpGameMonth = tmpDate.getMonth();
				tmpCallBackParams["lastInList"] = tmpGameMonth;
				if (tmpMonth != tmpGameMonth){
					tmpHtml += "<div class='calendarMonth' id ='myTeamCalMonth_" + tmpGameMonth + "'>" + str_months[tmpGameMonth] + "</div>";
					tmpMonth = tmpGameMonth;
				}
				if (r[i]["starttime"] <= tmpNow.getTime())
				{
						tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
						if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
				} else {
						tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
				}
				tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
				tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
				tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
				tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
				tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
				tmpHtml += "</div>";
			}
		}
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		if (tmpCallBackParams["posAddContent"] == "top") {
			$("#pageContainer").prepend(tmpHtml);
		} else {
			$("#pageContainer").append(tmpHtml);
		}
		if (tmpCallBackParams["contentPageNrMin"] == undefined || tmpCallBackParams["contentPageNrMin"] > p_currPage) {
			tmpCallBackParams["contentPageNrMin"] = parseInt(p_currPage);
		}
		if (tmpCallBackParams["contentPageNrMax"] == undefined || tmpCallBackParams["contentPageNrMax"] < p_currPage) {
			tmpCallBackParams["contentPageNrMax"] = parseInt(p_currPage);
		}
		tmpCallBackParams["contentPageCount"] = p_pageCount;
		var scrollPrev = 0;
		var scrollNext = 0;
		if (tmpCallBackParams["contentPageNrMin"] > 0 && debug_loadEvent) {
			scrollPrev = 1;
		}
		if (tmpCallBackParams["contentPageNrMax"] < p_pageCount && debug_loadEvent) {
			scrollNext = 1;
		}
		if (scrollPrev || scrollNext) {
			$(document).bind("scroll", function(){
				var tmpMyTeam = "";
				var tmpMyLeague = "";
				if (!guestLogin){
					tmpMyTeam = userprofile["teamid"];
					tmpMyLeague = userprofile["leagueid"];
				} else {
					tmpMyTeam = setting_defaultTeam;
					tmpMyLeague = setting_defaultLeague;
				}
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop && scrollNext) {
					showLoader("pageContainer");
					tmpCallBackParams["posAddContent"] = "";
					var tmpPage = tmpCallBackParams["contentPageNrMax"] + 1;
					api_result_matchlist(tmpMyTeam, tmpMyLeague, tmpPage, 15, fillMyTeamCalendar);
					$(document).unbind("scroll");
				} else if (document.getElementById("headerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentHeader").offsetTop && scrollPrev) {
					showLoader("pageContainer", "top");
					tmpCallBackParams["posAddContent"] = "top";
					var tmpPage = tmpCallBackParams["contentPageNrMin"] - 1;
					api_result_matchlist(tmpMyTeam, tmpMyLeague, tmpPage, 15, fillMyTeamCalendar);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function loadMyTeamNews(){
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["callBackFunc"] = loadMyTeamNews;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if (!guestLogin){
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
			api_feed_teamnews(false, false, 0, 15, userprofile["language"], fillMyTeamNewsLst);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_feed_teamnews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"], fillMyTeamNewsLst);
					$(document).unbind("scroll");
				}
			});
		}
		initHeader("headerFilter", str_filter_news_team);
		initFilterMenu(new Array(str_filter_news_team, str_filter_myTeam_teamMsg), new Array("2011", "2012"));
	} else {
		goToInAppLoginPage();
	}
	headerActions("back", goToDashboard);
	initFooter("myTeam_myTeam", "myTeam_standings", "myTeam_news", "myTeam_news");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewNews');
}

function fillMyTeamNewsLst(r, p_feedid, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		tmpImage = "";
		if (r[i]["image"] != ""){
			tmpImage = api_media_thumb(r[i]["image"], 50, 50, 0);
		} else {
			tmpImage = "images/icon_news.png";
		}
		tmpHtml += "<div class='listItem' onclick='loadNewsItem(" + '"' + p_feedid + '"' + ", " + '"' + escape(r[i]["id"]) + '"' + ");'>";
		tmpHtml += "<div class='list_img' style='background: url(" + tmpImage + ") no-repeat center;'>&nbsp;</div>";
		tmpHtml += "<div class='list_top1'>" + r[i]["title"] + "</div>";
		tmpHtml += "<div class='list_bottom1'>" + r[i]["time"] + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_feed_teamnews(false, false, tmpCallBackParams["contentPageNr"], 15, userprofile["language"], fillMyTeamNewsLst);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function loadMyTeamTeamMsg()
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["callBackFunc"] = loadMyTeamTeamMsg;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if (!guestLogin){
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
			api_message_teammessagelist(0, 15);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_message_teammessagelist(tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		if (teamNews == "true") {
			initHeader("headerFilter", str_filter_myTeam_teamMsg);
			initFilterMenu(new Array(str_filter_news_team, str_filter_myTeam_teamMsg), new Array("2011", "2012"));
		} else {
			initHeader("headerNoFilter", str_filter_myTeam_teamMsg);
		}
	} else {
		goToInAppLoginPage();
	}
	headerActions("back", goToDashboard);	
	initFooter("myTeam_myTeam", "myTeam_standings", "myTeam_news", "myTeam_news");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewTeamMessages');
}

function fillMyTeamTeamMsg(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		tmpHtml += "<div class='listItem' onclick='loadMessageContent(" + r[i]["id"] + ", " + '"team", ""' + ")'>";
		tmpHtml += "<div class='list_img'><img src='" + api_user_avatar(r[i]["senderavatarid"], 50, 50, 0) + "'/></div>";
		tmpHtml += "<div class='list_top1'>" + r[i]["sendernick"] + "</div>";
		tmpHtml += "<div class='list_bottom1'>" + r[i]["title"] + "</div>";
		tmpHtml += "<div class='list_time1'>" + r[i]["time"] + "</div>";
		tmpHtml += "</div>"
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_message_teammessagelist(tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function loadScoreCenter()
{
	initHeader("headerNoFilter", str_footer_scores_table);
	headerActions("back", goToDashboard);
	$("#headerContainer2").append(initLeagueddl("selLeague", "selSubLeague", "scores"));
	if (!tmpCallBackParams["p_scoresPart"]) tmpCallBackParams["p_scoresPart"] = "scores_table";
	if (!guestLogin)
		if (!tmpCallBackParams["p_league"]) tmpCallBackParams["p_league"] = userprofile["leagueid"];
	else
		if (!tmpCallBackParams["p_league"]) tmpCallBackParams["p_league"] = "";
	if (!tmpCallBackParams["p_subLeague"]) tmpCallBackParams["p_subLeague"] = "";
	api_result_leaguelist(false, "selLeague", "scores");
	if (tmpCallBackParams["p_league"] && tmpCallBackParams["p_league"] != "") api_result_leaguelist(tmpCallBackParams["p_league"], "selSubLeague", "scores");
	switch(tmpCallBackParams["p_scoresPart"]){
		case "scores_table":
			loadScoresTable();
			break;
		case "scores_round":
			loadScoresRounds();
			break;
		case "scores_calendar":
			loadScoresCalendar();
			break;
	}
}

function loadScoresTable()
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	var tmpLeague = tmpCallBackParams["p_league"];
	if (tmpCallBackParams["p_subLeague"] && tmpCallBackParams["p_subLeague"] != "" && tmpCallBackParams["p_subLeague"] != "none")
		tmpLeague = tmpCallBackParams["p_subLeague"];
	tmpCallBackParams["calendarTeamid"] = "";
	api_result_leaguetable(tmpLeague, fillScoresTable);
	headerActions("back", goToDashboard);
	$("#filterHeader").removeClass();
	$("#filterHeader").addClass("headerNoFilter");
	$("#filterHeader").html(str_footer_scores_table);
	initFooter("scores_table", "scores_round", "scores_calendar", "scores_table");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Scores', 'viewLeagueTable');
}

function fillScoresTable(r, p_tmpLeagueid, p_tmpLeaguename, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (r.length > 0){
		tmpHtml += '<table class="tableContainer" cellspacing="0" border="0" cellpadding="2px"><tr class="tableTitleContainer">';
		tmpHtml += '<td align="center">' + str_table_title_pos + '</td>';
		tmpHtml += '<td align="left">' + str_table_title_team + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_gamesPlayed + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_won + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_draw + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_lost + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_goalsfor + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_goalsagainst + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_points + '</td>';
		tmpHtml += '</tr>';
		for (i=0; i<r.length; i++){
			tmpHtml += '<tr onclick="tableTeamClick(' + "'" + r[i]["id"] + "'" + ');">';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["pos"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="left">' + r[i]["name"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["gamesplayed"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["win"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["draw"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["lost"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["gf"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["ga"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["points"] + '</td>';
			tmpHtml += '</tr>';
		}
		tmpHtml += "</table>";
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noTableAvail + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function tableTeamClick(p_teamId)
{
	if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
		tmpCallBackParams["callBackContent"] = "";
	if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
		tmpCallBackParams["contentPageNr"] = "";
	tmpCallBackParams["p_scoresPart"] = "scores_calendar";
	loadScoresCalendar(p_teamId);
}

function loadScoresRounds()
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["commentFilter"] = "";
	tmpCallBackParams["callBackFunc"] = loadScoreCenter;
	var tmpLeague = tmpCallBackParams["p_league"];
	if (tmpCallBackParams["p_subLeague"] && tmpCallBackParams["p_subLeague"] != "" && tmpCallBackParams["p_subLeague"] != "none")
		var tmpLeague = tmpCallBackParams["p_subLeague"];
	headerActions("back", goToDashboard);
	tmpCallBackParams["calendarTeamid"] = "";
	api_result_leagueround(tmpLeague, false, fillScoresRound);
	initFooter("scores_table", "scores_round", "scores_calendar", "scores_round");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Scores', 'viewLeagueRounds');
}

function fillScoresRound(r, p_roundid, p_roundname, p_nextRound, p_prevRound, p_tmpAjaxCount)
{
	var tmpHtml = "";
	$("#filterHeader").removeClass();
	$("#filterHeader").addClass("headerFilter");
	if (r.length > 0){
		$("#filterHeader").html(p_roundname.replace("Round", str_round_replacement));
		for (i=0; i<r.length; i++){
			tmpScore = "";
			var tmpDate = new Date();
			if (r[i]["starttime"] <= tmpDate.getTime())
			{
					tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
					if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
			} else {
					tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
			}
			tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
			tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
			tmpHtml += "<br/><div class='matchListScore'>" + tmpScore + "</div>";
			tmpHtml += "</div>";
		}
	} else {
		$("#filterHeader").html(str_footer_scores_round);
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noMatch + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadScoresCalendar(p_teamId)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["commentFilter"] = "";
	if (p_teamId) tmpCallBackParams["calendarTeamid"] = p_teamId;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	tmpCallBackParams["callBackFunc"] = loadScoreCenter;	
	var tmpLeague = tmpCallBackParams["p_league"];
	if (tmpCallBackParams["p_subLeague"] && tmpCallBackParams["p_subLeague"] != "" && tmpCallBackParams["p_subLeague"] != "none")
		var tmpLeague = tmpCallBackParams["p_subLeague"];
	headerActions("back", goToDashboard, "teams", "showTeamSelectionPopup()");
	tmpCallBackParams["calendarLeagueid"] = tmpLeague;
	api_result_teamlist(tmpLeague, fillScoresCalendarMenu);
	$("#filterHeader").removeClass();
	$("#filterHeader").addClass("headerNoFilter");
	$("#filterHeader").html(str_footer_scores_calendar);
	initFooter("scores_table", "scores_round", "scores_calendar", "scores_calendar");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	tracker.trackEvent('Scores', 'viewLeagueCalendar');
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function fillScoresCalendarMenu(r, p_itemCount)
{
	var tmpHtml = "";
	if (tmpCallBackParams["calendarLeagueid"] == userprofile["leagueid"]){
		if (!tmpCallBackParams["calendarTeamid"] || tmpCallBackParams["calendarTeamid"] == "") tmpCallBackParams["calendarTeamid"] = userprofile["teamid"];
	} else {
		if (!tmpCallBackParams["calendarTeamid"] || tmpCallBackParams["calendarTeamid"] == "") tmpCallBackParams["calendarTeamid"] = r[0]["id"];
	}
	tmpCallBackParams["posAddContent"] = "";
	if (tmpCallBackParams["firstInList"] == undefined || tmpCallBackParams["firstInList"] == "")
		tmpCallBackParams["firstInList"] = "";
	if (tmpCallBackParams["lastInList"] == undefined || tmpCallBackParams["lastInList"] == "")
		tmpCallBackParams["lastInList"] = "";
	tmpCallBackParams["teamListPopupContent"] = "";
	if (r.length > 0) {
		var tmpPopup = "";
		for (i = 0; i < r.length; i++) {
			tmpPopup += "<div class='popupMenuItem' onclick='teamSelection_click(\"" + r[i]["id"] + "\");'>" + r[i]["name"] + "</div>";
		}
		tmpCallBackParams["teamListPopupContent"] = tmpPopup;
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == "") {
			api_result_matchlist(tmpCallBackParams["calendarTeamid"], tmpCallBackParams["calendarLeagueid"], "false", 15, fillScoresCalendar);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			var scrollPrev = 0;
			var scrollNext = 0;
			if (tmpCallBackParams["contentPageNrMin"] > 0 && debug_loadEvent) {
				scrollPrev = 1;
			}
			if (tmpCallBackParams["contentPageNrMax"] < tmpCallBackParams["contentPageCount"] && debug_loadEvent) {
				scrollNext = 1;
			}
			if (scrollPrev || scrollNext) {
				$(document).bind("scroll", function(){
					if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop && scrollNext) {
						showLoader("pageContainer");
						tmpCallBackParams["posAddContent"] = "";
						var tmpPage = tmpCallBackParams["contentPageNrMax"] + 1;
						api_result_matchlist(tmpCallBackParams["calendarTeamid"], tmpCallBackParams["calendarLeagueid"], tmpPage, 15, fillScoresCalendar);
						$(document).unbind("scroll");
					} else if (document.getElementById("headerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentHeader").offsetTop && scrollPrev) {
						showLoader("pageContainer", "top");
						tmpCallBackParams["posAddContent"] = "top";
						var tmpPage = tmpCallBackParams["contentPageNrMin"] - 1;
						api_result_matchlist(tmpCallBackParams["calendarTeamid"], tmpCallBackParams["calendarLeagueid"], tmpPage, 15, fillScoresCalendar);
						$(document).unbind("scroll");
					}
				});
			}
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noMatch + "</div>";
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function fillScoresCalendar(r, p_currPage, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	var tmpMonth = "";
	if (tmpCallBackParams["firstInList"] == "" && tmpCallBackParams["lastInList"] == ""){
		for (i=0; i<r.length; i++){
			tmpScore = "";
			var tmpNow = new Date();
			var tmpDate = new Date(parseInt(r[i]["starttime"]));
			tmpGameMonth = tmpDate.getMonth();
			if (i == 0)
				tmpCallBackParams["firstInList"] = tmpGameMonth;
			tmpCallBackParams["lastInList"] = tmpGameMonth;
			if (tmpMonth != tmpGameMonth){
				tmpHtml += "<div class='calendarMonth' id ='myTeamCalMonth_" + tmpGameMonth + "'>" + str_months[tmpGameMonth] + "</div>";
				tmpMonth = tmpGameMonth;
			}
			if (r[i]["starttime"] <= tmpNow.getTime())
			{
						tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
				if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
			} else {
					tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
			}
			tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
			tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
			tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
			tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
			tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
			tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
			tmpHtml += "</div>";
		}
	} else {
		if (tmpCallBackParams["posAddContent"] == "top") {
			var tmpFirstRow = tmpCallBackParams["firstInList"];
			for (i=0; i<r.length; i++){
				tmpScore = "";
				var tmpNow = new Date();
				var tmpDate = new Date(parseInt(r[i]["starttime"]));
				tmpGameMonth = tmpDate.getMonth();
				if (i == 0)
					tmpCallBackParams["firstInList"] = tmpGameMonth;
				if (tmpMonth != tmpGameMonth){
					tmpHtml += "<div class='calendarMonth' id ='myTeamCalMonth_" + tmpGameMonth + "'>" + str_months[tmpGameMonth] + "</div>";
					tmpMonth = tmpGameMonth;
				}
				if (r[i]["starttime"] <= tmpNow.getTime())
				{
						tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
						if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
				} else {
						tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
				}
				tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
				tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
				tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
				tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
				tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
				tmpHtml += "</div>";
			}
			if (tmpFirstRow == tmpMonth)
				$("#myTeamCalMonth_" + tmpFirstRow).remove();
		} else {
			tmpMonth = tmpCallBackParams["lastInList"];
			for (i=0; i<r.length; i++){
				tmpScore = "";
				var tmpNow = new Date();
				var tmpDate = new Date(parseInt(r[i]["starttime"]));
				tmpGameMonth = tmpDate.getMonth();
				tmpCallBackParams["lastInList"] = tmpGameMonth;
				if (tmpMonth != tmpGameMonth){
					tmpHtml += "<div class='calendarMonth' id ='myTeamCalMonth_" + tmpGameMonth + "'>" + str_months[tmpGameMonth] + "</div>";
					tmpMonth = tmpGameMonth;
				}
				if (r[i]["starttime"] <= tmpNow.getTime())
				{
						tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
						if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
				} else {
						tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
				}
				tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
				tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
				tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
				tmpHtml += "<div class='matchListLeague'>" + r[i]["leaguename"] + "</div>";
				tmpHtml += "<div class='matchListScore'>" + tmpScore + "</div>";
				tmpHtml += "<div class='matchListCommentCount'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
				tmpHtml += "</div>";
			}
		}
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		if (tmpCallBackParams["posAddContent"] == "top") {
			$("#pageContainer").prepend(tmpHtml);
		} else {
			$("#pageContainer").append(tmpHtml);
		}
		if (tmpCallBackParams["contentPageNrMin"] == undefined || tmpCallBackParams["contentPageNrMin"] > p_currPage) {
			tmpCallBackParams["contentPageNrMin"] = parseInt(p_currPage);
		}
		if (tmpCallBackParams["contentPageNrMax"] == undefined || tmpCallBackParams["contentPageNrMax"] < p_currPage) {
			tmpCallBackParams["contentPageNrMax"] = parseInt(p_currPage);
		}
		tmpCallBackParams["contentPageCount"] = p_pageCount;
		var scrollPrev = 0;
		var scrollNext = 0;
		if (tmpCallBackParams["contentPageNrMin"] > 0 && debug_loadEvent) {
			scrollPrev = 1;
		}
		if (tmpCallBackParams["contentPageNrMax"] < tmpCallBackParams["contentPageCount"] && debug_loadEvent) {
			scrollNext = 1;
		}
		if (scrollPrev || scrollNext) {
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop && scrollNext) {
					showLoader("pageContainer");
					tmpCallBackParams["posAddContent"] = "";
					var tmpPage = tmpCallBackParams["contentPageNrMax"] + 1;
					api_result_matchlist(tmpCallBackParams["calendarTeamid"], tmpCallBackParams["calendarLeagueid"], tmpPage, 15, fillScoresCalendar);
					$(document).unbind("scroll");
				} else if (document.getElementById("headerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentHeader").offsetTop && scrollPrev) {
					showLoader("pageContainer", "top");
					tmpCallBackParams["posAddContent"] = "top";
					var tmpPage = tmpCallBackParams["contentPageNrMin"] - 1;
					api_result_matchlist(tmpCallBackParams["calendarTeamid"], tmpCallBackParams["calendarLeagueid"], tmpPage, 15, fillScoresCalendar);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function showTeamSelectionPopup(){
	Popup.showContent(tmpCallBackParams["teamListPopupContent"]);
}

function teamSelection_click(p_teamid){
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["contentPageNrMin"] = undefined;
	tmpCallBackParams["contentPageNrMax"] = undefined;
	tmpCallBackParams["firstInList"] = "";
	tmpCallBackParams["firstInList"] = "";
	tmpCallBackParams["calendarTeamid"] = p_teamid;
	api_result_matchlist(tmpCallBackParams["calendarTeamid"], tmpCallBackParams["calendarLeagueid"], "false", 15, fillScoresCalendar);
}

function loadMatchLiveFeed(p_id)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id) {
		p_id = tmpCallBackParams["matchId"];
	} else {
		tmpCallBackParams["matchId"] = p_id;
	}
	tmpCallBackParams["matchDetailCallBackFunc"] = loadMatchLiveFeed;
	api_result_match(p_id);
	initHeader("headerNoFilter", str_footer_match_liveFeed);
	headerActions("back", tmpCallBackParams["callBackFunc"]);
	initFooter("match_liveFeed", "match_lineup", "match_comments", "match_liveFeed");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Match', 'viewLivefeed');
}

function fillMatchLiveFeed(r, g, p_tmpAjaxCount)
{
	var tmpHtml = "";
	tmpHtml += "<div class='matchHeader'>";
	tmpHtml += "<img src='images/leagueTable.png' align='left' onclick='loadMatchTable(" + '"' + g["leagueid"] + '"' + ");' />";
	tmpHtml += "<img src='images/leagueRound.png' align='right' onclick='loadMatchRound(" + '"' + g["leagueid"] + '"' + ", " + g["roundid"] + ");' />";
	tmpHtml += "<div class='matchHeaderText'>" + g["ht_name"];
	if (g["homegoal"] != "" && g["awaygoal"] != "")
		tmpHtml += " " + g["homegoal"] + "-" + g["awaygoal"] + " ";
	else
		tmpHtml += " - ";
	tmpHtml += g["at_name"] + "</div>";
	tmpHtml += "<div class='matchHeaderText'>" + api_timestamp(g["starttime"], "yyyy-mm-dd", "none") + "</div>";
	tmpHtml += "</div>";
	for (i=0; i<r.length; i++){
		switch(r[i]["type"]){
			case "goal":
				if (r[i]["team"] == g["ht_id"]){
					tmpHtml += "<div class='matchEvent'>";
					tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
					tmpHtml += "<div class='matchEvent_topHome'>" + r[i]["text"] + "</div>";
					tmpHtml += "<div class='matchEvent_bottomHome'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				} else {
					tmpHtml += "<div class='matchEvent'>";
					tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
					tmpHtml += "<div class='matchEvent_topAway'>" + r[i]["text"] + "</div>";
					tmpHtml += "<div class='matchEvent_bottomAway'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				}
				break;
			case "substitute_in":
				if (r[i]["team"] == g["ht_id"]){
					tmpHtml += "<div class='matchEvent'>";
					tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
					tmpHtml += "<div class='matchEvent_topHome'>" + str_match_in + "</div>";
					tmpHtml += "<div class='matchEvent_bottomHome'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				} else {
					tmpHtml += "<div class='matchEvent'>";
					tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
					tmpHtml += "<div class='matchEvent_topAway'>" + str_match_in + "</div>";
					tmpHtml += "<div class='matchEvent_bottomAway'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				}
				break;
			case "substitute_out":
				if (r[i]["team"] == g["ht_id"]){
					tmpHtml += "<div class='matchEvent'>";
					tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
					tmpHtml += "<div class='matchEvent_topHome'>" + str_match_out + "</div>";
					tmpHtml += "<div class='matchEvent_bottomHome'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				} else {
					tmpHtml += "<div class='matchEvent'>";
					tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
					tmpHtml += "<div class='matchEvent_topAway'>" + str_match_out + "</div>";
					tmpHtml += "<div class='matchEvent_bottomAway'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				}
				break;
			case "yellowcard":
				if (r[i]["team"] == g["ht_id"]){
					tmpHtml += "<div class='matchEventYellow'>";
					tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
					tmpHtml += "<div class='matchEvent_bottomHome'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				} else {
					tmpHtml += "<div class='matchEventYellow'>";
					tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
					tmpHtml += "<div class='matchEvent_bottomAway'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				}
				break;
			case "redcard":
				if (r[i]["team"] == g["ht_id"]){
					tmpHtml += "<div class='matchEventRed'>";
					tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
					tmpHtml += "<div class='matchEvent_bottomHome'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				} else {
					tmpHtml += "<div class='matchEventRed'>";
					tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
					tmpHtml += "<div class='matchEvent_bottomAway'>" + r[i]["time"] + " " +  str_match_minute + ", " + r[i]["player"] + "</div>";
					tmpHtml += "</div>";
				}
				break;
			case "gamestarted":
			case "halftime":
				if (g["status"] >= 1100) {
					tmpHtml += "<div class='matchStatus'>";
					tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
					tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
					tmpHtml += getDynamicVar("str_match_" + r[i]["type"]);
					tmpHtml += "</div>";
				}
				break;
			case "gameended":
				if (g["status"] == 1500) {
					tmpHtml += "<div class='matchStatus'>";
					tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
					tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
					tmpHtml += getDynamicVar("str_match_" + r[i]["type"]);
					tmpHtml += "</div>";
				}
				break;
			default:
				tmpHtml += "<div class='matchStatus'>";
				tmpHtml += "<img src='" + api_user_avatar(g["ht_avatarid"], 50, 50, 0) + "' align='left'/>";
				tmpHtml += "<img src='" + api_user_avatar(g["at_avatarid"], 50, 50, 0) + "' align='right'/>";
				tmpHtml += getDynamicVar("str_match_" + r[i]["type"]);
				tmpHtml += "</div>";
				break;
		}
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMatchLineup(p_id)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id) {
		p_id = tmpCallBackParams["matchId"];
	} else {
		tmpCallBackParams["matchId"] = p_id;
	}
	tmpCallBackParams["matchDetailCallBackFunc"] = loadMatchLineup;
	api_result_matchplayerlist(p_id);
	initHeader("headerNoFilter", str_footer_match_lineup);
	headerActions("back", tmpCallBackParams["callBackFunc"]);
	initFooter("match_liveFeed", "match_lineup", "match_comments", "match_lineup");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Match', 'viewLineup');
}

function fillMatchLineup(g, h, a, p_tmpAjaxCount)
{
	var tmpHtml = "";
	tmpHtml += "<div class='matchHeader'>";
	tmpHtml += "<img src='images/leagueTable.png' align='left' onclick='loadMatchTable(" + '"' + g["leagueid"] + '"' + ");' />";
	tmpHtml += "<img src='images/leagueRound.png' align='right' onclick='loadMatchRound(" + '"' + g["leagueid"] + '"' + ", " + g["roundid"] + ");' />";
	tmpHtml += "<div class='matchHeaderText'>" + g["ht_name"];
	if (g["homegoal"] != "" && g["awaygoal"] != "")
		tmpHtml += " " + g["homegoal"] + "-" + g["awaygoal"] + " ";
	else
		tmpHtml += " - ";
	tmpHtml += g["at_name"] + "</div>";
	tmpHtml += "<div class='matchHeaderText'>" + api_timestamp(g["starttime"], "yyyy-mm-dd", "none") + "</div>";
	tmpHtml += "</div>";
	tmpHtml += "<div class='matchLineup_teamname'>" + g["ht_name"] + "</div>";
	for (i=0; i<h.length; i++){
		tmpHtml += "<div class='matchLineup_player'>";
		tmpHtml += "<div class='matchLineup_name'>" + h[i]["name"] + "</div>";
		tmpHtml += "<div class='matchLineup_position'>" + getDynamicVar("str_match_" + h[i]["position"]) + "</div>";
		tmpHtml += "<div class='matchLineup_number'>" + h[i]["number"] + "</div>";
		tmpHtml += "</div>";
	}
	tmpHtml += "<div class='matchLineup_teamname'>" + g["at_name"] + "</div>";
	for (i=0; i<a.length; i++){
		tmpHtml += "<div class='matchLineup_player'>";
		tmpHtml += "<div class='matchLineup_name'>" + a[i]["name"] + "</div>";
		tmpHtml += "<div class='matchLineup_position'>" + getDynamicVar("str_match_" + a[i]["position"]) + "</div>";
		tmpHtml += "<div class='matchLineup_number'>" + a[i]["number"] + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMatchComments(p_id, p_filter)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id) {
		p_id = tmpCallBackParams["matchId"];
	} else {
		tmpCallBackParams["matchId"] = p_id;
	}
	if (!p_filter) {
		if (tmpCallBackParams["commentFilter"] && tmpCallBackParams["commentFilter"] != "")
			p_filter = tmpCallBackParams["commentFilter"];
		else
			p_filter = "all";
	} else {
		tmpCallBackParams["commentFilter"] = p_filter;
	}
	if (!tmpCallBackParams["MatchComentPageNr"] || tmpCallBackParams["MatchComentPageNr"] == "")
		tmpCallBackParams["MatchComentPageNr"] = 0;
	tmpCallBackParams["profileCallBackFunc"] = loadMatchComments;
	tmpCallBackParams["matchDetailCallBackFunc"] = loadMatchComments;
	if (!tmpCallBackParams["callBackMatchComments"] || tmpCallBackParams["callBackMatchComments"] == "") {
		api_result_matchcomments(p_id, 0, 15, p_filter);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackMatchComments"]);
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["MatchComentPageNr"] += 1;
				api_result_matchcomments(p_id, tmpCallBackParams["MatchComentPageNr"], 15, p_filter);
				$(document).unbind("scroll");
			}
		});
	}
	initHeader("headerFilter", str_filter_comments_all);
	headerActions("back", tmpCallBackParams["callBackFunc"], "comment", "loadMatchCommentForm('" + tmpCallBackParams["matchId"] + "')");
	initFilterMenu(new Array(str_filter_comments_all, str_filter_comments_myFriends, str_filter_comments_myTeam, str_filter_comments_myLang), new Array("2021", "2022", "2023", "2024"));
	initFooter("match_liveFeed", "match_lineup", "match_comments", "match_comments");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Match', 'viewComments');
}

function fillMatchComments(g, c, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (tmpCallBackParams["MatchComentPageNr"] == 0){
		tmpHtml += "<div class='matchHeader'>";
		tmpHtml += "<img src='images/leagueTable.png' align='left' onclick='loadMatchTable(" + '"' + g["leagueid"] + '"' + ");' />";
		tmpHtml += "<img src='images/leagueRound.png' align='right' onclick='loadMatchRound(" + '"' + g["leagueid"] + '"' + ", " + g["roundid"] + ");' />";
		tmpHtml += "<div class='matchHeaderText'>" + g["ht_name"];
		if (g["homegoal"] != "" && g["awaygoal"] != "")
			tmpHtml += " " + g["homegoal"] + "-" + g["awaygoal"] + " ";
		else
			tmpHtml += " - ";
		tmpHtml += g["at_name"] + "</div>";
		tmpHtml += "<div class='matchHeaderText'>" + api_timestamp(g["starttime"], "yyyy-mm-dd", "none") + "</div>";
		tmpHtml += "</div>";
	}
	if (p_itemCount > 0){
		for (var i=0; i<c.length; i++){
			tmpHtml += "<div class='commentListItem' onclick='loadUserProfile(" + c[i]["userid"] + ", " + '"full"' + ");'>";
			tmpHtml += "<div class='commentList_img'><img src='" + api_user_avatar(c[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div style='display: table;'><div class='commentList_top'>" + c[i]["nick"] + "</div>";
			tmpHtml += "<div class='commentList_bottom'>" + formatStringLen(c[i]["content"], 40) + "</div>";
			tmpHtml += "<div class='commentList_time'>" + c[i]["time"] + "</div></div>";
			tmpHtml += "</div>";
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noComments + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["MatchComentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["MatchComentPageNr"] += 1;
					api_result_matchcomments(g["id"], tmpCallBackParams["MatchComentPageNr"], 15, tmpCallBackParams["commentFilter"]);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackMatchComments"] = $("#pageContainer").html();
	}
}

function loadMatchCommentForm(p_id)
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	ajaxCallCount++;
	if (!guestLogin){
		var tmpHtml = "<div id='commentErrors' class='errors'></div>";
		tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitMatchComment();' id='frm_NewsComment'>";
		tmpHtml += "<input type='hidden' id='matchId' value='" + p_id + "' />";
		tmpHtml += "<textarea id='match_commentTxt' class='textareaBox' rows='6'></textarea><br/><br/>";
		tmpHtml += "<input type='submit' class='button' id='comment_submit' value='" + str_send + "' />";
		tmpHtml += "</form></div>";
		$("#pageContainer").append(tmpHtml);
		initHeader("headerNoFilter", str_comment);
	} else {
		goToInAppLoginPage();
	}
	initFooter("", "", "");
	headerActions("back", loadMatchComments);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitMatchComment()
{
	var tmpErrors = "";
	if ($("#match_commentTxt").val() == ""){
		tmpErrors = str_error_emptyField + "<br/>";
	}
	if (tmpErrors != ""){
		$("#commentErrors").html(tmpErrors);
	} else {
		api_result_commentmatch($("#matchId").val(), $("#match_commentTxt").val());
		tracker.trackEvent('Match', 'commentMatch');
	}
}

function handleMatchComment_response(p_status, p_id)
{
	if (p_status == "OK"){
		if (tmpCallBackParams["callBackMatchComments"] && tmpCallBackParams["callBackMatchComments"] != "")
			tmpCallBackParams["callBackMatchComments"] = "";
		if (tmpCallBackParams["MatchComentPageNr"] && tmpCallBackParams["MatchComentPageNr"] != "")
			tmpCallBackParams["MatchComentPageNr"] = "";
		loadMatchComments(p_id);
	} else {
		$("#commentErrors").html(str_comment_error);
	}
}

function loadMatchTable(p_leagueid)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	api_result_leaguetable(p_leagueid, fillMatchTable);
	initHeader("headerNoFilter", str_filter_myTeam_table);
	headerActions("back", tmpCallBackParams["matchDetailCallBackFunc"]);
	initFooter("", "", "", "");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewLeagueTable');
}

function fillMatchTable(r, p_tmpLeagueid, p_tmpLeaguename, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (r.length > 0){
		tmpHtml += '<table class="tableContainer" cellspacing="0" border="0" cellpadding="2px"><tr class="tableTitleContainer">';
		tmpHtml += '<td align="center">' + str_table_title_pos + '</td>';
		tmpHtml += '<td align="left">' + str_table_title_team + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_gamesPlayed + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_won + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_draw + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_lost + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_goalsfor + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_goalsagainst + '</td>';
		tmpHtml += '<td align="center">' + str_table_title_points + '</td>';
		tmpHtml += '</tr>';
		for (i=0; i<r.length; i++){
			tmpHtml += '<tr>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["pos"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="left">' + r[i]["name"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["gamesplayed"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["win"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["draw"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["lost"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["gf"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["ga"] + '</td>';
			tmpHtml += '<td class="tableRowContainer" align="center">' + r[i]["points"] + '</td>';
			tmpHtml += '</tr>';
		}
		tmpHtml += "</table>";
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noTableAvail + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMatchRound(p_leagueid, p_roundid)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["commentFilter"] = "";
	//tmpCallBackParams["callBackFunc"] = loadMatchRound;
	api_result_leagueround(p_leagueid, p_roundid, fillMatchRound);
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_filter_myTeam_round);
	headerActions("back", tmpCallBackParams["matchDetailCallBackFunc"]);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('MyTeam', 'viewLeagueRounds');
}

function fillMatchRound(r, p_roundid, p_roundname, p_nextRound, p_prevRound, p_tmpAjaxCount)
{
	initHeader("headerNoFilter", p_roundname.replace("Round", str_round_replacement));
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		tmpScore = "";
		var tmpDate = new Date();
		if (r[i]["starttime"] <= tmpDate.getTime())
		{
				tmpScore = r[i]["homegoal"] + " - " + r[i]["awaygoal"];
				if (r[i]["status"] == "1100") tmpScore = str_game_live + " " + tmpScore;
		} else {
				tmpScore = api_timestamp(r[i]["starttime"], "yyyy-mm-dd", "none");
		}
		tmpHtml += "<div class='matchListItem' onclick='loadMatchLiveFeed(" + r[i]["id"] + ");'>";
		tmpHtml += "<img src='" + api_user_avatar(r[i]["ht_avatarid"], 40, 40, 0) + "' align='left'/>";
		tmpHtml += "<img src='" + api_user_avatar(r[i]["at_avatarid"], 40, 40, 0) + "' align='right'/>";
		tmpHtml += "<div class='matchListTeamNames'>" + r[i]["ht_name"] + " - " + r[i]["at_name"] + "</div>";
		tmpHtml += "<br/><div class='matchListScore'>" + tmpScore + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function loadMyFriendList(p_type)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_type) p_type = tmpCallBackParams["friendListType"];
	tmpCallBackParams["suggFriendCallBackContent"] = "";
	tmpCallBackParams["friendListType"] = p_type;
	tmpCallBackParams["profileCallBackFunc"] = loadMyFriendList;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if (!guestLogin){
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == ""){
			api_user_friendlist(false, p_type, 0, 15, fillFriendLst);
		} else {
			api_user_suggestedfriendlist("all", false, 5, fillSuggFriendHeader);
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_user_friendlist(false, p_type, tmpCallBackParams["contentPageNr"], 15, fillFriendLst);
					$(document).unbind("scroll");
				}
			});
		}
		api_user_profileStatus(setFriendsFooterStatus);
		initHeader("headerFilter", str_filter_friends_all);
		initFilterMenu(new Array(str_filter_friends_all, str_filter_friends_online, str_filter_friends_myteam), new Array("2013", "2014", "2033"));
	} else {
		goToInAppLoginPage();
	}
	initFooter("friends_friends", "friends_requests", "friends_search", "friends_friends");
	headerActions("back", goToDashboard);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Friends', 'viewFriendlist');
}

function fillFriendLst(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (r.length > 0) {
		for (i = 0; i < r.length; i++) {
			tmpHtml += "<div class='listItem' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"full"' + ");'>";
			tmpHtml += "<div class='list_img'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div class='list_top2'>" + r[i]["message"] + "</div>";
			tmpHtml += "<div class='list_bottom2'>" + r[i]["nick"] + "</div>";
			if (r[i]["online"] == "true") {
				tmpHtml += "<div class='list_time1'><img src='images/online.png'/></div>";
			}
			else {
				tmpHtml += "<div class='list_time2'>" + r[i]["last_online"] + "</div>";
			}
			tmpHtml += "</div>";
		}
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		api_user_suggestedfriendlist("all", false, 5, fillSuggFriendHeader);
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_user_friendlist(false, tmpCallBackParams["friendListType"], tmpCallBackParams["contentPageNr"], 15, fillFriendLst);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function fillSuggFriendHeader(r, p_itemCount, p_tmpAjaxCount){
	var tmpHtml = "";
	$("#suggFriendHeader").remove();
	if (r.length > 0) {
		tmpHtml += "<div id='suggFriendHeader'>";
		tmpHtml += "<div class='playerLstPosTitle'>" + str_people_might_know + "</div>";
		tmpHtml += "<div class='listItem'>";
		for (i = 0; i < r.length; i++) {
			tmpHtml += "<div class='list_img' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"full"' + ");'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
		}
		tmpHtml += "<div class='list_img_more' onclick='loadSuggFriendList();'>&nbsp;</div>";
		tmpHtml += "</div>";
		tmpHtml += "<div class='playerLstPosTitle'>" + str_footer_friends_friends + "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		$("#headerContainer2").append(tmpHtml);
		$("#headerSpacer2").height($("#headerContainer2").height());
	}
}

function loadSuggFriendList(){
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["profileCallBackFunc"] = loadSuggFriendList;
	if (!tmpCallBackParams["suggFriendCallBackContent"] || tmpCallBackParams["suggFriendCallBackContent"] == ""){
		api_user_suggestedfriendlist("all", false, 25, fillSuggFriendList, true);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["suggFriendCallBackContent"]);
	}
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_filter_suggestions);
	headerActions("back", loadMyFriendList);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Friends', 'viewSuggestedFriendlist');
}

function fillSuggFriendList(r, p_itemCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (r.length > 0) {
		for (i = 0; i < r.length; i++) {
			tmpHtml += "<div class='listItem' id='suggFriend_" + r[i]["suggfriendid"] + "'>";
			tmpHtml += "<div class='list_img' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"full"' + ");'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div class='list_top2' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"full"' + ");'>" + r[i]["nick"] + "</div>";
			if (r[i]["suggfriendtype"] == 1){
				var tmpText = str_suggFriend_friendCommon.replace("%%friendsamount%%", r[i]["suggfriendcommon"]);
			} else {
				var tmpText = str_suggFriend_teamCommon.replace("%%teamname%%", r[i]["teamname"]);
			}
			tmpHtml += "<div class='list_bottom2' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"full"' + ");'>" + tmpText + "</div>";
			tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;'>";
			tmpHtml += "<img class='requestActions_img' src='images/x.png' onclick='hideSuggFriend(" + r[i]["suggfriendid"] + ");'/>";
			tmpHtml += "<img class='requestActions_img' src='images/+.png' onclick='handleFriendRequest(" + r[i]["id"] + ", " + '"add"' + ", " + '"outgoing"' + ");'/>";
			//tmpHtml += "<img class='requestActions_img' src='" + api_user_avatar(r[i]["team_avatarid"], 30, 30, 0) + "'/>";
			tmpHtml += "</div>";
			tmpHtml += "</div>";
		}
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		tmpCallBackParams["suggFriendCallBackContent"] = $("#pageContainer").html();
	}
}

function hideSuggFriend(p_suggfriendId){
	api_user_turnsuggestedfrienddown(p_suggfriendId);
	$("#suggFriend_" + p_suggfriendId).remove();
}

function loadRequestList(p_type)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_type) p_type = tmpCallBackParams["requestType"];
	tmpCallBackParams["requestType"] = p_type;
	tmpCallBackParams["profileCallBackFunc"] = loadRequestList;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if (!guestLogin){
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == ""){
			api_user_friendrequestlist(p_type, 0, 15);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_user_friendrequestlist(p_type, tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		api_user_profileStatus(setFriendsFooterStatus);
		initHeader("headerFilter", str_filter_requests_in);
		initFilterMenu(new Array(str_filter_requests_in, str_filter_requests_out), new Array("2015", "2016"));
	} else {
		goToInAppLoginPage();
	}
	initFooter("friends_friends", "friends_requests", "friends_search", "friends_requests");
	headerActions("back", goToDashboard);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Friends', 'viewRequestlist');
}

function fillRequestLst(r, p_type, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0) {
		for (i = 0; i < r.length; i++) {
			tmpHtml += "<div class='listItem'>";
			tmpHtml += "<div class='list_img' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"full"' + ");'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			var tmpTypeText = r[i]["nick"].length > 20 ? r[i]["nick"].substr(0, 20) + "..." : r[i]["nick"];
			tmpHtml += "<div class='list_middle' style='margin-right: 80px;' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"full"' + ");'>" + tmpTypeText + "</div>";
			tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;'>";
			if (p_type == "received"){
				tmpHtml += "<img class='requestActions_img' src='images/v.png' onclick='handleFriendRequest(" + r[i]["id"] + ", " + '"add"' + ", " + '"friends"' + ");'/>";
				tmpHtml += "<img class='requestActions_img' src='images/x.png' onclick='handleFriendRequest(" + r[i]["id"] + ", " + '"delete"' + ", " + '"incoming"' + ");'/>";
			} else {
				tmpHtml += "<img class='requestActions_img' src='images/x.png' onclick='handleFriendRequest(" + r[i]["id"] + ", " + '"delete"' + ", " + '"outgoing"' + ");'/>";
			}
			tmpHtml += "</div>";
			tmpHtml += "</div>";
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noRequests + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_user_friendrequestlist(p_type, tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function displayUserSearchForm()
{
	var tmpHtml = "";
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	initHeader("headerNoFilter", str_footer_friends_search);
	headerActions("back", goToDashboard);
	tmpCallBackParams["profileLiteCallBackFunc"] = displayUserSearchForm;
	tmpHtml += "<div class='statusUpdate'>";
	var tmptxtWidth = window.innerWidth - 100;
	tmpHtml += "<input type='text' id='userSearchField' class='text' value='' style='margin-left: 10px; float: left; width:" + tmptxtWidth + "px;' />";
	tmpHtml += "<div class='statusUpdateImg' onclick='javascript: submitSearchUsers();'><img src='images/user_search.png'/></div>";
	tmpHtml += "</div>";
	$("#headerContainer2").append(tmpHtml);
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == ""){
		
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
		if (tmpCallBackParams["searchString"] && tmpCallBackParams["searchString"] != ""){
			$("#userSearchField").val(tmpCallBackParams["searchString"]);
		}
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["contentPageNr"] += 1;
				api_user_notification(false, tmpCallBackParams["notificationFilter"], true, tmpCallBackParams["contentPageNr"], 15);
				$(document).unbind("scroll");
			}
		});
	}
	initFooter("friends_friends", "friends_requests", "friends_search", "friends_search");
	api_user_profileStatus(setFriendsFooterStatus);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Friends', 'viewSearch');
}

function submitSearchUsers()
{
	if ($("#userSearchField").val() == ""){
		tmpCallBackParams = new Array();
		displayUserSearchForm();
	} else {
		$("#pageContainer").html("");
		tmpCallBackParams["searchString"] = $("#userSearchField").val();
		tmpCallBackParams["contentPageNr"] = 0;
		tmpCallBackParams["callBackContent"] = "";
		api_user_search($("#userSearchField").val(), 0, 15);
		tracker.trackEvent('Friends', 'searchUsers');
	}
}

function fillUserSearchLst(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		if (r[i]["id"] != userprofile["id"]) {
			tmpHtml += "<div class='listItem'>";
			tmpHtml += "<div class='list_img' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"simple"' + ");'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div class='list_top2' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"simple"' + ");'>" + r[i]["nick"] + "</div>";
			tmpHtml += "<div class='list_bottom2' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"simple"' + ");'>" + r[i]["firstname"] + " " + r[i]["lastname"] + "</div>";
			tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;'>";
			if (!guestLogin){
				if (r[i]["isfriend"] == "false" && r[i]["request"] == "") {
					tmpHtml += "<img class='requestActions_img' src='images/+.png' onclick='handleFriendRequest(" + r[i]["id"] + ", " + '"add"' + ", " + '"outgoing"' + ");'/>";
					tmpHtml += "<img class='requestActions_img' src='" + api_user_avatar(r[i]["teamavatar"], 30, 30, 0) + "'/>";
				}
				else {
					
				}
			} else {
				tmpHtml += "<img class='requestActions_img' src='" + api_user_avatar(r[i]["teamavatar"], 30, 30, 0) + "'/>";
			}
			tmpHtml += "</div>";
			tmpHtml += "</div>";
		}
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_user_search(tmpCallBackParams["searchString"], tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function handleFriendRequest(p_userId, p_action, p_redirect)
{
	if (p_action == "add"){
		api_user_addfriend(p_userId, p_redirect);
		tracker.trackEvent('Friends', 'acceptFriendRequest');
	} else {
		api_user_removefriend(p_userId, p_redirect);
		tracker.trackEvent('Friends', 'denyFriendRequest');
	}
}

function handleFriendRequest_response(p_status, p_redirect)
{
	if (p_redirect == "friends") {
		tmpCallBackParams = new Array();
		loadMyFriendList("ALL");
	} else if (p_redirect == "outgoing") {
			tmpCallBackParams = new Array();
			loadRequestList("sent");
	} else {
		tmpCallBackParams = new Array();
		loadRequestList("received");
	}
}

function setFriendsFooterStatus(r){
	if (r["onlineFriends"] > 0){
		var bubble1 = document.createElement('div');
		bubble1.setAttribute("id", "footerTabBubble1");
		bubble1.setAttribute("class", "bubble_footer");
		if (r["onlineFriends"] > 99) {
			bubble1.setAttribute("style", "font-size: 0.6em;");
			bubble1.innerHTML = "99+";
		} else {
			bubble1.innerHTML = r["onlineFriends"];
		}
		$("#footerTab1").append(bubble1);
	}
	if (r["friendInvite"] > 0){
		var bubble2 = document.createElement('div');
		bubble2.setAttribute("id", "footerTabBubble2");
		bubble2.setAttribute("class", "bubble_footer");
		if (r["friendInvite"] > 99) {
			bubble2.setAttribute("style", "font-size: 0.6em;");
			bubble2.innerHTML = "99+";
		} else {
			bubble2.innerHTML = r["friendInvite"];
		}
		$("#footerTab2").append(bubble2);
	}
}

function loadMsgList(p_filter)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["callBackFunc"] = loadMsgList;
	if (!p_filter){
		p_filter = "RECEIVED";
		if (tmpCallBackParams["msgType"] && tmpCallBackParams["msgType"] != ""){
			p_filter = tmpCallBackParams["msgType"];
		}
	}
	tmpCallBackParams["msgType"] = p_filter;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if (!guestLogin){
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == ""){
			api_message_messagelist(p_filter, 0, 15);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_message_messagelist(p_filter, tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		api_user_profileStatus(setMessageFooterStatus);
	} else {
		goToInAppLoginPage();
	}
	switch(p_filter){
		case "RECEIVED":
			initFooter("inbox_in", "inbox_out", "inbox_commented", "inbox_in");
			if (!guestLogin)
				initHeader("headerNoFilter", str_footer_inbox_in);
			tracker.trackEvent('Inbox', 'viewInboxIn');
			break;
		case "SENT":
			initFooter("inbox_in", "inbox_out", "inbox_commented", "inbox_out");
			if (!guestLogin)
				initHeader("headerNoFilter", str_footer_inbox_out);
			tracker.trackEvent('Inbox', 'viewInboxOut');
			break;
		case "COMMENTED":
			initFooter("inbox_in", "inbox_out", "inbox_commented", "inbox_commented");
			if (!guestLogin)
				initHeader("headerNoFilter", str_footer_inbox_commented);
			tracker.trackEvent('Inbox', 'viewInboxCommented');
			break;
	}
	headerActions("back", goToDashboard, "comment", "loadNewMsgForm(true)");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function fillMsgLst(r, p_itemCount, p_pageCount, p_filter, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0) {
		if (p_filter == "RECEIVED" || p_filter == "COMMENTED") {
			for (i = 0; i < r.length; i++) {
				if (r[i]["status"] == "new"){
					tmpHtml += "<div class='listItem' onclick='loadMessageContent(" + r[i]["id"] + ", " + '"private", ""' + "); api_message_readmessage (" + r[i]["id"] + ");'>";
				} else {
					tmpHtml += "<div class='listItem' onclick='loadMessageContent(" + r[i]["id"] + ", " + '"private", ""' + ");'>";
				}
				tmpHtml += "<div class='list_img'><img src='" + api_user_avatar(r[i]["senderavatarid"], 50, 50, 0) + "'/></div>";
				tmpHtml += "<div class='list_top1'>" + r[i]["sendernick"] + "</div>";
				tmpHtml += "<div class='list_bottom1'>" + formatStringLen(r[i]["title"], 40) + "</div>";
				if (r[i]["status"] == "new") 
					tmpHtml += "<div class='list_time1'>" + str_message_new + "</div>";
				else
					tmpHtml += "<div class='list_time1'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
				tmpHtml += "<div class='list_time2'>" + r[i]["time"] + "</div>";
				tmpHtml += "</div>"
			}
		} else {
			for (i = 0; i < r.length; i++) {
				if (r[i]["count"] > 0) {
					var tmpCount = r[i]["count"] - 1;
					tmpHtml += "<div class='listItem' onclick='loadMessageContent(" + r[i]["id"] + ", " + '"private", ""' + ")'>";
					if (r[i]["count"] > 1) {
						tmpHtml += "<div class='list_img'><img src='" + api_user_avatar(r[i]["recipientavatarid"], 50, 50, 0) + "'/></div>";
						tmpHtml += "<div class='list_top1'>" + r[i]["recipientnick"] + " + " + tmpCount + "</div>";
					} else {
						tmpHtml += "<div class='list_img'><img src='" + api_user_avatar(r[i]["recipientavatarid"], 50, 50, 0) + "'/></div>";
						tmpHtml += "<div class='list_top1'>" + r[i]["recipientnick"] + "</div>";
					}
					tmpHtml += "<div class='list_bottom1'>" + r[i]["title"] + "</div>";
					tmpHtml += "<div class='list_time1'>" + r[i]["comment_count"] + "&nbsp;&nbsp;<img src='images/icon_comments.png' /></div>";
					tmpHtml += "<div class='list_time2'>" + r[i]["time"] + "</div>";
					tmpHtml += "</div>";
				}
			}
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noMsgs + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_message_messagelist(p_filter, tmpCallBackParams["contentPageNr"], 15);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function loadNewMsgForm(p_isNew)
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	ajaxCallCount++;
	if (!guestLogin) {
		if (!p_isNew) {
			if (!tmpCallBackParams["p_newMsg_subject"] || tmpCallBackParams["p_newMsg_subject"] == "") 
				tmpCallBackParams["p_newMsg_subject"] = "";
			if (!tmpCallBackParams["p_newMsg_toId"] || tmpCallBackParams["p_newMsg_toId"] == "") 
				tmpCallBackParams["p_newMsg_toId"] = 0;
			if (!tmpCallBackParams["p_newMsg_to"] || tmpCallBackParams["p_newMsg_to"] == "") 
				tmpCallBackParams["p_newMsg_to"] = "";
			if (!tmpCallBackParams["p_newMsg_msg"] || tmpCallBackParams["p_newMsg_msg"] == "") 
				tmpCallBackParams["p_newMsg_msg"] = "";
			if (!tmpCallBackParams["p_newMsg_imageUrl"] || tmpCallBackParams["p_newMsg_imageUrl"] == "") 
				tmpCallBackParams["p_newMsg_imageUrl"] = "";
			if (!tmpCallBackParams["p_newMsg_image"] || tmpCallBackParams["p_newMsg_image"] == "") 
				tmpCallBackParams["p_newMsg_image"] = "";
		}
		else {
			tmpCallBackParams["p_newMsg_subject"] = "";
			tmpCallBackParams["p_newMsg_toId"] = 0;
			tmpCallBackParams["p_newMsg_to"] = "";
			tmpCallBackParams["p_newMsg_msg"] = "";
			tmpCallBackParams["p_newMsg_imageUrl"] = "";
			tmpCallBackParams["p_newMsg_image"] = "";
		}
		var tmpHtml = "<div id='commentErrors' class='errors'></div>";
		tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitNewMsg();' id='frm_newMsg'>";
		tmpHtml += "<p class='frmLabel1'>" + str_newMsg_subject + "</p>";
		tmpHtml += "<input type='text' class='text' id='newMsg_subject' value='" + tmpCallBackParams["p_newMsg_subject"] + "' />";
		tmpHtml += "<p class='frmLabel1'>" + str_newMsg_to + "</p>";
		tmpHtml += "<input type='hidden' id='newMsg_toId' value='" + tmpCallBackParams["p_newMsg_toId"] + "' />";
		tmpHtml += "<input type='text' class='text' id='newMsg_to' value='" + tmpCallBackParams["p_newMsg_to"] + "' readonly='readonly' onclick='loadSelectFriend_newMsg();'/>";
		tmpHtml += "<p class='frmLabel1'>" + str_newMsg_image + "</p>";
		tmpHtml += "<input type='hidden' id='newMsg_imageUrl' value='" + tmpCallBackParams["p_newMsg_imageUrl"] + "' />";
		tmpHtml += "<input type='text' class='text' id='newMsg_image' value='" + tmpCallBackParams["p_newMsg_image"] + "' readonly='readonly' onclick='loadSelectImage_newMsg();'/>";
		tmpHtml += "<p class='frmLabel1'>" + str_newMsg_msg + "</p>";
		tmpHtml += "<textarea id='newMsg_msg' class='text' rows='6'>" + tmpCallBackParams["p_newMsg_msg"] + "</textarea><br/><br/>";
		tmpHtml += "<input type='submit' class='button' id='comment_submit' value='" + str_send + "' />";
		tmpHtml += "</form></div>";
		$("#pageContainer").append(tmpHtml);
		initHeader("headerNoFilter", str_menu_newMsg);
	} else {
		goToInAppLoginPage();
	}
	initFooter("", "", "");
	headerActions("back", loadMsgList);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitNewMsg()
{
	var tmpErrors = "";
	if ($("#newMsg_subject").val() == ""){
		tmpErrors = str_error_newMsg_subjectEmpty + "<br/>";
	}
	if ($("#newMsg_to").val() == ""){
		tmpErrors = str_error_newMsg_receiverEmpty + "<br/>";
	}
	if (tmpErrors != ""){
		$("#commentErrors").html(tmpErrors);
	} else {
		api_message_sendfriendmessage($("#newMsg_toId").val(), $("#newMsg_subject").val(), $("#newMsg_msg").val(), $("#newMsg_imageUrl").val());
		tracker.trackEvent('Inbox', 'sendNewMessage');
	}
}

function handleNewMsg_response(p_status)
{
	if (p_status == "OK"){
		tmpCallBackParams = new Array();
		loadMsgList("SENT");
	} else {
		$("#commentErrors").html(str_comment_error);
	}
}

function loadSelectFriend_newMsg()
{
	tmpCallBackParams["p_newMsg_subject"] = $("#newMsg_subject").val();
	tmpCallBackParams["p_newMsg_toId"] = $("#newMsg_toId").val();
	tmpCallBackParams["p_newMsg_to"] = $("#newMsg_to").val();
	tmpCallBackParams["p_newMsg_msg"] = $("#newMsg_msg").val();
	tmpCallBackParams["p_newMsg_imageUrl"] = $("#newMsg_imageUrl").val();
	tmpCallBackParams["p_newMsg_image"] = $("#newMsg_image").val();
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["selFriendPageNr"] = 0;
	api_user_friendlist(false, "ALL", 0, 15, fillSelectFriend_newMsg);
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_newMsg_selFriend);
	headerActions("back", loadNewMsgForm);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function fillSelectFriend_newMsg(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		tmpHtml += "<div class='listItem' onclick='setReceiver(" + r[i]["id"] + ", " + '"' + r[i]["nick"] + '"' + ");'>";
		tmpHtml += "<div class='list_img'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
		tmpHtml += "<div class='list_top2'>" + r[i]["message"] + "</div>";
		tmpHtml += "<div class='list_bottom2'>" + r[i]["nick"] + "</div>";
		/*if (r[i]["online"] == "true") {
			tmpHtml += "<div class='list_time1'><img src='images/online.png'/></div>";
		} else {
			tmpHtml += "<div class='list_time2'>" + r[i]["last_online"] + "</div>";
		}*/
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["selFriendPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["selFriendPageNr"] += 1;
					api_user_friendlist(false, "ALL", tmpCallBackParams["selFriendPageNr"], 15, fillSelectFriend_newMsg);
					$(document).unbind("scroll");
				}
			});
		}
	}
}

function setReceiver(p_id, p_nick)
{
	tmpCallBackParams["p_newMsg_toId"] = p_id;
	tmpCallBackParams["p_newMsg_to"] = p_nick;
	loadNewMsgForm();
}

function loadSelectImage_newMsg()
{
	var tmpHtml = "";
	ajaxCallCount++;
	tmpCallBackParams["p_newMsg_subject"] = $("#newMsg_subject").val();
	tmpCallBackParams["p_newMsg_toId"] = $("#newMsg_toId").val();
	tmpCallBackParams["p_newMsg_to"] = $("#newMsg_to").val();
	tmpCallBackParams["p_newMsg_msg"] = $("#newMsg_msg").val();
	tmpCallBackParams["p_newMsg_imageUrl"] = $("#newMsg_imageUrl").val();
	tmpCallBackParams["p_newMsg_image"] = $("#newMsg_image").val();
	tmpCallBackParams["localFilesCallBackFunc"] = loadSelectImage_newMsg;
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpHtml += "<div class='listItem'>";
	tmpHtml += "<div class='list_middle' style='margin-right: 80px; margin-left: 15px;' onclick='loadLocalImageList(" + '"selectImage_newMsg_handle"' + ");'>" + str_localFiles_local + "</div>";
	tmpHtml += "</div>";
	tmpHtml += "<div class='listItem'>";
	tmpHtml += "<div class='list_middle' style='margin-right: 80px; margin-left: 15px;' onclick='loadTakeNewImage(" + '"newMsg"' + ");'>" + str_localFiles_takeNew + "</div>";
	tmpHtml += "</div>";
	hideLoader("pageContainer");
	$("#pageContainer").append(tmpHtml);
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_localFiles_choose);
	headerActions("back", loadNewMsgForm);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function selectImage_newMsg_handle(p_index)
{
	var tmpArr = tmpCallBackParams["arrFiles"];
	if (p_index >= 0){
		tmpCallBackParams["p_newMsg_imageUrl"] = tmpArr[p_index]["path"];
	tmpCallBackParams["p_newMsg_image"] = tmpArr[p_index]["name"];
	} else {
		tmpCallBackParams["p_newMsg_imageUrl"] = "";
		tmpCallBackParams["p_newMsg_image"] = "";
	}
	loadNewMsgForm();
}

function takeNewImage_newMsg_handle(p_url)
{
	if (p_url && p_url.length) {
		tmpCallBackParams["p_newMsg_imageUrl"] = p_url;
		tmpCallBackParams["p_newMsg_image"] = p_url;
	} else {
		tmpCallBackParams["p_newMsg_imageUrl"] = "";
		tmpCallBackParams["p_newMsg_image"] = "";
	}
	loadNewMsgForm();
}

function loadMessageContent(p_id, p_type, p_redirect)
{
	if (!p_id){
		p_id = tmpCallBackParams["p_id"];
	}
	if (!p_type){
		p_type = tmpCallBackParams["p_type"];
	}
	tmpCallBackParams["p_id"] = p_id;
	tmpCallBackParams["p_type"] = p_type;
	if (tmpCallBackParams["callBackMessageComments"] && tmpCallBackParams["callBackMessageComments"] != "")
		tmpCallBackParams["callBackMessageComments"] = "";
	if (tmpCallBackParams["MessageComentPageNr"] && tmpCallBackParams["MessageComentPageNr"] != "")
		tmpCallBackParams["MessageComentPageNr"] = "";
	tmpCallBackParams["msgCommentCallBackFunc"] = loadMessageContent;
	if (p_redirect == "redirect") {
		api_message_message(p_id, fillMessageContent, p_type, p_redirect);
	} else {
		$("#pageContainer").html("");
		showLoader("pageContainer");
		$(document).unbind("scroll");
		initMessageFooter(p_id);
		api_message_message(p_id, fillMessageContent, p_type, "");
		initHeader("headerNoFilter", str_message_message);
		headerActions("back", tmpCallBackParams["callBackFunc"]);
		$("#contentPage").height(window.innerHeight);
		$("#headerSpacer2").height($("#headerContainer2").height());
		$("#footerSpacer2").height($("#contentFooter").height());
		window.menu.clear();
		window.menu.hideSoftkeys();
		tmpCallBackParams.splice("callBackFunc", 1);
		tracker.trackEvent('Inbox', 'viewMessageContent');
	}
}

function fillMessageContent(r, p_redirect, p_tmpAjaxCount)
{
	var tmpHtml = "";
	var tmpImage = "";
	var tmpVideoThumb = "";
	tmpHtmlContent = "";
	tmpHtmlContent += "<div class='subHeader'>";
	tmpHtmlContent += "<div class='subHeader_img'><img src='" + api_user_avatar(r["senderavatarid"], 40, 40, 0) + "' style='vertical-align: middle'/></div>";
	tmpHtmlContent += "<div class='subHeader_text2'>" + str_message_from + r["sendernick"] + "</div>";
	tmpHtmlContent += "<div class='subHeader_text2'>" + formatStringLen(r["title"], 40) + "</div>";
	tmpHtmlContent += "</div>";
	if (p_redirect == "redirect") {
		loadMessageCommentList(r["id"], "all");
	}
	else {
		if (r["video"]["thumb"] != "") {
			tmpVideoThumb = api_media_thumb(r["video"]["thumb"], window.innerWidth - 40, window.innerHeight, 0);
		}
		if (r["image"] != "") {
			tmpImage = api_media_thumb(r["image"], window.innerWidth - 40, window.innerHeight, 0);
		} else {
			tmpImage = "";
		}
		tmpHtml += "<div class='subHeader'>";
		tmpHtml += "<div class='subHeader_img'><img src='" + api_user_avatar(r["senderavatarid"], 40, 40, 0) + "' style='vertical-align: middle'/></div>";
		tmpHtml += "<div class='subHeader_text2'>" + str_message_from + r["sendernick"] + "</div>";
		if (r["recipients"] != "") tmpHtml += "<div class='subHeader_text2'>" + str_message_to + r["recipients"] + "</div>";
		tmpHtml += "</div>";
		tmpHtml += "<div class='articleContainer'>";
		tmpHtml += "<div class='articleTitle'>" + formatStringLen(r["title"], 40) + "</div>";
		if (tmpImage != "") tmpHtml += "<img src='" + tmpImage + "'/>";
		if (tmpVideoThumb != ""){
			//tmpMargin = (tmpHeight - 56) /2;
			tmpHtml += "<div id='playVideoContainer'>";
			tmpHtml += "<div class='newsItemVideoThumb' onclick='playVideoFile(" + '"' + r["video"]["url"] + '", "newsItem"' + ");'>";
			tmpHtml += "<div><img src='" + tmpVideoThumb + "' /></div>";
			tmpHtml += "<div class='newsItemvideoOverlay'>&nbsp;</div>";
			tmpHtml += "</div>";
			tmpHtml += "</div>";
		}
		tmpHtml += "<div class='articleText'>" + formatStringLen(r["content"], 40) + "</div>";
		tmpHtml += "</div>";
		if (ajaxCallCount == p_tmpAjaxCount) {
			hideLoader("pageContainer");
			$("#pageContainer").append(tmpHtml);
		}
	}
}

function loadMessageCommentList(p_id, p_filter)
{
	$("#pageContainer").html(tmpHtmlContent);
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id) 
		p_id = tmpCallBackParams["messageId"];
	tmpCallBackParams["messageId"] = p_id;
	if (!p_filter) {
		if (tmpCallBackParams["commentFilter"] && tmpCallBackParams["commentFilter"] != "")
			p_filter = tmpCallBackParams["commentFilter"];
		else
			p_filter = "all";
	} else {
		tmpCallBackParams["commentFilter"] = p_filter;
	}
	tmpCallBackParams["profileCallBackFunc"] = loadMessageCommentList;
	tmpCallBackParams["msgCommentCallBackFunc"] = loadMessageCommentList;
	if (!tmpCallBackParams["MessageComentPageNr"] || tmpCallBackParams["MessageComentPageNr"] == "")
		tmpCallBackParams["MessageComentPageNr"] = 0;
	if (!tmpCallBackParams["callBackMessageComments"] || tmpCallBackParams["callBackMessageComments"] == "") {
		api_message_messagecomments(p_id, 0, 15, p_filter, fillMessageCommentLst);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackMessageComments"]);
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["MessageComentPageNr"] += 1;
				api_message_messagecomments(p_id, tmpCallBackParams["MessageComentPageNr"], 15, tmpCallBackParams["commentFilter"], fillMessageCommentLst);
				$(document).unbind("scroll");
			}
		});
	}
	initFooter("", "", "");
	initHeader("headerFilter", str_filter_comments_all);
	headerActions("back", loadMessageContent, "comment", "loadMsgCommentForm('" + tmpCallBackParams["messageId"] + "')");
	if (tmpCallBackParams["p_type"] != "team")
		initFilterMenu(new Array(str_filter_comments_all, str_filter_comments_myFriends, str_filter_comments_myTeam, str_filter_comments_myLang), new Array("2025", "2026", "2027", "2028"));
	else
		initFilterMenu(new Array(str_filter_comments_all, str_filter_comments_myFriends, str_filter_comments_myLang), new Array("2025", "2026", "2028"));
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('Inbox', 'viewMessageComments');
}

function fillMessageCommentLst(r, p_id, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0){
		for (i=0; i<r.length; i++){
			tmpHtml += "<div class='commentListItem' onclick='loadUserProfile(" + r[i]["userid"] + ", " + '"full"' + ");'>";
			tmpHtml += "<div class='commentList_img'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div style='display: table;'><div class='commentList_top'>" + r[i]["nick"] + "</div>";
			tmpHtml += "<div class='commentList_bottom'>" + formatStringLen(r[i]["content"], 40) + "</div>";
			tmpHtml += "<div class='commentList_time'>" + r[i]["time"] + "</div></div>";
			tmpHtml += "</div>";
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noComments + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["MessageComentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["MessageComentPageNr"] += 1;
					api_message_messagecomments(p_id, tmpCallBackParams["MessageComentPageNr"], 15, tmpCallBackParams["commentFilter"], fillMessageCommentLst);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackMessageComments"] = $("#pageContainer").html();
	}
}

function loadMsgCommentForm(p_msgId)
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	ajaxCallCount++;
	var tmpHtml = "<div id='commentErrors' class='errors'></div>";
	tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitMsgComment();' id='frm_MsgComment'>";
	tmpHtml += "<input type='hidden' id='msgId' value='" + p_msgId + "' />";
	tmpHtml += "<textarea id='msg_commentTxt' class='textareaBox' rows='6'></textarea><br/><br/>";
	tmpHtml += "<input type='submit' class='button' id='comment_submit' value='" + str_send + "' />";
	tmpHtml += "</form></div>";
	$("#pageContainer").append(tmpHtml);
	initFooter("", "", "");
	initHeader("headerNoFilter", str_comment);
	headerActions("back", tmpCallBackParams["msgCommentCallBackFunc"]);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitMsgComment()
{
	var tmpErrors = "";
	if ($("#msg_commentTxt").val() == ""){
		tmpErrors = str_error_emptyField + "<br/>";
	}
	if (tmpErrors != ""){
		$("#commentErrors").html(tmpErrors);
	} else {
		api_message_commentmessage($("#msgId").val(), $("#msg_commentTxt").val());
		tracker.trackEvent('Inbox', 'commentMessage');
	}
}

function handleMsgComment_response(p_status, p_id)
{
	if (p_status == "OK"){
		if (tmpCallBackParams["callBackMessageComments"] && tmpCallBackParams["callBackMessageComments"] != "")
			tmpCallBackParams["callBackMessageComments"] = "";
		if (tmpCallBackParams["MessageComentPageNr"] && tmpCallBackParams["MessageComentPageNr"] != "")
			tmpCallBackParams["MessageComentPageNr"] = "";
		loadMessageCommentList(p_id, "all");
	} else {
		$("#commentErrors").html(str_comment_error);
	}
}

function setMessageFooterStatus(r){
	if (r["newMsg"] > 0){
		var bubble1 = document.createElement('div');
		bubble1.setAttribute("id", "footerTabBubble1");
		bubble1.setAttribute("class", "bubble_footer");
		if (r["newMsg"] > 99) {
			bubble1.setAttribute("style", "font-size: 0.6em;");
			bubble1.innerHTML = "99+";
		} else {
			bubble1.innerHTML = r["newMsg"];
		}
		$("#footerTab1").append(bubble1);
	}
}

function loadMyMediaAlbumList(p_mode)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["ownMediaFiles"] = true;
	if (tmpCallBackParams["callBackAlbumContent"] && tmpCallBackParams["callBackAlbumContent"] != "")
		tmpCallBackParams["callBackAlbumContent"] = "";
	if (tmpCallBackParams["albumFilesPageNr"] && tmpCallBackParams["albumFilesPageNr"] != "")
		tmpCallBackParams["albumFilesPageNr"] = "";
	tmpCallBackParams["albumCallBackFunc"] = loadMyMediaAlbumList;
	tmpCallBackParams["albumid"] = "";
	if (!p_mode) 
		p_mode = tmpCallBackParams["mediaMode"];
	tmpCallBackParams["mediaMode"] = p_mode;
	if (!tmpCallBackParams["contentPageNr"] || tmpCallBackParams["contentPageNr"] == "")
		tmpCallBackParams["contentPageNr"] = 0;
	if(!guestLogin){
		if (!tmpCallBackParams["callBackContent"] || tmpCallBackParams["callBackContent"] == ""){
			api_media_albumlist(false, false, 0, 15, fillMyMediaAlbumList);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackContent"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_media_albumlist(false, false, tmpCallBackParams["contentPageNr"], 15, fillMyMediaAlbumList);
					$(document).unbind("scroll");
				}
			});
		}
		initHeader("headerNoFilter", str_media_albums);
	} else {
		goToInAppLoginPage();
	}
	initFooter("media_general", "media_delete", "", "media_" + p_mode);
	headerActions("back", goToDashboard, "add", "loadNewAlbumForm()");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('media', 'viewAlbumlist');
}

function fillMyMediaAlbumList(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0) {
		for (i = 0; i < r.length; i++) {
			var tmpImage = "";
			if (r[i]["thumburl"] != "") {
				tmpImage = api_media_thumb(r[i]["thumburl"], 50, 50, 0);
			} else {
				tmpImage = "images/album_defaultThumb.png";
			}
			if (tmpCallBackParams["mediaMode"] == "delete"){
				tmpHtml += "<div class='listItem'>";
				tmpHtml += "<div class='list_img' style='background: url(" + tmpImage + ") no-repeat center;'>&nbsp;</div>";
				var tmpTypeText = r[i]["name"].length > 20 ? r[i]["name"].substr(0, 20) + "..." : formatStringLen(r[i]["name"], 40);
				tmpHtml += "<div style='height: 100%; margin-right: 50px;' onclick='loadAlbumFileList(" + r[i]["id"] + ");'><div class='list_top2'>" + tmpTypeText + "</div>";
				tmpHtml += "<div class='list_bottom2'>" + r[i]["filecount"] + " " + str_media_files + "</div></div>";
				tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;' onclick='if(confirm(" + '"You really want to delete the album?"' + ")) api_media_deletealbum(" + r[i]["id"] + ");'>";
				tmpHtml += "<img class='requestActions_img' src='images/x.png'/>";
				tmpHtml += "</div>";
				tmpHtml += "</div>";
			} else {
				tmpHtml += "<div class='listItem' onclick='loadAlbumFileList(" + r[i]["id"] + ");'>";
				tmpHtml += "<div class='list_img' style='background: url(" + tmpImage + ") no-repeat center;'>&nbsp;</div>";
				var tmpTypeText = r[i]["name"].length > 20 ? r[i]["name"].substr(0, 20) + "..." : r[i]["name"];
				tmpHtml += "<div class='list_middle'>" + tmpTypeText + "</div>";
				tmpHtml += "<div class='list_time2'>" + r[i]["filecount"] + " " + str_media_files + "</div>";
				tmpHtml += "</div>";
			}
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noAlbums + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["contentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["contentPageNr"] += 1;
					api_media_albumlist(false, false, tmpCallBackParams["contentPageNr"], 15, fillMyMediaAlbumList);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function loadNewAlbumForm()
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	ajaxCallCount++;
	if (!guestLogin){
		var tmpHtml = "<div id='albumErrors' class='errors'></div>";
		tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitAlbum();' id='frm_addAlbum'>";
		tmpHtml += "<p class='frmLabel1'>" + str_album_name + "</p>";
		tmpHtml += "<input type='text' class='text' id='albumName' value='' />";
		tmpHtml += "<input type='submit' class='button' id='album_submit' value='" + str_albumFile_add + "' />";
		tmpHtml += "</form></div>";
		$("#pageContainer").append(tmpHtml);
		initHeader("headerNoFilter", str_menu_addAlbum);
	} else {
		goToInAppLoginPage();
	}
	initFooter("", "", "");
	headerActions("back", loadMyMediaAlbumList);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitAlbum()
{
	var tmpErrors = "";
	if ($("#albumName").val() == ""){
		tmpErrors = str_error_album_nameEmpty + "<br/>";
	}
	if (tmpErrors != ""){
		$("#albumErrors").html(tmpErrors);
	} else {
		api_media_createalbum($("#albumName").val());
		tracker.trackEvent('media', 'createNewAlbum');
	}
}

function handleAddAlbum_response(p_status)
{
	if (p_status == "OK"){
		tmpCallBackParams = new Array();
		loadMyMediaAlbumList();
	} else {
		$("#albumErrors").html(str_comment_error);
	}
}

function handleAlbumDelete_response(p_status)
{
	if (tmpCallBackParams["callBackContent"] && tmpCallBackParams["callBackContent"] != "")
		tmpCallBackParams["callBackContent"] = "";
	if (tmpCallBackParams["contentPageNr"] && tmpCallBackParams["contentPageNr"] != "")
		tmpCallBackParams["contentPageNr"] = "";
	tracker.trackEvent('media', 'deleteAlbum');
	loadMyMediaAlbumList();
}

function loadAlbumFileList(p_albumId)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	//tmpCallBackParams["callBackFunc"] = loadMsgList;
	tmpCallBackParams["fileDescriptionVisible"] = "";
	if (!p_albumId) p_albumId = tmpCallBackParams["albumid"];
	tmpCallBackParams["albumid"] = p_albumId;
	if (!tmpCallBackParams["albumFilesPageNr"] || tmpCallBackParams["albumFilesPageNr"] == "")
		tmpCallBackParams["albumFilesPageNr"] = 0;
	if (!tmpCallBackParams["callBackAlbumContent"] || tmpCallBackParams["callBackAlbumContent"] == ""){
		api_media_albumfilelist(p_albumId, 0, 40);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackAlbumContent"]);
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop + 12 == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["albumFilesPageNr"] += 1;
				api_media_albumfilelist(p_albumId, tmpCallBackParams["albumFilesPageNr"], 40);
				$(document).unbind("scroll");
			}
		});
	}
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_media_album);
	if (tmpCallBackParams["albumCallBackFunc"] && tmpCallBackParams["albumCallBackFunc"] != ""){
		if(tmpCallBackParams["ownMediaFiles"] && tmpCallBackParams["ownMediaFiles"] != "")
			headerActions("back", tmpCallBackParams["albumCallBackFunc"], "add", "loadNewAlbumFileForm()");
		else
			headerActions("back", tmpCallBackParams["albumCallBackFunc"]);
	} else {
		if(tmpCallBackParams["ownMediaFiles"] && tmpCallBackParams["ownMediaFiles"] != "")
			headerActions("back", tmpCallBackParams["callBackFunc"], "add", "loadNewAlbumFileForm()");
		else
			headerActions("back", tmpCallBackParams["callBackFunc"]);
	}
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('media', 'viewAlbumFilelist');
}

function fillAlbumFileList(r, p_albumId, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0) {
		tmpHtml += "<div class='albumfilesContainer'>";
		for (i = 0; i < r.length; i++) {
			if (tmpCallBackParams["mediaMode"] == "delete") {
				tmpHtml += "<div class='albumfilesThumb' style='background: url(" + api_media_thumb(r[i]["thumburl"], 60, 60, 0) + ") no-repeat center;' onclick='Popup.showTwoButtonAlert(\"You really want to delete the file?\", \"api_media_deletealbumfile(" + r[i]["id"] + ");\", \"Popup.hide();\", \"Yes\", \"No\");'>&nbsp;";
				tmpHtml += "<div class='bubble_albumfilesThumb'>" + r[i]["commentCount"] + "</div>";
				tmpHtml += "<div class='delete_albumfilesThumb'>&nbsp;</div>";
				tmpHtml += "</div>";
			} else {
				tmpHtml += "<div class='albumfilesThumb' style='background: url(" + api_media_thumb(r[i]["thumburl"], 60, 60, 0) + ") no-repeat center;' onclick='loadAlbumFile(" + tmpCallBackParams["albumid"] + ", " + r[i]["id"] + ");'>&nbsp;";
				tmpHtml += "<div class='bubble_albumfilesThumb'>" + r[i]["commentCount"] + "</div>";
				tmpHtml += "</div>";
			}
		}
		tmpHtml += "</div>";
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noFiles + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["albumFilesPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop + 12 == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["albumFilesPageNr"] += 1;
					api_media_albumfilelist(p_albumId, tmpCallBackParams["albumFilesPageNr"], 40);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackAlbumContent"] = $("#pageContainer").html();
	}
}

function loadNewAlbumFileForm(p_isNew)
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	ajaxCallCount++;
	if (!p_isNew){
		if (!tmpCallBackParams["p_albumFile_title"] || tmpCallBackParams["p_albumFile_title"] == "")
			tmpCallBackParams["p_albumFile_title"] = "";
		if (!tmpCallBackParams["p_albumFile_descr"] || tmpCallBackParams["p_albumFile_descr"] == "")
			tmpCallBackParams["p_albumFile_descr"] = "";
		if (!tmpCallBackParams["p_albumFile_imageUrl"] || tmpCallBackParams["p_albumFile_imageUrl"] == "")
			tmpCallBackParams["p_albumFile_imageUrl"] = "";
		if (!tmpCallBackParams["p_albumFile_image"] || tmpCallBackParams["p_albumFile_image"] == "")
			tmpCallBackParams["p_albumFile_image"] = "";
	} else {
		tmpCallBackParams["p_albumFile_title"] = "";
		tmpCallBackParams["p_albumFile_descr"] = "";
		tmpCallBackParams["p_albumFile_imageUrl"] = "";
		tmpCallBackParams["p_albumFile_image"] = "";
	}
	var tmpHtml = "<div id='albumFileErrors' class='errors'></div>";
	tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitAlbumFile();' id='frm_addAlbumFile'>";
	tmpHtml += "<p class='frmLabel1'>" + str_albumFile_title + "</p>";
	tmpHtml += "<input type='text' class='text' id='albumFile_title' value='" + tmpCallBackParams["p_albumFile_title"] + "' />";
	tmpHtml += "<p class='frmLabel1'>" + str_albumFile_descr + "</p>";
	tmpHtml += "<textarea id='albumFile_descr' class='text' rows='6'>" + tmpCallBackParams["p_albumFile_descr"] + "</textarea>";
	tmpHtml += "<p class='frmLabel1'>" + str_albumFile_image + "</p>";
	tmpHtml += "<input type='hidden' id='albumFile_imageUrl' value='" + tmpCallBackParams["p_albumFile_imageUrl"] + "' />";
	tmpHtml += "<input type='text' class='text' id='albumFile_image' value='" + tmpCallBackParams["p_albumFile_image"] + "' readonly='readonly' onclick='loadSelectImage_albumFile();'/><br/><br/>";
	tmpHtml += "<input type='submit' class='button' id='albumFile_submit' value='" + str_albumFile_add + "' />";
	tmpHtml += "</form></div>";
	$("#pageContainer").append(tmpHtml);
	initFooter("", "", "");
	initHeader("headerNoFilter", str_menu_addFile);
	headerActions("back", loadAlbumFileList);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitAlbumFile()
{
	var tmpErrors = "";
	if ($("#albumFile_imageUrl").val() == ""){
		tmpErrors = str_error_albumFile_imageEmpty + "<br/>";
	}
	if (tmpErrors != ""){
		$("#albumFileErrors").html(tmpErrors);
	} else {
		api_media_uploadalbumfile(tmpCallBackParams["albumid"], $("#albumFile_imageUrl").val(), $("#albumFile_title").val(), $("#albumFile_descr").val());
		tracker.trackEvent('media', 'uploadAlbumFile');
	}
}

function handleAddAlbumFile_response(p_status)
{
	if (p_status == "OK"){
		tmpCallBackParams["callBackAlbumContent"] = "";
		tmpCallBackParams["callBackContent"] = "";
		loadAlbumFileList();
	} else {
		$("#commentErrors").html(str_comment_error);
	}
}

function loadSelectImage_albumFile()
{
	var tmpHtml = "";
	ajaxCallCount++;
	tmpCallBackParams["p_albumFile_title"] = $("#albumFile_title").val();
	tmpCallBackParams["p_albumFile_descr"] = $("#albumFile_descr").val();
	tmpCallBackParams["p_albumFile_imageUrl"] = $("#albumFile_imageUrl").val();
	tmpCallBackParams["p_albumFile_image"] = $("#albumFile_image").val();
	tmpCallBackParams["localFilesCallBackFunc"] = loadSelectImage_albumFile;
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpHtml += "<div class='listItem'>";
	tmpHtml += "<div class='list_middle' style='margin-right: 80px; margin-left: 15px;' onclick='loadLocalImageList(" + '"selectImage_albumfile_handle"' + ");'>" + str_localFiles_local + "</div>";
	tmpHtml += "</div>";
	tmpHtml += "<div class='listItem'>";
	tmpHtml += "<div class='list_middle' style='margin-right: 80px; margin-left: 15px;' onclick='loadTakeNewImage(" + '"album"' + ");'>" + str_localFiles_takeNew + "</div>";
	tmpHtml += "</div>";
	hideLoader("pageContainer");
	$("#pageContainer").append(tmpHtml);
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_localFiles_choose);
	headerActions("back", loadNewAlbumFileForm);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function selectImage_albumfile_handle(p_index)
{
	var tmpArr = tmpCallBackParams["arrFiles"];
	if (p_index >= 0){
		tmpCallBackParams["p_albumFile_imageUrl"] = tmpArr[p_index]["path"];
		tmpCallBackParams["p_albumFile_image"] = tmpArr[p_index]["name"];
	} else {
		tmpCallBackParams["p_albumFile_imageUrl"] = "";
		tmpCallBackParams["p_albumFile_image"] = "";
	}
	loadNewAlbumFileForm();
}

function takeNewImage_albumFile_handle(p_url)
{
	if (p_url && p_url.length) {
		tmpCallBackParams["p_albumFile_imageUrl"] = p_url;
		tmpCallBackParams["p_albumFile_image"] = p_url;
	} else {
		tmpCallBackParams["p_albumFile_imageUrl"] = "";
		tmpCallBackParams["p_albumFile_image"] = "";
	}
	loadNewAlbumFileForm();
}

function handleAlbumFileDelete_response(p_status)
{
	if (tmpCallBackParams["callBackAlbumContent"] && tmpCallBackParams["callBackAlbumContent"] != "")
		tmpCallBackParams["callBackAlbumContent"] = "";
	if (tmpCallBackParams["albumFilesPageNr"] && tmpCallBackParams["albumFilesPageNr"] != "")
		tmpCallBackParams["albumFilesPageNr"] = "";
	tracker.trackEvent('media', 'deleteAlbumFile');
	loadAlbumFileList();
}

function loadAlbumFile(p_albumId, p_fileId)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (tmpCallBackParams["callBackFileComments"] && tmpCallBackParams["callBackFileComments"] != "")
		tmpCallBackParams["callBackFileComments"] = "";
	if (tmpCallBackParams["fileComentPageNr"] && tmpCallBackParams["fileComentPageNr"] != "")
		tmpCallBackParams["fileComentPageNr"] = "";
	if (!p_albumId) p_albumId = tmpCallBackParams["albumId"];
	tmpCallBackParams["albumCommentCallBackFunc"] = loadAlbumFile;
	tmpCallBackParams["albumId"] = p_albumId;
	if (!p_fileId) p_fileId = tmpCallBackParams["fileId"];
	tmpCallBackParams["fileId"] = p_fileId;
	initAlbumFileFooter(p_fileId);
	initHeader("headerNoFilter", str_media_file);
	headerActions("back", loadAlbumFileList, "comment", "loadAlbumFileCommentForm('" + tmpCallBackParams["fileId"] + "')");
	api_media_albumfile(p_albumId, p_fileId);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('media', 'viewAlbumFile');
}

function fillAlbumFile(r, p_tmpAjaxCount)
{
	var tmpHtml = "";
	tmpHtmlContent = "";
	tmpHtmlContent += "<div class='subHeader'>";
	tmpHtmlContent += "<div class='subHeader_img'><img src='" + api_media_thumb(r["url"], 40, 40, 0) + "' style='vertical-align: middle'/></div>";
	tmpHtmlContent += "<div class='subHeader_text2'>&nbsp;</div>";
	tmpHtmlContent += "</div>";
	var tmpImage = api_media_thumb(r["url"], window.innerWidth - 40, $("#contentPage").height()- $("#headerContainer2").height() - $("#contentFooter").height() - 10, 0);
	tmpHeight = window.innerHeight - $("#headerContainer2").height() - $("#contentFooter").height() - 10;
	if (r["type"] == "video") {
		tmpMargin = (tmpHeight - 56) /2;
		tmpHtml += "<div id='playVideoContainer' style='min-height: " + tmpHeight + "px; vertical-align: middle;'>";
		tmpHtml += "<div class='photoContainer' style='min-height: " + tmpHeight + "px; background: url(" + tmpImage + ") no-repeat center;' onclick='playVideoFile(" + '"' + r["video"] + '", "albumItem"' + ");'>";
		tmpHtml += "<img src='images/PlayOverlay.png' style='margin-top: " + tmpMargin + "px;' />";
		tmpHtml += "</div>";
		tmpHtml += "</div>";
	} else {
		tmpHtml += "<div class='photoContainer' style='min-height: " + tmpHeight + "px; background: url(" + tmpImage + ") no-repeat center;'>";
		tmpHtml += "&nbsp;";
		tmpHtml += "</div>";
	}
	tmpHtml += "<div id='fileDescription'><b>" +  formatStringLen(r["name"], 50) + "</b><br/>" + formatStringLen(r["description"], 50);
	var tmpDispl = tmpCallBackParams["fileDescriptionVisible"] == "" ? "none" : "block";
	tmpHtml += "<div id='fileDescriptionSpacer' style='height: " + $("#contentFooter").height() + "px; display: " + tmpDispl + ";'>&nbsp;</div>";
	tmpHtml += "</div>";
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
	}
}

function showHideFileDescription()
{
	if (!tmpCallBackParams["fileDescriptionVisible"] || tmpCallBackParams["fileDescriptionVisible"] == ""){
		tmpCallBackParams["fileDescriptionVisible"] = "show";
		$("#fileDescriptionSpacer").fadeIn("slow");
	} else {
		tmpCallBackParams["fileDescriptionVisible"] = "";
		$("#fileDescriptionSpacer").fadeOut("slow");
	}
}

function playVideoFile(p_url, p_part){
	if (setting_premium){
		//var realUID = 0x10005a3e;
		//widget.openApplication(realUID,p_url);
		//widget.openURL(p_url);
		if (p_part == "newsItem"){
			var tmpHtml = "<div class='photoContainer'>";
			tmpHtml += '<object id="imagepopup_image" type="application/x-shockwave-flash" data="http://flv-player.net/medias/player_flv_maxi.swf" width="350" height="259">';
			tmpHtml += '<param name="movie" value="http://flv-player.net/medias/player_flv_maxi.swf" />';
			tmpHtml += '<param name="allowFullScreen" value="true" />';
			tmpHtml += '<param name="FlashVars" value="flv=' + p_url + '&amp;width=350&amp;height=259&amp;autoplay=1&amp;autoload=1" />';
			tmpHtml += '</object>';
			tmpHtml += '</div>';
			$("#playVideoContainer").html(tmpHtml);
		} else {
			var tmpHeight = window.innerHeight - $("#headerContainer2").height() - $("#contentFooter").height() - 10;
			tmpMargin = (tmpHeight - 259) /2;
			var tmpHtml = "<div class='photoContainer' style='padding-top: " + tmpMargin + "px;'>";
			tmpHtml += '<object id="imagepopup_image" type="application/x-shockwave-flash" data="http://flv-player.net/medias/player_flv_maxi.swf" width="350" height="259">';
			tmpHtml += '<param name="movie" value="http://flv-player.net/medias/player_flv_maxi.swf" />';
			tmpHtml += '<param name="allowFullScreen" value="true" />';
			tmpHtml += '<param name="FlashVars" value="flv=' + p_url + '&amp;width=350&amp;height=259&amp;autoplay=1&amp;autoload=1" />';
			tmpHtml += '</object>';
			tmpHtml += '</div>';
			$("#playVideoContainer").html(tmpHtml);
		}
	} else {
		api_update_checkUpgrade();
	}
	
}

function handlePlayVideoFile(p_url){
	if (p_url != "")
		Popup.showTwoButtonAlert(str_upgradeForVideo, "goToAppStore('" + p_url + "');", "Popup.hide();", str_upgrade, str_upgrade_cancel);
	else
		Popup.showOneButtonAlert(str_upgradeForVideo + "<br/><br/>" + str_upgradeSoon, "Popup.hide();", str_upgrade_cancel);
}

function navigateAlbumFiles(p_albumfileid){
	loadNewsItem(tmpCallBackParams["p_feedid"], p_feeditemid)
}

function loadAlbumFileCommentList(p_id, p_filter)
{
	$("#pageContainer").html(tmpHtmlContent);
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id) p_id = tmpCallBackParams["fileId"];
	if (!p_filter) {
		if (tmpCallBackParams["commentFilter"] && tmpCallBackParams["commentFilter"] != "")
			p_filter = tmpCallBackParams["commentFilter"];
		else
			p_filter = "all";
	} else {
		tmpCallBackParams["commentFilter"] = p_filter;
	}
	tmpCallBackParams["fileId"] = p_id;
	tmpCallBackParams["profileLiteCallBackFunc"] = loadAlbumFileCommentList;
	tmpCallBackParams["albumCommentCallBackFunc"] = loadAlbumFileCommentList;
	if (!tmpCallBackParams[""] || tmpCallBackParams["fileComentPageNr"] == "")
		tmpCallBackParams["fileComentPageNr"] = 0;
	if (!tmpCallBackParams["callBackFileComments"] || tmpCallBackParams["callBackFileComments"] == "") {
		api_media_albumfilecomments(p_id, 0, 15, p_filter, fillAlbumFileCommentLst);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackFileComments"]);
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["fileComentPageNr"] += 1;
				api_media_albumfilecomments(p_id, tmpCallBackParams["fileComentPageNr"], 15, tmpCallBackParams["commentFilter"], fillAlbumFileCommentLst);
				$(document).unbind("scroll");
			}
		});
	}
	initFooter("", "", "");
	initHeader("headerFilter", str_filter_comments_all);
	headerActions("back", loadAlbumFile, "comment", "loadAlbumFileCommentForm('" + tmpCallBackParams["fileId"] + "')");
	initFilterMenu(new Array(str_filter_comments_all, str_filter_comments_myFriends, str_filter_comments_myTeam, str_filter_comments_myLang), new Array("2029", "2030", "2031", "2032"));
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('media', 'viewAlbumFileComments');
}

function fillAlbumFileCommentLst(r, p_id, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0){
		for (i=0; i<r.length; i++){
			tmpHtml += "<div class='commentListItem' onclick='loadUserProfile(" + r[i]["userid"] + ", " + '"simple"' + ");'>";
			tmpHtml += "<div class='commentList_img'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div style='display: table;'><div class='commentList_top'>" + r[i]["nick"] + "</div>";
			tmpHtml += "<div class='commentList_bottom'>" + formatStringLen(r[i]["content"], 40) + "</div>";
			tmpHtml += "<div class='commentList_time'>" + r[i]["time"] + "</div></div>";
			tmpHtml += "</div>";
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noComments + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["fileComentPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["fileComentPageNr"] += 1;
					api_media_albumfilecomments(p_id, tmpCallBackParams["fileComentPageNr"], 15, tmpCallBackParams["commentFilter"], fillAlbumFileCommentLst);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackFileComments"] = $("#pageContainer").html();
	}
}

function loadAlbumFileCommentForm(p_fileId)
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	if (!guestLogin) {
		var tmpHtml = "<div id='commentErrors' class='errors'></div>";
		tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitAlbumFileComment();' id='frm_fileComment'>";
		tmpHtml += "<input type='hidden' id='fileId' value='" + p_fileId + "' />";
		tmpHtml += "<textarea id='file_commentTxt' class='textareaBox' rows='6'></textarea><br/><br/>";
		tmpHtml += "<input type='submit' class='button' id='comment_submit' value='" + str_send + "' />";
		tmpHtml += "</form></div>";
		$("#pageContainer").append(tmpHtml);
		initHeader("headerNoFilter", str_comment);
	} else {
		goToInAppLoginPage();
	}
	initFooter("", "", "");
	headerActions("back", tmpCallBackParams["albumCommentCallBackFunc"]);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitAlbumFileComment()
{
	var tmpErrors = "";
	if ($("#file_commentTxt").val() == ""){
		tmpErrors = str_error_emptyField + "<br/>";
	}
	if (tmpErrors != ""){
		$("#commentErrors").html(tmpErrors);
	} else {
		api_media_commentalbumitem($("#fileId").val(), $("#file_commentTxt").val());
		tracker.trackEvent('media', 'commentAlbumFile');
	}
}

function handleAlbumFileComment_response(p_status, p_id)
{
	if (p_status == "OK"){
		if (tmpCallBackParams["callBackFileComments"] && tmpCallBackParams["callBackFileComments"] != "")
			tmpCallBackParams["callBackFileComments"] = "";
		if (tmpCallBackParams["fileComentPageNr"] && tmpCallBackParams["fileComentPageNr"] != "")
			tmpCallBackParams["fileComentPageNr"] = "";
		loadAlbumFileCommentList(p_id, "all");
	} else {
		$("#commentErrors").html(str_comment_error);
	}
}

function DisplayMyProfile(p_func){
	$("#pageContainer").html("");
	//showLoader("pageContainer");
	if (p_func) tmpCallBackParams["myProfileCallBackFunc"] = p_func;
	$(document).unbind("scroll");
	if (!guestLogin) {
		var tmpHtml = "";
		tmpHtml += "<div class='profileDetailImg'><img src='" + api_user_avatar(userprofile["avatarid"], 100, 100, 0) + "'/></div>";
		tmpHtml += "<div class='profileDetailTeamAvatar'><img src='" + api_user_avatar(userprofile["team_avatarid"], 100, 100, 0) + "'/></div>";
		tmpHtml += "<div class='profileDetailName'>";
		tmpHtml += userprofile["nick"] + "<br/>";
		tmpHtml += userprofile["firstname"] + " ";
		tmpHtml += userprofile["lastname"] + "<br/>";
		tmpHtml += str_profile_fanOf + ": " + userprofile["teamname"];
		tmpHtml += "</div>";
		tmpHtml += "<div class='profileDetailLine'>";
		var tmpGenderText = userprofile["gender"] == "" ? "" : getDynamicVar("str_profile_" + userprofile["gender"].toLowerCase());
		tmpHtml += "<div class='profileDetailLabel'>" + str_profile_gender + "</div><div class='profileDetailValue'>" + tmpGenderText + "</div>";
		tmpHtml += "<div class='profileDetailLabel'>" + str_profile_language + "</div><div class='profileDetailValue'>" + userprofile["language"] + "</div>";
		tmpHtml += "<div class='profileDetailLabel'>" + str_profile_mobilephone + "</div><div class='profileDetailValue'>" + userprofile["mobilephone"] + "</div>";
		tmpHtml += "<div class='profileDetailLabel'>" + str_profile_email + "</div><div class='profileDetailValue'>" + userprofile["email"] + "</div>";
		tmpHtml += "<div class='profileDetailLabel'>" + str_profile_status + "</div><div class='profileDetailValue'>" + userprofile["status"] + "</div>";
		tmpHtml += "<div class='profileDetailLabel'>" + str_profile_description + "</div><div class='profileDetailValue'>" + userprofile["description"] + "</div>";
		if (setting_mcNeeded){ 
			var tmpMcText = userprofile["membercard"] != "" && userprofile["memberCardOptional"] != "" ? "-" : "";
			tmpHtml += "<div class='profileDetailLabel'>" + str_profile_membercard + "</div><div class='profileDetailValue'>" + userprofile["membercard"] + tmpMcText + userprofile["memberCardOptional"] + "</div>";
		}
		tmpHtml += "</div>";
		$("#pageContainer").html(tmpHtml);
		initHeader("headerNoFilter", str_profile_profile);
		headerActions("back", tmpCallBackParams["myProfileCallBackFunc"], "edit_profile", "loadEditMyProfileForm()");	
	} else {
		goToInAppLoginPage();
		headerActions("back", tmpCallBackParams["myProfileCallBackFunc"]);
	}
	initFooter("", "", "", "");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('profile', 'viewMyProfile');
}

function loadEditMyProfileForm()
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	ajaxCallCount++;
	var tmpHtml = "<div id='profileErrors' class='errors'></div>";
	tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form id='frm_editProfile'>";
	tmpHtml += "<p class='frmLabel1'>" + str_profile_firstname + "</p>";
	tmpHtml += "<input type='text' class='text' id='profile_firstname' value='" + userprofile["firstname"] + "' />";
	tmpHtml += "<p class='frmLabel1'>" + str_profile_lastname + "</p>";
	tmpHtml += "<input type='text' class='text' id='profile_lastname' value='" + userprofile["lastname"] + "' />";
	tmpHtml += "<p class='frmLabel1'>" + str_profile_gender + "</p>";
	tmpHtml += "<select class='text' id='profile_gender'>";
	if (userprofile["gender"].toLowerCase() == "m"){
		tmpHtml += "<option value='M' selected='selected'>" + str_profile_m + "</option>";
		tmpHtml += "<option value='F'>" + str_profile_f + "</option>";
	} else if (userprofile["gender"].toLowerCase() == "f") {
		tmpHtml += "<option value='M'>" + str_profile_m + "</option>";
		tmpHtml += "<option value='F' selected='selected'>" + str_profile_f + "</option>";
	} else {
		tmpHtml += "<option value='0'>" + str_profile_gender + "</option>";
		tmpHtml += "<option value='M'>" + str_profile_m + "</option>";
		tmpHtml += "<option value='F'>" + str_profile_f + "</option>";
	}
	tmpHtml += "</select>";
	tmpHtml += "<p class='frmLabel1'>" + str_profile_description + "</p>";
	tmpHtml += "<textarea id='profile_descr' class='text' rows='6'>" + userprofile["description"] + "</textarea>";
	if (setting_mcNeeded){
		tmpHtml += "<p class='frmLabel1'>" + str_profile_membercard + "</p>";
		if (userprofile["membercard"] == ""){
			tmpHtml += "<div style='text-align: left;'><input type='radio' id='profile_mcNrCheck_n' name='profile_mcNrCheck' value='n' checked='checked' /><span class='frmLabel1'>" + str_register_mcNrNo + "</span>";
			tmpHtml += "<input type='radio' id='profile_mcNrCheck_y' name='profile_mcNrCheck' value='y' /><span class='frmLabel1'>" + str_register_mcNrYes + "</span>";
			tmpHtml += "<input type='text' id='profile_mcNr1' style='font-size: 1.8em;padding: 0.4em;margin-left:0.2em;margin-right:0.2em;' size='6' value='' />"; 
			tmpHtml += "<input type='text' id='profile_mcNr2' style='font-size: 1.8em;padding: 0.4em;margin-left:0.2em;margin-right:0.2em;' size='2' value='' /></div>";
		} else {
			tmpHtml += "<div style='text-align: left;'><input type='radio' id='profile_mcNrCheck_n' name='profile_mcNrCheck' value='n' /><span class='frmLabel1'>" + str_register_mcNrNo + "</span>";
			tmpHtml += "<input type='radio' id='profile_mcNrCheck_y' name='profile_mcNrCheck' value='y' checked='checked' /><span class='frmLabel1'>" + str_register_mcNrYes + "</span>";
			tmpHtml += "<input type='text' id='profile_mcNr1' style='font-size: 1.8em;padding: 0.4em;margin-left:0.2em;margin-right:0.2em;' size='6' value='" + userprofile["membercard"] + "' />"; 
			tmpHtml += "<input type='text' id='profile_mcNr2' style='font-size: 1.8em;padding: 0.4em;margin-left:0.2em;margin-right:0.2em;' size='2' value='" + userprofile["memberCardOptional"] + "' /></div>";
		}
	}
	tmpHtml += "<p class='frmLabel1'>" + str_profile_privacy + "</p>";
	tmpHtml += "<select class='text' id='profile_privacy'>";
	var tmpPrivateSelected = userprofile["my_visibility"] == "private" ? "selected='selected'" : "";
	var tmpFriendSelected = userprofile["my_visibility"] == "friend" ? "selected='selected'" : "";
	var tmpPublicSelected = userprofile["my_visibility"] == "public" ? "selected='selected'" : "";
	tmpHtml += "<option value='private' " + tmpPrivateSelected + ">" + str_profile_privacy_private + "</option>";
	tmpHtml += "<option value='friend' " + tmpFriendSelected + ">" + str_profile_privacy_friend + "</option>";
	tmpHtml += "<option value='public' " + tmpPublicSelected + ">" + str_profile_privacy_public + "</option>";
	tmpHtml += "</select>";
	tmpHtml += "<br/><br/>";
	tmpHtml += "</form></div>";
	$("#pageContainer").append(tmpHtml);
	initFooter("myProfile_profile", "myProfile_settings", "", "myProfile_profile");
	initHeader("headerNoFilter", str_menu_editProfile);
	headerActions("back", DisplayMyProfile, "save", "submitEditProfile()");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function submitEditProfile()
{
	tmpErrors = "";
	if ($("#profile_firstname").val().length < 2){
		tmpErrors += str_register_firstname + ": " + str_register_error_mintwochars + "<br/>";
	}
	if ($("#profile_lastname").val().length < 2){
		tmpErrors += str_register_lastname + ": " + str_register_error_mintwochars + "<br/>";
	}
	if (setting_mcNeeded) {
		if (!document.getElementsByName("profile_mcNrCheck")[0].checked && !document.getElementsByName("profile_mcNrCheck")[1].checked) {
			tmpErrors += str_register_membercardnr + ": " + str_register_error_haveMC + "<br/>";
		} else if (document.getElementsByName("profile_mcNrCheck")[1].checked) {
			if ($("#profile_mcNr1").val().length != 6 || !($("#profile_mcNr2").val().length == 0 || $("#profile_mcNr2").val().length == 2)) {
					tmpErrors += str_register_membercardnr + ": " + str_register_error_invalidMC + "<br/>";
			}
		}
	}
	if (tmpErrors != "") {
		$("#profileErrors").html(tmpErrors);
		$(document).scrollTop(0);
	} else {
		tracker.trackEvent('Profile', 'editProfile');
		if (setting_mcNeeded){
			if (document.getElementsByName("profile_mcNrCheck")[1].checked) {
				var soc1 = $("#profile_mcNr1").val();
				var soc2 = $("#profile_mcNr2").val();
			} else {
				var soc1 = false;
				var soc2 = false;
			}
		} else {
			var soc1 = false;
			var soc2 = false;
		}
		api_user_profileupdate($("#profile_firstname").val(), $("#profile_lastname").val(), $("#profile_gender").val(), $("#profile_descr").val(), $("#profile_privacy").val(), soc1, soc2, tmpCallBackParams["myProfileCallBackFunc"]);
	}
}

function DisplayEmailSettings()
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	if (!guestLogin) {
		api_user_emailsettings();
		initHeader("headerNoFilter", str_profile_settings);
		headerActions("back", DisplayMyProfile, "save", "saveEmailSettings()");	
	} else {
		goToInAppLoginPage();
		headerActions("back", tmpCallBackParams["myProfileCallBackFunc"]);
	}
	initFooter("myProfile_profile", "myProfile_settings", "", "myProfile_settings");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('profile', 'viewMyEmailSettings');
}

function fillEmailSettings(r, p_tmpAjaxCount)
{
	var arr_emailSettings = new Array("messageteam", "messageprivate", "newsfeedcomment", "friendrequest", "friendupload", "friendaccept", "friendstatus", "friendmessagecomment", "teammessagecomment", "friendavatar", "friendalbumupload", "albumitemcomment", "friendaddedfriend");
	var tmpHtml = "";
	tmpHtml += "<div class='playerLstPosTitle'>" + str_emailsettings_summary + "</div>";
	tmpHtml += "<div class='listItem' onclick='toggle_emailSettings(\"weeklysummary\");'>";
	tmpHtml += "<div class='list_top2' style='margin-left: 10px; margin-right:80px; margin-top: 15px;'>" + str_emailsettings_weekly + "</div>";
	tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;' id='checkboxMark_weeklysummary'>";
	if (r["weeklysummary"] == "true")
		tmpHtml += "<img class='requestActions_img' src='images/v.png'/>";
	tmpHtml += "</div>";
	tmpHtml += "</div>";
	tmpHtml += "<div class='listItem' onclick='toggle_emailSettings(\"dailysummary\");'>";
	tmpHtml += "<div class='list_top2' style='margin-left: 10px; margin-right:80px; margin-top: 15px;'>" + str_emailsettings_daily + "</div>";
	tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;' id='checkboxMark_dailysummary'>";
	if (r["dailysummary"] == "true")
		tmpHtml += "<img class='requestActions_img' src='images/v.png'/>";
	tmpHtml += "</div>";
	tmpHtml += "</div>";
	tmpHtml += "<div class='playerLstPosTitle'>" + str_emailsettings_reminder + "</div>";
	for (var i = 0; i < arr_emailSettings.length; i++){
		tmpHtml += "<div class='listItem' onclick='toggle_emailSettings(\"" + arr_emailSettings[i] + "\");'>";
		tmpHtml += "<div class='list_top2' style='margin-left: 10px; margin-right:80px; margin-top: 15px;'>" + getDynamicVar("str_emailsettings_" + arr_emailSettings[i]) + "</div>";
		tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;' id='checkboxMark_" + arr_emailSettings[i] + "'>";
		if (r[arr_emailSettings[i]] == "true")
			tmpHtml += "<img class='requestActions_img' src='images/v.png'/>";
		tmpHtml += "</div>";
		tmpHtml += "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		tmpCallBackParams["callBackContent"] = $("#pageContainer").html();
	}
}

function toggle_emailSettings(p_type)
{
	if (p_type == "weeklysummary"){
		$("#checkboxMark_weeklysummary").html("<img class='requestActions_img' src='images/v.png'/>");
		$("#checkboxMark_dailysummary").html("");
	} else if (p_type == "dailysummary"){
		$("#checkboxMark_dailysummary").html("<img class='requestActions_img' src='images/v.png'/>");
		$("#checkboxMark_weeklysummary").html("");
	} else {
		if ($("#checkboxMark_" + p_type).html() == "") {
			$("#checkboxMark_" + p_type).html("<img class='requestActions_img' src='images/v.png'/>");
		} else {
			$("#checkboxMark_" + p_type).html("");
		}
	}
}

function saveEmailSettings()
{
	var tmpweeklysummary = $("#checkboxMark_weeklysummary").html() == "" ? "false" : "true";
	var tmpdailysummary = $("#checkboxMark_dailysummary").html() == "" ? "false" : "true";
	var tmpmessageteam = $("#checkboxMark_messageteam").html() == "" ? "false" : "true";
	var tmpmessageprivate = $("#checkboxMark_messageprivate").html() == "" ? "false" : "true";
	var tmpnewsfeedcomment = $("#checkboxMark_newsfeedcomment").html() == "" ? "false" : "true";
	var tmpfriendrequest = $("#checkboxMark_friendrequest").html() == "" ? "false" : "true";
	var tmpfriendupload = $("#checkboxMark_friendupload").html() == "" ? "false" : "true";
	var tmpfriendaccept = $("#checkboxMark_friendaccept").html() == "" ? "false" : "true";
	var tmpfriendstatus = $("#checkboxMark_friendstatus").html() == "" ? "false" : "true";
	var tmpfriendmessagecomment = $("#checkboxMark_friendmessagecomment").html() == "" ? "false" : "true";
	var tmpteammessagecomment = $("#checkboxMark_teammessagecomment").html() == "" ? "false" : "true";
	var tmpfriendavatar = $("#checkboxMark_friendavatar").html() == "" ? "false" : "true";
	var tmpfriendalbumupload = $("#checkboxMark_friendalbumupload").html() == "" ? "false" : "true";
	var tmpalbumitemcomment = $("#checkboxMark_albumitemcomment").html() == "" ? "false" : "true";
	var tmpfriendaddedfriend = $("#checkboxMark_friendaddedfriend").html() == "" ? "false" : "true";
	api_user_updateemailsettings(
		tmpweeklysummary, tmpdailysummary, tmpmessageteam, tmpmessageprivate, tmpnewsfeedcomment, 
		tmpfriendrequest, tmpfriendupload, tmpfriendaccept, tmpfriendstatus, tmpfriendmessagecomment, 
		tmpteammessagecomment, tmpfriendavatar, tmpfriendalbumupload, tmpalbumitemcomment, tmpfriendaddedfriend);
}

function loadUserProfile(p_id, p_type)
{
	if (p_type == "simple") {
		var tmpFunc = tmpCallBackParams["profileLiteCallBackFunc"];
		initFooter("", "", "", "");
	} else {
		var tmpFunc = tmpCallBackParams["profileCallBackFunc"];
		initFooter("profile_profile", "profile_friends", "profile_albums", "profile_profile");
	}
	if(p_id == userprofile["id"]){
		DisplayMyProfile(tmpFunc);
	} else {
		if (p_type == "simple") {
			if (!p_id) 
				p_id = tmpCallBackParams["userProfileLiteId"];
			tmpCallBackParams["userProfileLiteId"] = p_id;
		} else {
			if (!p_id) 
				p_id = tmpCallBackParams["userProfileId"];
			tmpCallBackParams["userProfileId"] = p_id;
		}
		$("#pageContainer").html("");
		//showLoader("pageContainer");
		$(document).unbind("scroll");
		api_user_profile(p_id, "user");
		initHeader("headerNoFilter", str_footer_profile_profile);
		headerActions("back", tmpFunc);
		$("#contentPage").height(window.innerHeight);
		$("#headerSpacer2").height($("#headerContainer2").height());
		$("#footerSpacer2").height($("#contentFooter").height());
		window.menu.clear();
		window.menu.hideSoftkeys();
		tracker.trackEvent('profile', 'viewUserProfile');
	}
}

function fillUserProfile(r)
{
	var tmpHtml = "";
	tmpHtml += "<div class='profileContainer'>";
	tmpHtml += "<div class='profileDetailImg'><img src='" + api_user_avatar(r["avatarid"], 100, 100, 0) + "'/></div>";
	tmpHtml += "<div class='profileDetailTeamAvatar'><img src='" + api_user_avatar(r["team_avatarid"], 100, 100, 0) + "'/></div>";
	tmpHtml += "<div class='profileDetailName'>";
	tmpHtml += r["nick"] + "<br/>";
	tmpHtml += r["lastname"] + " ";
	tmpHtml += r["firstname"] + "<br/>";
	tmpHtml += str_profile_fanOf + ": " + r["teamname"];
	tmpHtml += "</div>";
	tmpHtml += "<div class='profileDetailLine'>";
	if (r["gender"]) {
		var tmpGenderText = r["gender"].toLowerCase() == "" ? "" : getDynamicVar("str_profile_" + r["gender"].toLowerCase());
		tmpHtml += "<div class='profileDetailLabel'>" + str_profile_gender + "</div><div class='profileDetailValue'>" + tmpGenderText + "</div>";
	}
	tmpHtml += "<div class='profileDetailLabel'>" + str_profile_language + "</div><div class='profileDetailValue'>" + r["language"] + "</div>";
	if (r["status"]) tmpHtml += "<div class='profileDetailLabel'>" + str_profile_status + "</div><div class='profileDetailValue'>" + r["status"] + "</div>";
	if (r["description"]) tmpHtml += "<div class='profileDetailLabel'>" + str_profile_description + "</div><div class='profileDetailValue'>" + r["description"] + "</div>";
	
	if (r["isfriend"] == "false" && !guestLogin){
		if (r["request"] == "received") {
			tmpHtml += "<div class='profileAddButton'><div onclick='handleFriendRequest(" + r["id"] + ", " + '"add"' + ", " + '"friends"' + ");'><img src='images/v.png' /><br/>" + str_profile_accept + "</div>";
			tmpHtml += "<br/><div onclick='handleFriendRequest(" + r["id"] + ", " + '"delete"' + ", " + '"incoming"' + ");'><img src='images/x.png' /><br/>" + str_profile_deny + "</div>";
		} else if (r["request"] == "sent") {
			tmpHtml += "<div class='profileAddButton'><div onclick='handleFriendRequest(" + r["id"] + ", " + '"delete"' + ", " + '"outgoing"' + ");'><img src='images/x.png' /><br/>" + str_profile_abortReq + "</div>";
		} else {
			tmpHtml += "<div class='profileAddButton' onclick='handleFriendRequest(" + r["id"] + ", " + '"add"' + ", " + '"outgoing"' + ");'><img src='images/+.png' /><br/>" + str_profile_add;
		}
	}
	tmpHtml += "</div></div>";
	$("#pageContainer").html(tmpHtml);
}

function loadUserFriendList(p_id)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_id) p_id = tmpCallBackParams["userProfileId"];
	tmpCallBackParams["userProfileId"] = p_id;
	tmpCallBackParams["profileLiteCallBackFunc"] = loadUserFriendList;
	if (!tmpCallBackParams["profileFriendsPageNr"] || tmpCallBackParams["profileFriendsPageNr"] == "")
		tmpCallBackParams["profileFriendsPageNr"] = 0;
	if (!tmpCallBackParams["callBackProfileFriends"] || tmpCallBackParams["callBackProfileFriends"] == "") {
		api_user_friendlist(p_id, "ALL", 0, 15, fillUserFriendLst);
	} else {
		hideLoader("pageContainer");
		$("#pageContainer").html(tmpCallBackParams["callBackProfileFriends"]);
		$(document).bind("scroll", function()
		{
			if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
				showLoader("pageContainer");
				tmpCallBackParams["profileFriendsPageNr"] += 1;
				api_user_friendlist(p_id, "ALL", tmpCallBackParams["profileFriendsPageNr"], 15, fillUserFriendLst);
				$(document).unbind("scroll");
			}
		});
	}
	initFooter("profile_profile", "profile_friends", "profile_albums", "profile_friends");
	initHeader("headerNoFilter", str_footer_profile_friends);
	headerActions("back", tmpCallBackParams["profileCallBackFunc"]);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('profile', 'viewUserFriendlist');
}

function fillUserFriendLst(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	for (i=0; i<r.length; i++){
		if (r[i]["id"] != userprofile["id"]) {
			tmpHtml += "<div class='listItem'>";
			tmpHtml += "<div class='list_img' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"simple"' + ");'><img src='" + api_user_avatar(r[i]["avatarid"], 50, 50, 0) + "'/></div>";
			tmpHtml += "<div class='list_top2' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"simple"' + ");'>" +r[i]["message"] + "</div>";
			tmpHtml += "<div class='list_bottom2' onclick='loadUserProfile(" + r[i]["id"] + ", " + '"simple"' + ");'>" + r[i]["nick"] + "</div>";
			if (r[i]["isfriend"] == "false" && r[i]["request"] == "") {
				tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;'>";
				if (!guestLogin)
					tmpHtml += "<img class='requestActions_img' src='images/+.png' onclick='handleFriendRequest(" + r[i]["id"] + ", " + '"add"' + ", " + '"outgoing"' + ");'/>";
				tmpHtml += "<img class='requestActions_img' src='" + api_user_avatar(r[i]["team_avatarid"], 30, 30, 0) + "'/>";
				tmpHtml += "</div>";
			} else {
				if (r[i]["online"] == "true") {
					tmpHtml += "<div class='list_time1'><img src='images/online.png'/></div>";
				}
				else {
					tmpHtml += "<div class='list_time2'>" + r[i]["last_online"] + "</div>";
				}
			}
			tmpHtml += "</div>";
		}
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["profileFriendsPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["profileFriendsPageNr"] += 1;
					api_user_friendlist(tmpCallBackParams["userProfileId"], "ALL", tmpCallBackParams["profileFriendsPageNr"], 15, fillUserFriendLst);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackProfileFriends"] = $("#pageContainer").html();
	}
}

function loadUserMediaAlbumList(p_id)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	tmpCallBackParams["ownMediaFiles"] = false;
	if (tmpCallBackParams["callBackAlbumContent"] && tmpCallBackParams["callBackAlbumContent"] != "")
		tmpCallBackParams["callBackAlbumContent"] = "";
	if (tmpCallBackParams["albumFilesPageNr"] && tmpCallBackParams["albumFilesPageNr"] != "")
		tmpCallBackParams["albumFilesPageNr"] = "";
	if (!p_id) p_id = tmpCallBackParams["userProfileId"];
	tmpCallBackParams["userProfileId"] = p_id;
	tmpCallBackParams["albumCallBackFunc"] = loadUserMediaAlbumList;
	tmpCallBackParams["albumid"] = "";
	if (!tmpCallBackParams["albumListPageNr"] || tmpCallBackParams["albumListPageNr"] == "")
		tmpCallBackParams["albumListPageNr"] = 0;
	if (!guestLogin) {
		if (!tmpCallBackParams["callBackAlbumList"] || tmpCallBackParams["callBackAlbumList"] == ""){
			api_media_albumlist(p_id, false, 0, 15, fillUserMediaAlbumList);
		} else {
			hideLoader("pageContainer");
			$("#pageContainer").html(tmpCallBackParams["callBackAlbumList"]);
			$(document).bind("scroll", function()
			{
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["albumListPageNr"] += 1;
					api_media_albumlist(p_id, false, tmpCallBackParams["albumListPageNr"], 15, fillUserMediaAlbumList);
					$(document).unbind("scroll");
				}
			});
		}	
		initHeader("headerNoFilter", str_footer_profile_albums);		
	} else {
		goToInAppLoginPage();
	}
	initFooter("profile_profile", "profile_friends", "profile_albums", "profile_albums");
	headerActions("back", tmpCallBackParams["profileCallBackFunc"]);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
	tracker.trackEvent('profile', 'viewUserAlbumlist');
}

function fillUserMediaAlbumList(r, p_itemCount, p_pageCount, p_tmpAjaxCount)
{
	var tmpHtml = "";
	if (p_itemCount > 0) {
		for (i = 0; i < r.length; i++) {
			var tmpImage = "";
			if (r[i]["thumburl"] != "") {
				tmpImage = api_media_thumb(r[i]["thumburl"], 50, 50, 0);
			} else {
				tmpImage = "images/album_defaultThumb.png";
			}
			tmpHtml += "<div class='listItem' onclick='loadAlbumFileList(" + r[i]["id"] + ");'>";
			tmpHtml += "<div class='list_img' style='background: url(" + tmpImage + ") no-repeat center;'>&nbsp;</div>";
			var tmpTypeText = r[i]["name"].length > 20 ? r[i]["name"].substr(0, 20) + "..." : formatStringLen(r[i]["name"], 40);
			tmpHtml += "<div class='list_middle'>" + tmpTypeText + "</div>";
			tmpHtml += "<div class='list_time2'>" + r[i]["filecount"] + " " + str_media_files + "</div>";
			tmpHtml += "</div>";
		}
	} else {
		tmpHtml += "<div class='emptyListMsg'>" + str_error_noAlbums + "</div>";
	}
	if (ajaxCallCount == p_tmpAjaxCount) {
		hideLoader("pageContainer");
		$("#pageContainer").append(tmpHtml);
		if (tmpCallBackParams["albumListPageNr"] < p_pageCount && debug_loadEvent) {
			$(document).bind("scroll", function(){
				if (document.getElementById("footerSpacer2").offsetTop - document.body.scrollTop == document.getElementById("contentFooter").offsetTop) {
					showLoader("pageContainer");
					tmpCallBackParams["albumListPageNr"] += 1;
					api_media_albumlist(p_id, false, tmpCallBackParams["albumListPageNr"], 15, fillUserMediaAlbumList);
					$(document).unbind("scroll");
				}
			});
		}
		tmpCallBackParams["callBackAlbumList"] = $("#pageContainer").html();
	}
}

function DisplayInviteFriend(p_type)
{
	$("#pageContainer").html("");
	//showLoader("pageContainer");
	$(document).unbind("scroll");
	if (!p_type) p_type = tmpCallBackParams["callBackInviteType"];
	tmpCallBackParams["callBackInviteType"] = p_type;
	if (!tmpCallBackParams["callBackInviteContactList"])
		tmpCallBackParams["callBackInviteContactList"] = new Array();
	if (p_type == "email"){
		var tmpHtml = "<div id='inviteErrors' class='errors'></div>";
		tmpHtml += "<div style='margin-top: 10px; text-align: center; width: 100%'><form action='javascript:submitInvite(" + '"email"' + ");' i);' id='frm_invite'>";
		tmpHtml += "<input type='text' id='invite_email' class='textInvite' value='" + str_invite_emailValue + "' /><br/>";
		tmpHtml += "<textarea id='invite_msg' class='textareaBox' rows='6'>" + str_invite_msgValue + "</textarea><br/><br/>";
		tmpHtml += "<input type='submit' class='button' id='invite_submit' value='" + str_invite_invite + "' />";
		tmpHtml += "</form></div>";
		$("#pageContainer").html(tmpHtml);
	} else {
		var tmpHtml = "";
		var tmpFooter = "";
		var tmpContactCount = 0;
		for (i in tmpCallBackParams["callBackInviteContactList"]){
			if (tmpCallBackParams["callBackInviteContactList"][i] != undefined && tmpCallBackParams["callBackInviteContactList"][i] != ""){
				var contactEntry = getContact(tmpCallBackParams["callBackInviteContactList"][i]);
    			if (contactEntry != null) {
					tmpHtml += "<div id='contactItem_" + tmpCallBackParams["callBackInviteContactList"][i] + "' class='listItem' onclick='deleteSelectedContact(\"" + tmpCallBackParams["callBackInviteContactList"][i] + "\");'>";
					tmpHtml += "<div class='list_img'><img src='images/x.png' /></div>";
					if (contactEntry.name != null) {
						tmpHtml += "<div class='list_top2'>" + (contactEntry.name.first == null ? "" : (contactEntry.name.first + "&nbsp;")) + (contactEntry.name.last == null ? "" : contactEntry.name.last) + "</div>";
					} else {
						tmpHtml += "<div class='list_top2'></div>";
					}
					tmpHtml += "<div class='list_bottom2'>" + contactEntry.tel.mobile + "</div>";
					tmpHtml += "</div>";
					tmpContactCount++;
				}
			}
		}
		if (tmpContactCount == 0) {
			tmpHtml += "<div class='emptyListMsg'>" + str_error_noContacts + "</div>";
			tmpFooter += "<div class='footerAction'><div class='listActionItem' onclick='loadSelectContact();'>";
			tmpFooter += "<div class='listAction_img' style='background: url(images/+.png) no-repeat center;'></div>";
			tmpFooter += "<div class='listAction_middle'>" + str_invite_selContact + "</div>";
			tmpFooter += "</div></div>";
		} else {
			tmpFooter += "<div class='footerAction'><div class='listActionItem' onclick='loadSelectContact();'>";
			tmpFooter += "<div class='listAction_img' style='background: url(images/+.png) no-repeat center;'></div>";
			tmpFooter += "<div class='listAction_middle'>" + str_invite_selContact + "</div>";
			tmpFooter += "</div>";
			tmpFooter += "<input type='submit' class='button' id='invite_submit' value='" + str_invite_invite + "' onclick='javascript:submitInvite(" + '"sms"' + ");' />";
			tmpFooter += "</div>";
		}
		tmpHtml += "</form></div>";
		$("#pageContainer").html(tmpHtml);
	}
	initFooter("invite_sms", "invite_email", "", "invite_" + p_type);
	$("#contentFooter").prepend(tmpFooter);
	initHeader("headerNoFilter", str_invite_inviteFriend);
	headerActions("back", goToDashboard);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function loadSelectContact(){
	$("#pageContainer").html("");
	//showLoader("pageContainer");
	$(document).unbind("scroll");
	try {
	    initContactService();
        listContacts();
	}
	catch(e) {
	    alert(e);
	}
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_invite_chooseContact);
	headerActions("back", DisplayInviteFriend);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function showContact(p_contact){
    var tmpHtml = "";
	
	tmpHtml += "<div id='contactItem_" + p_contact.id + "' class='listItem' onclick='markContact(\"" + p_contact.id + "\");'>";
	if (tmpCallBackParams["callBackInviteContactList"][p_contact.id] != undefined && tmpCallBackParams["callBackInviteContactList"][p_contact.id] != ""){
		tmpHtml += "<div class='list_img'><img src='images/v.png' /></div>";
	} else {
		tmpHtml += "<div class='list_img'></div>";	
	}
	if (p_contact.name != null){ 
		tmpHtml += "<div class='list_top2'>" + (p_contact.name.first == null ? "" : (p_contact.name.first + "&nbsp;")) + (p_contact.name.last == null ? "" : p_contact.name.last) + "</div>";
	} else {
		tmpHtml += "<div class='list_top2'></div>";
	}
	tmpHtml += "<div class='list_bottom2'>" + p_contact.tel.mobile + "</div>";
	tmpHtml += "</div>";
	
	return tmpHtml;
}

function markContact(p_id)
{
	if (tmpCallBackParams["callBackInviteContactList"][p_id] != undefined && tmpCallBackParams["callBackInviteContactList"][p_id] != "") {
		tmpCallBackParams["callBackInviteContactList"][p_id] = "";
		$("#contactItem_" + p_id).find(".list_img").html("");
	} else {
		tmpCallBackParams["callBackInviteContactList"][p_id] = p_id;
		$("#contactItem_" + p_id).find(".list_img").html("<img src='images/v.png' />");
	}
}

function deleteSelectedContact(p_id)
{
	var tmpRecordCheck = 0;
	$("#contactItem_" + p_id).remove();
	tmpCallBackParams["callBackInviteContactList"][p_id] = "";
	for (i in tmpCallBackParams["callBackInviteContactList"]) {
		if (tmpCallBackParams["callBackInviteContactList"][i] != undefined && tmpCallBackParams["callBackInviteContactList"][i] != "") {
			tmpRecordCheck = 1;
		}
	}
	if (tmpRecordCheck != 1){
		//$("#pageContainer").html("<div class='emptyListMsg'>" + str_error_noContacts + "</div>");
		DisplayInviteFriend("sms");
	}
}

function submitInvite(p_type)
{
	tmpErrors = "";
	if (p_type == "email") {
		if ($("#invite_email").val() == "" || $("#invite_email").val() == str_invite_emailValue || !checkEmail($("#invite_email").val())) {
			tmpErrors = str_invite_error_invalidEmail + "<br/>";
		}
		if (tmpErrors != "") {
			$("#inviteErrors").html(tmpErrors);
		} else {
			api_user_invitefriend($("#invite_email").val(), $("#invite_msg").val());
			tracker.trackEvent('invite', 'inviteFriend');
		}
	} else if (p_type == "sms") {
		var tmpRecipients = new Array();
		var tmpMsg = "";
		for (i in tmpCallBackParams["callBackInviteContactList"]) {
			if (tmpCallBackParams["callBackInviteContactList"][i] != undefined && tmpCallBackParams["callBackInviteContactList"][i] != "") {
				tmpRecipients[tmpRecipients.length] = $("#contactItem_" + tmpCallBackParams["callBackInviteContactList"][i]).find(".list_bottom2").html();
			}
		}
		tmpMsg = str_invite_smsText.replace("%%landing_url%%", setting_landingpage_url);
		initMessageService();
		sendSMS(tmpRecipients, tmpMsg);
		api_user_invitefriendviasms(tmpRecipients);
		tracker.trackEvent('invite', 'inviteFriend');
	}
}

function handleInviteResult(p_errors, r)
{
	if (p_errors == ""){
		var tmpHtml = "";
		tmpHtml += "<div class='listItem'>";
		tmpHtml += "<div class='list_img' onclick='loadUserProfile(" + r["id"] + ", " + '"simple"' + ");'><img src='" + api_user_avatar(r["avatarid"], 50, 50, 0) + "'/></div>";
		tmpHtml += "<div class='list_top2' onclick='loadUserProfile(" + r["id"] + ", " + '"simple"' + ");'>" + r["nick"] + "</div>";
		tmpHtml += "<div class='list_bottom2' onclick='loadUserProfile(" + r["id"] + ", " + '"simple"' + ");'>" + r["firstname"] + " " + r[i]["lastname"] + "</div>";
		tmpHtml += "<div class='list_reqActions' style='margin-top: 15px;'>";
		if (r["isfriend"] == "false" && r["request"] == "") {
			tmpHtml += "<img class='requestActions_img' src='images/+.png' onclick='handleFriendRequest(" + r["id"] + ", " + '"add"' + ", " + '"outgoing"' + ");'/>";
			tmpHtml += "<img class='requestActions_img' src='" + api_user_avatar(r["teamavatar"], 30, 30, 0) + "'/>";
		} else {
			tmpHtml += "<img class='requestActions_img' src='" + api_user_avatar(r["teamavatar"], 30, 30, 0) + "'/>";
		}
		tmpHtml += "</div>";
		tmpHtml += "</div>";
		$("#inviteErrors").html(str_invite_success);
		$("#inviteErrors").append(tmpHtml);
		$("#invite_email").val(str_invite_emailValue);
		$("#invite_msg").val(str_invite_msgValue);
	} else {
		$("#inviteErrors").html(p_errors);
	}
}

function txtMakeEmpty(p_el, p_str)
{
	$("#" + p_el).val("");
}

function checkEmail(p_email) {
	var filter = /^([a-zA-Z0-9_.-])+@(([a-zA-Z0-9-])+.)+([a-zA-Z0-9]{2,4})+$/;
	if (!filter.test(p_email)) {
		return false;
	} else {
		return true;
	}
}

function DisplayUpdatePage()
{
	$("#pageContainer").html("");
	$(document).unbind("scroll");
	api_update_checkUpdate("updateVersion");
	initFooter("", "", "", "");
	initHeader("headerNoFilter", str_update_update);
	headerActions("back", goToDashboard);
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function showCheckUpdateResult(r, p_versionNr)
{
	if (r['appversion'] == p_versionNr){
		var tmpHtml = "<div class='emptyListMsg'><div style='line-height: 50px; padding: 20px;'>" + str_update_currentVersion + p_versionNr + "</div>";
		tmpHtml += "<div style='line-height: 50px; padding: 20px;'>" + str_update_noUpdate + "</div>";
		tmpHtml += "</div>";
		$("#pageContainer").html(tmpHtml);
	} else {
		var tmpVerUpd = r['appversion'].split('.');
		var tmpVerOwn = p_versionNr.split('.');
		var updateNeeded = false;
		for (var i=0; i<3; i++){
			if (tmpVerOwn[i] > tmpVerUpd[i]) break;
			if (tmpVerOwn[i] < tmpVerUpd[i]){
				updateNeeded = true;
				break;
			}
		}
		if (updateNeeded){
			var tmpHtml = "<div class='emptyListMsg'><div style='line-height: 50px; padding: 20px;'>" + str_update_currentVersion + p_versionNr + "</div>";
			tmpHtml += "<div style='line-height: 50px; padding: 20px;'>" + str_update_updateNewVersion + "</div>";
			tmpHtml += "<input style='font-size: 1em;' type='submit' class='button' id='update_app' value='" + str_update_update + "' onclick='goToAppStore(" + '"' + r['updatelink'] + '"' + ");' />";
			tmpHtml += "</div>";
			$("#pageContainer").html(tmpHtml);
		} else {
			var tmpHtml = "<div class='emptyListMsg'><div style='line-height: 50px; padding: 20px;'>" + str_update_currentVersion + p_versionNr + "</div>";
			tmpHtml += "<div style='line-height: 50px; padding: 20px;'>" + str_update_noUpdate + "</div>";
			tmpHtml += "</div>";
			$("#pageContainer").html(tmpHtml);
		}
	}
}

function goToAppStore(p_url)
{
	widget.openURL(p_url);
}

function menuEventHandler(p_id)
{
	switch(p_id){
		case 1:
			handleLogout();
			break;
		case 2:
			loadMatchCommentForm(tmpCallBackParams["matchId"]);
			break;
		case 3:
			loadNewsCommentForm(tmpCallBackParams["newsItemId"]);
			break;
		case 4:
			loadMsgCommentForm(tmpCallBackParams["messageId"]);
			break;
		case 5:
			loadNewMsgForm(true);
			break;
		case 6:
			loadAlbumFileCommentForm(tmpCallBackParams["fileId"]);
			break;
		case 7:
			loadNewAlbumForm();
			break;
		case 8:
			loadNewAlbumFileForm(true);
			break;
		case 9:
			loadSupportScreen();
			break;
		case 10:
			loadEditMyProfileForm();
			break;
		case 11:
			api_user_closeallnotification();
			loadNotifications(false);
			break;
		case 2001:
			tmpCallBackParams = new Array();
			loadNotifications(false);
			$("#filterHeader").html(str_filter_notifi_all);
			break;
		case 2002:
			tmpCallBackParams = new Array();
			loadNotifications("3,8,9");
			$("#filterHeader").html(str_filter_notifi_comments);
			break;
		case 2003:
			tmpCallBackParams = new Array();
			loadNotifications("7,10");
			$("#filterHeader").html(str_filter_notifi_statusupd);
			break;
		case 2004:
			tmpCallBackParams = new Array();
			loadHomeNews("team");
			$("#filterHeader").html(str_filter_news_team);
			break;
		case 2005:
			tmpCallBackParams = new Array();
			loadHomeNews("league");
			$("#filterHeader").html(str_filter_news_league);
			break;
		case 2006:
			tmpCallBackParams = new Array();
			loadMyTeamMatchList();
			$("#filterHeader").html(str_filter_myTeam_matches);
			break;
		case 2007:
			tmpCallBackParams = new Array();
			loadMyTeamPlayerList();
			$("#filterHeader").html(str_filter_myTeam_players);
			break;
		case 2008:
			tmpCallBackParams = new Array();
			loadMyTeamTable();
			break;
		case 2009:
			tmpCallBackParams = new Array();
			loadMyTeamRounds(false);
			break;
		case 2010:
			tmpCallBackParams = new Array();
			loadMyTeamCalendar();
			break;
		case 2011:
			tmpCallBackParams = new Array();
			loadMyTeamNews();
			break;
		case 2012:
			tmpCallBackParams = new Array();
			loadMyTeamTeamMsg();
			break;
		case 2013:
			tmpCallBackParams = new Array();
			loadMyFriendList("ALL");
			$("#filterHeader").html(str_filter_friends_all);
			break;
		case 2014:
			tmpCallBackParams = new Array();
			loadMyFriendList("ONLINE");
			$("#filterHeader").html(str_filter_friends_online);
			break;
		case 2015:
			tmpCallBackParams = new Array();
			loadRequestList("received");
			$("#filterHeader").html(str_filter_requests_in);
			break;
		case 2016:
			tmpCallBackParams = new Array();
			loadRequestList("sent");
			$("#filterHeader").html(str_filter_requests_out);
			break;
		case 2017:
			tmpCallBackParams["callBackNewsComents"] = "";
			loadNewsItemCommentList(tmpCallBackParams["newsItemId"], "all");
			$("#filterHeader").html(str_filter_comments_all);
			break;
		case 2018:
			tmpCallBackParams["callBackNewsComents"] = "";
			loadNewsItemCommentList(tmpCallBackParams["newsItemId"], "myFriends");
			$("#filterHeader").html(str_filter_comments_myFriends);
			break;
		case 2019:
			tmpCallBackParams["callBackNewsComents"] = "";
			loadNewsItemCommentList(tmpCallBackParams["newsItemId"], "myTeam");
			$("#filterHeader").html(str_filter_comments_myTeam);
			break;
		case 2020:
			tmpCallBackParams["callBackNewsComents"] = "";
			loadNewsItemCommentList(tmpCallBackParams["newsItemId"], "myLang");
			$("#filterHeader").html(str_filter_comments_myLang);
			break;
		case 2021:
			tmpCallBackParams["callBackMatchComments"] = "";
			loadMatchComments(tmpCallBackParams["matchId"], "all");
			$("#filterHeader").html(str_filter_comments_all);
			break;
		case 2022:
			tmpCallBackParams["callBackMatchComments"] = "";
			loadMatchComments(tmpCallBackParams["matchId"], "myFriends");
			$("#filterHeader").html(str_filter_comments_myFriends);
			break;
		case 2023:
			tmpCallBackParams["callBackMatchComments"] = "";
			loadMatchComments(tmpCallBackParams["matchId"], "myTeam");
			$("#filterHeader").html(str_filter_comments_myTeam);
			break;
		case 2024:
			tmpCallBackParams["callBackMatchComments"] = "";
			loadMatchComments(tmpCallBackParams["matchId"], "myLang");
			$("#filterHeader").html(str_filter_comments_myLang);
			break;
		case 2025:
			tmpCallBackParams["callBackMessageComments"] = "";
			loadMessageCommentList(tmpCallBackParams["messageId"], "all");
			$("#filterHeader").html(str_filter_comments_all);
			break;
		case 2026:
			tmpCallBackParams["callBackMessageComments"] = "";
			loadMessageCommentList(tmpCallBackParams["messageId"], "myFriends");
			$("#filterHeader").html(str_filter_comments_myFriends);
			break;
		case 2027:
			tmpCallBackParams["callBackMessageComments"] = "";
			loadMessageCommentList(tmpCallBackParams["messageId"], "myTeam");
			$("#filterHeader").html(str_filter_comments_myTeam);
			break;
		case 2028:
			tmpCallBackParams["callBackMessageComments"] = "";
			loadMessageCommentList(tmpCallBackParams["messageId"], "myLang");
			$("#filterHeader").html(str_filter_comments_myLang);
			break;
		case 2029:
			tmpCallBackParams["callBackFileComments"] = "";
			loadAlbumFileCommentList(tmpCallBackParams["fileId"], "all");
			$("#filterHeader").html(str_filter_comments_all);
			break;
		case 2030:
			tmpCallBackParams["callBackFileComments"] = "";
			loadAlbumFileCommentList(tmpCallBackParams["fileId"], "myFriends");
			$("#filterHeader").html(str_filter_comments_myFriends);
			break;
		case 2031:
			tmpCallBackParams["callBackFileComments"] = "";
			loadAlbumFileCommentList(tmpCallBackParams["fileId"], "myTeam");
			$("#filterHeader").html(str_filter_comments_myTeam);
			break;
		case 2032:
			tmpCallBackParams["callBackFileComments"] = "";
			loadAlbumFileCommentList(tmpCallBackParams["fileId"], "myLang");
			$("#filterHeader").html(str_filter_comments_myLang);
			break;
		case 2033:
			tmpCallBackParams = new Array();
			loadMyFriendList("SAME_TEAM");
			$("#filterHeader").html(str_filter_friends_myteam);
			break;
	}
}


function handleExit()
{
	uid = "";
	sid = "";
	window.close();
}

function handleLogout(){
	api_auth_logout();
	widget.setPreferenceForKey("", "loginUsername");
	widget.setPreferenceForKey("", "loginPassword");
	//widget.setPreferenceForKey("", "uid");
	//widget.setPreferenceForKey("", "sid");
	uid = "";
	sid = "";
	init();
}
/*
function handleScoresCalendarMenu(id)
{
	switch(id){
		default:
			$("#pageContainer").html("");
			showLoader("pageContainer");
			$(document).unbind("scroll");
			tmpCallBackParams["contentPageNrMin"] = undefined;
			tmpCallBackParams["contentPageNrMax"] = undefined;
			tmpCallBackParams["firstInList"] = "";
			tmpCallBackParams["firstInList"] = "";
			tmpCallBackParams["calendarTeamid"] = tmpCallBackParams["calendarTeamLst"][id];
			api_result_matchlist(tmpCallBackParams["calendarTeamid"], tmpCallBackParams["calendarLeagueid"], "false", 15, fillScoresCalendar);
			break;
	}
}
*/
// Called when onresize event is received  you can also
// call this from the init() function manually
function handleResize() {
	var prevResolution = currentResolution;
	detectResolution();
	if (currentResolution == RESOLUTION_HOME_SCREEN) {
		hideAllViews();
		initMiniView();
	} else {
		if (prevResolution == RESOLUTION_HOME_SCREEN){
			tracker = new GoogleAnalytics(setting_gaName, setting_gaId);
			hideAllViews();
			clearInterval(timerMV);
			timerMV = null;
			if (uid != "") {
				if (setting_ads)
					api_ads_getBanners("dashboardFooterAd", true);
				api_update_checkUpdate("quickCheck");
				goToDashboard();
			}
			else {
				if ((!widget.preferenceForKey("loginUsername") || widget.preferenceForKey("loginUsername") == "") && (!widget.preferenceForKey("loginPassword") || widget.preferenceForKey("loginPassword") == "")) {
					goToLoginPage();
				}
				else {
					if (setting_ads)
						api_ads_getBanners("dashboardFooterAd", true);
					api_update_checkUpdate("quickCheck");
					api_auth_login(widget.preferenceForKey("loginUsername"), widget.preferenceForKey("loginPassword"), true, goToDashboard, goToLoginPage);
				}
			}
		}
	}
}

// Called from handleResize()
function detectResolution() {
	var screenWidth = screen.width;
	var screenHeight = screen.height;
	var windowWidth = window.innerWidth;
	var windowHeight = window.innerHeight;
	// Use 75% of max resolution as the threshold for home screen
	if (windowHeight < (0.75 * screenHeight) || windowWidth < (0.75 * screenWidth))
	{
		currentResolution = RESOLUTION_HOME_SCREEN;
	} else if (screenWidth == 240 && screenHeight == 320) {
		currentResolution = RESOLUTION_QVGA_PORTRAIT;
	} else if (screenWidth == 320 && screenHeight == 240) {
		currentResolution = RESOLUTION_QVGA_LANDSCAPE;
	} else if (screenWidth == 360 && screenHeight == 640) {
		currentResolution = RESOLUTION_NHD_PORTRAIT;
	} else if (screenWidth == 640 && screenHeight == 360) {
		currentResolution = RESOLUTION_NHD_PORTRAIT;
	}
}

function showLoader(p_el, p_pos)
{
	try {
		if (document.getElementById("loading_indicator") == null) {
			var loader = document.createElement('div');
			loader.id = 'loading_indicator';
			loader.setAttribute("class", "listLoading");
			var loaderImage = document.createElement('img');
			loaderImage.src = 'images/loading.gif';
			loader.appendChild(loaderImage);
			loader.appendChild(document.createTextNode(str_loading));
			if (p_pos == "top"){
				$("#" + p_el).prepend(loader);
			} else {
				$("#" + p_el).append(loader);
			}
		}
	}
	catch(e){}
}

function hideLoader(p_el)
{
	try {
		var tmpEl = document.getElementById("loading_indicator");
		if(tmpEl != null){
			document.getElementById(p_el).removeChild(tmpEl);
		}
	}
	catch(e){}
}

function formatStringLen(p_str, p_lenAllowed){
	var tmpArray = p_str.split(" ");
	var tmpContent = "";
	for (var j = 0; j < tmpArray.length; j++) {
		if (tmpArray[j].length > p_lenAllowed) {
			var tmpLen = 0;
			while(tmpLen < tmpArray[j].length){
				tmpContent += tmpArray[j].substr(tmpLen, p_lenAllowed) + " ";
				tmpLen += p_lenAllowed; 
			}
		} else {
			tmpContent += tmpArray[j] + " ";
		}
	}
	return tmpContent;
}

function loadLocalImageList(p_func)
{
	$("#pageContainer").html("");
	showLoader("pageContainer");
	$(document).unbind("scroll");
	initHeader("headerNoFilter", str_localFiles_choose);
	headerActions("back", tmpCallBackParams["localFilesCallBackFunc"]);
	try {
		var mms = APIBridge.getMediaManagementService();
		var criteria = {
			sort: {
				key: "FileDate",
				order: "Descending"
			},
			Type: "FileInfo",
			Filter: {
				FileType: "Image"
			}
		};
		$("#pageContainer").append("<div id='localFileContainer' class='albumfilesContainer'></div>");
		mms.GetList(criteria, function(transId, eventCode, result){
			if (hasError(result)) {
				if (result.ErrorCode == 1000){
					if (p_func == "selectImage_avatar_handle"){
						loadError_noApiBridge(loadSelectImage_avatar);
					} else if (p_func == "selectImage_newMsg_handle"){
						loadError_noApiBridge(loadSelectImage_newMsg);
					} else if (p_func == "selectImage_albumfile_handle"){
						loadError_noApiBridge(loadSelectImage_albumFile);
					}
				}
			} else {
				var p_arrFiles = new Array();
				var tmpCount = 0;
				while (item = result.ReturnValue.getNext()) {
					p_arrFiles[tmpCount] = new Array();
					p_arrFiles[tmpCount]["path"] = item.FileNameAndPath;
					p_arrFiles[tmpCount]["name"] = item.FileName;
					tmpCount++;
				}
				fillLocalImageList(p_arrFiles, p_func);
			}
		});
	} catch(e){}
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function fillLocalImageList(p_files, p_func)
{
	try {
		var tmpEl = document.createElement("div");
		tmpEl.setAttribute("class", "albumfilesThumb");
		tmpEl.setAttribute("style", "background: url(images/x.png) no-repeat center");
		tmpEl.setAttribute("onclick",  p_func + "(-1);");
		$("#localFileContainer").append(tmpEl);
		tmpCallBackParams["arrFiles"] = p_files;
		for (var i=0; i<p_files.length; i++){
			APIBridge.getThumbnail(p_files[i]["path"], function(src)
			{
 				var tmpEl = document.createElement("div");
				tmpEl.setAttribute("class", "albumfilesThumb");
				tmpEl.setAttribute("style", "background: url(" + src + ") no-repeat center");
				tmpEl.setAttribute("onclick", p_func + "(" + i + ");");
				$("#localFileContainer").append(tmpEl);
 			}, function(req)
			{
 				alert("ERROR "+req.status);
 			});
		}
		hideLoader("pageContainer");
	} catch(e){alert(e);}
}

function loadTakeNewImage(p_type)
{
	APIBridge.newFileService(
		APIBridge.NewFileType.Image,
		function(src) {
			if(p_type == "avatar"){
				takeNewImage_avatar_handle(src);
			} else if(p_type == "newMsg"){
				takeNewImage_newMsg_handle(src);
			} else if (p_type == "album"){
				takeNewImage_albumFile_handle(src);
			}
		},
		function(res) {
			if(p_type == "avatar"){
				p_func = loadSelectImage_avatar;
			} else if(p_type == "newMsg"){
				p_func = loadSelectImage_newMsg;
			} else if (p_type == "album"){
				p_func = loadSelectImage_albumFile;
			}
			loadError_noApiBridge(p_func);
		}
	);
}

function hasError(result){
	if (result.ErrorCode !== 0) {
		return true;
	}
	return false;
}

function loadError_serverNotAvailable()
{
	if (currentResolution == RESOLUTION_HOME_SCREEN) {
		hideAllViews();
		var tmpHtml = "<div class='miniviewMessage'>" + str_error_serverNA_descr + "</div>";
		$("#mini_content").html(tmpHtml);
		$("#mini_view").show();
	} else {
		hideAllViews();
		$("#contentPage").show();
		$("body").removeClass();
		$("body").addClass("appBackground2");
		$("#pageContainer").html("<div class='emptyListMsg'><div style='line-height: 50px; padding: 20px;'>" + str_error_serverNA_descr + "</div></div>");
		$(document).unbind("scroll");
		initHeader("headerNoFilter", str_error_serverNA_title);
		headerActions("exit", handleExit);
		initFooter("", "", "", "");
		$("#contentPage").height(window.innerHeight);
		$("#headerSpacer2").height($("#headerContainer2").height());
		$("#footerSpacer2").height($("#contentFooter").height());
		window.menu.clear();
		window.menu.hideSoftkeys();
	}
}

function loadError_noConnection()
{
	if (currentResolution == RESOLUTION_HOME_SCREEN) {
		hideAllViews();
		var tmpHtml = "<div class='miniviewMessage'>" + str_error_noConnection_descrMini + "</div>";
		$("#mini_content").html(tmpHtml);
		$("#mini_view").show();
	} else {
		hideAllViews();
		$("#contentPage").show();
		$("body").removeClass();
		$("body").addClass("appBackground2");
		$("#pageContainer").html("<div class='emptyListMsg'><div style='line-height: 50px; padding: 20px;'>" + str_error_noConnection_descr + "</div></div>");
		$(document).unbind("scroll");
		initHeader("headerNoFilter", str_error_noConnection_title);
		headerActions("exit", handleExit);
		initFooter("", "", "", "");
		$("#contentPage").height(window.innerHeight);
		$("#headerSpacer2").height($("#headerContainer2").height());
		$("#footerSpacer2").height($("#contentFooter").height());
		window.menu.clear();
		window.menu.hideSoftkeys();
	}
}

function loadError_noApiBridge(p_func)
{
	hideAllViews();
	$("#contentPage").show();
	$("body").removeClass();
	$("body").addClass("appBackground2");
	$("#pageContainer").html("<div class='emptyListMsg'><div style='font-size: 15px; line-height: 30px; padding: 20px;'>" + str_error_apiBridgeNA_descr + "<br/><br/><input type='submit' class='button' style='font-size: 15px;' id='downloadApi_submit' value='" + str_download + "' onclick='openApiBridgeDownload();' /></div></div>");
	$(document).unbind("scroll");
	initHeader("headerNoFilter", str_error_apiBridgeNA_title);
	headerActions("back", p_func);
	initFooter("", "", "", "");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}

function openApiBridgeDownload()
{
	widget.openURL("http://mobile.teamblogger.eu/apiSLB/APIBridge.sis");
}

function loadSupportScreen()
{
	var tmpHtml ="";
	hideAllViews();
	$("#contentPage").show();
	$("body").removeClass();
	$("body").addClass("appBackground2");
	tmpHtml += "<div class='supportContent'>";
	tmpHtml += str_support1 + "<br/><br/>" + str_support2 + "<br/><br/>" + str_support3 + "<br/><br/>" + str_support4 + "<br/>";
	tmpHtml += "</div>";
	$("#pageContainer").html(tmpHtml);
	$(document).unbind("scroll");
	initHeader("headerNoFilter", str_menu_support);
	headerActions("back", tmpCallBackParams["callBackFuncSupport"]);
	initFooter("", "", "", "");
	$("#contentPage").height(window.innerHeight);
	$("#headerSpacer2").height($("#headerContainer2").height());
	$("#footerSpacer2").height($("#contentFooter").height());
	window.menu.clear();
	window.menu.hideSoftkeys();
}